<?php
/**
 * CLink Add New Offer
 *
 * CLink add new license offer admin page
 *
 * @package CLink
 * @subpackage System
 */

// Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

// Register CLink Agreement Sign Admin Page Menu
add_action('admin_menu', 'wpclink_agreement_sign');

/**
 * CLink Site Agreement Sign Admin Menu
 * 
 */
function wpclink_agreement_sign(){
	
	// Users
	$creator_array = wpclink_get_option('authorized_creators');
	$user_id_asso = $creator_array[0];
	$current_user_id = get_current_user_id();
	$clink_party_id = wpclink_get_option('authorized_party');
	
	if($current_user_id == $user_id_asso || current_user_can('administrator')){
		if(wpclink_import_mode() || wpclink_both_mode()){
			
		if(wpclink_user_readonly()){
			// Nothing
		}else{
		add_submenu_page('cl_mainpage.php','Links','Links','edit_posts','cl-clink','wpclink_clink_page');
		}
		}
		
	}
}




/**
 * CLink Sign Agreement Admin Page Render
 * 
 */

function wpclink_clink_page(){
	
	global $wpdb;
	
	$updated_me = false;
/**
 * STEP 1
 * Add License Offer
*/
	if(isset($_POST['cl_connect_site'])){
		
		$token_url = $_POST['cl_connect_site'];
		$token_url_part = parse_url($token_url);
		parse_str($token_url_part['query'], $token_url_part);
		$token_now = $token_url_part['token'];
		
		if(wpclink_is_token_exists($token_now)){
			$fail_token = true;
		}else{
			// Update Connect Site
			if($updated = wpclink_update_option('wpclink_connect_site',$_POST['cl_connect_site'])){
			}
		}
	}
/**
 * STEP 2
 * Add License Template
*/
	if(isset($_POST['cl_agree_sign'])){
			
			$cl_connect_site = wpclink_get_option('wpclink_connect_site');
			
			
			$query_parts = parse_url($cl_connect_site);
			parse_str($query_parts['query'], $query_parts);
			$saved_token = $query_parts['token'];
			
			
			$current_user = wp_get_current_user();
			
			$copyright_owner = wpclink_get_option('copyright_owner');
			
			if($copyright_owner == 'party'){
				$linked_identifier = get_user_meta($current_user->ID,'wpclink_party_identifier',true);
			}else if($copyright_owner == 'creator'){
				$linked_identifier = get_user_meta($current_user->ID,'wpclink_creator_identifier',true);
			}
			
			// DOWNLOAD ID
			$clink_unique = uniqid(rand());
			
			// REQUESTED QUERY
			$request_query['client_site'] = urlencode(get_bloginfo('url'));
			$request_query['s_agree'] = 1;
			$request_query['cl_action'] = 'connect';
			$request_query['link_first'] = urlencode($current_user->user_firstname);
			$request_query['link_last'] =  urlencode($current_user->user_lastname);
			$request_query['link_display'] = urlencode($current_user->display_name);
			$request_query['link_email'] = urlencode($current_user->user_email);
			$request_query['link_identifier'] = urlencode($linked_identifier);
			$request_query['cl_unique_id'] = $clink_unique;
			
			// Esign
			$request_query['esign_by'] = urlencode($_POST['esign_copyright_owner']);
			$request_query['esign_reason'] = urlencode($_POST['esign_reason']);
			$request_query['esign_time'] = strtotime($_POST['esign_time']);
			$request_query['esign_email'] = urlencode($_POST['esign_email']);
			$request_query['esign_copyright_identifier'] = urlencode($_POST['esign_copyright_identifier']);
			
			
			// Time Difference
			$start_time = wpclink_get_option('licensee_accept_datetime');
			if(!empty($start_time)){				
				$start  = new DateTime($start_time);
				$end    = new DateTime(); //Current date time
				$diff   = $start->diff($end);
				$time_difference = $diff->format('%H:%i:%s'); 
				
				// urlencode
				$request_query['time_diff'] = strtotime($time_difference);
				
			}
			
			
			//$request_query['token'];
			$build_query = build_query( $request_query );
			
	
			// COMPLETE QUERY
			$context  = stream_context_create(array('http' => array('header' => 'Accept: application/xml')));
			$xml=file_get_contents($cl_connect_site.'&'.$build_query,false,$context);
			
			$xml = simplexml_load_string($xml);
			
			$site_address = $xml->channel->site_address;
			$secret_key = $xml->channel->secret_key;		
			$auth_code = $xml->channel->auth_code;
			$license_type = $xml->channel->license_type;
			$content_id = $xml->channel->request_content_id;
			$content_url = $xml->channel->request_content_url;
			
			$party_name = (string)$xml->channel->party_name;
			$party_email = (string)$xml->channel->party_email;
			
			$creator_name = (string)$xml->channel->creator_name;
			$creator_email = (string)$xml->channel->creator_email;
			
			$agreement_status = 'good';
			
			// Debug
			//var_dump($cl_connect_site.'&'.$build_query);
			
			// Debug
			//var_dump($xml);
			
			if(!empty($site_address) and !empty($secret_key) and !empty($auth_code)){
				
				// OPTION LOAD
				$cl_saved_option = wpclink_get_option( 'preferences_general' );
				
				
				// GET IP
				$url = parse_url($site_address);
				$host_url = $url['host'];
				
				// PICK IP
				$ip = gethostbyname($host_url);
				
					
				$license_template = $_POST['cl_agreement_content'];
				
				
				// ShortCodes
				$linked_firstname = $current_user->user_firstname;
				$linked_lastname =  $current_user->user_lastname;
				$linked_displayname = $current_user->display_name;
				$linked_email = $current_user->user_email;
				$linked_creator_identifier = get_user_meta($current_user->ID,'wpclink_creator_identifier',true);
				
				
			
				$search = array('[client_site]','[licensee_firstname]','[licensee_lastname]','[licensee_display_name]','[licensee_user_identifier]','[licensee_user_email]');
				$replace = array(get_bloginfo('url'),$linked_firstname,$linked_lastname,$linked_displayname,$linked_creator_identifier,$linked_email);
				
				$license_template = str_replace($search,$replace,$license_template);
				
				wpclink_debug_log('Parameter Check'.$site_address.'-'.$ip.'-'.$agreement_status.'-'.$secret_key.'-'.$auth_code.'-'.$license_template.'-'.$license_type.'-'.$content_id.'-'.$content_url.'-'.$saved_token.'-'.$clink_unique);

				$updated_id = wpclink_add_license_aggregated($site_address,$ip,$agreement_status,1,$secret_key,$auth_code,$license_template,$license_type,$content_id,$content_url,$saved_token, $clink_unique);
				
				$download_id = wpclink_get_license_meta($updated_id,'wpclink_license_email_id',true);
				
				
				$deliver_time = date("Y-m-d H:i:s");
				// Record Deliver Time
				wpclink_add_license_meta($updated_id,'licensee_deliver_datetime',$deliver_time);
				
							
				// LAST Update ID
				wpclink_update_option('primary_linked_site','-'.$updated_id);
				
				
				$updated_me = true;
				
			}else{
				$get_response = $xml->channel->response;
				if($get_response == 'invalid'){
					echo '<div class="updated error"><p><strong>Site Token is Expired</strong></p></div>';
				}
			}
			
			
			
			// Update			
			wpclink_update_option('wpclink_agree_sign',$_POST['cl_agree_sign']);
			
			
			
			// flush
			wpclink_delete_option( 'wpclink_connect_site' );
			wpclink_delete_option( 'wpclink_agree_sign' );
			
			
			if($updated_me == true){
				
			wpclink_notif_print('Link is added and activated','success');
				
			wpclink_my_agreements_page();
			
			return false;
				
			}
				
		
	}
	
	$cl_connect_site = wpclink_get_option('wpclink_connect_site');
	$query_parts = parse_url($cl_connect_site);
	parse_str($query_parts['query'], $query_parts);
	$saved_token = $query_parts['token'];
	?>

<div class="wrap agreement_area">
<?php wpclink_tabs_pages_links(); ?>
  <div class="cl_subtabs_box">
  
  <?php if ($updated_me ) : ?>
  <div class="updated fade">
    <p><strong>
      <?php _e( 'Link is added and activated', 'cl_text' ); ?>
      </strong></p>
  </div>
  <?php endif; ?>
  <?php if(isset($fail_token)){ ?><div class="updated error"><p><?php _e('Link cannot be formed with the referent content on the same site','cl_text'); ?></p></div><?php } ?>
  <?php if(isset($_GET['deleted_token_url'])){ ?>
   <div class="updated fade">
    <p><?php _e( 'Link <strong>'.urldecode($_GET['deleted_token_url']).'</strong> has been removed', 'cl_text' ); ?></p>
  </div>
  <?php } ?>
  <?php if(isset($cl_connect_site) and !empty($cl_connect_site)){
	  
	$cl_agree_sign = wpclink_get_option( 'wpclink_agree_sign' );
	  
	$request_query = array();
	$build_query = build_query( $request_query );
	
	/* ====== QUERY REQUEST ======= */
	$context  = stream_context_create(array('http' => array('header' => 'Accept: application/xml')));
	$xml=file_get_contents($cl_connect_site,false,$context);
	$xml = simplexml_load_string($xml);
	// Agreement
	$agreement = (string)$xml->channel->agreement;
	// Esign
	$esign_copyrigh_owner = (string)$xml->channel->esign_copyright_owner;
	$esign_reason = (string)$xml->channel->esign_reason;
	$esign_time = (string)$xml->channel->esign_time;
	$esign_email = (string)$xml->channel->esign_email;
	$esign_copyright_identifier = (string)$xml->channel->esign_copyright_identifier;
	
	
	
	
				$current_user = wp_get_current_user();
				$linked_firstname = $current_user->user_firstname;
				$linked_lastname =  $current_user->user_lastname;
				$linked_displayname = $current_user->display_name;
				$linked_email = $current_user->user_email;
				$linked_creator_identifier = get_user_meta($current_user->ID,'wpclink_creator_identifier',true);
				
				
			
				$search = array('[client_site]',' [linked_creator_firstname]','[linked_creator_lastname]','[licensee_display_name]','[licensee_user_identifier]','[licensee_user_email]');
				$replace = array(get_bloginfo('url'),$linked_firstname,$linked_lastname,$linked_displayname,$linked_creator_identifier,$linked_email);
				
				$agreement = str_replace($search,$replace,$agreement);
	
	
	$license_type = (string)$xml->channel->license_type;
	if($license_type == 'as_is'){
		$license_type_label = 'As Is';
	}elseif($license_type == 'restricted'){
		$license_type_label = 'Restricted';
	}
	
	$get_response = $xml->channel->response;
	if($get_response == 'invalid'){
			echo '<div class="updated error"><p><strong>Site Token is Expired</strong></p></div>';
			
			// flush
			wpclink_delete_option( 'wpclink_connect_site' );
			wpclink_delete_option( 'wpclink_agree_sign' );
			
			echo '<a class="button-primary" href="'.menu_page_url( 'cl-clink', false ).'"">Back</a>';
	}else{	  
	   ?>
<h2 class="clhstyle1"><?php _e('License Offer','cl_text'); ?></h2>
  <p class="description clshstyle1"><?php _e('You must accept the License Offer to reuse this content. Checkbox to accept is at the bottom of this page','cl_text'); ?></p>
  <form method="post" action="">
    <?php settings_fields( 'cl_agreement_options' ); ?>
    <div class="outer_agreement"><div id="cl_show_agreement"><?php echo nl2br($agreement);?>
    <?php 
	$esign_display = wpclink_esign_print($esign_copyrigh_owner,$esign_reason,$esign_time,$esign_copyright_identifier);
	$watermark_image = esc_url(plugins_url( 'admin/images/clinks-logo-alp.jpg', dirname(__FILE__) ) );
	echo str_replace('[esign_watermark]',$watermark_image,$esign_display );
		
	 ?>
    </div>
    
    </div>
    <input type="hidden" value="<?php echo htmlspecialchars($agreement.wpclink_esign_print($esign_copyrigh_owner,$esign_reason,$esign_time,$esign_copyright_identifier)); ?>" name="cl_agreement_content" />
    <input type="hidden" name="esign_html" value="" />
    <input type="hidden" name="esign_copyright_owner" value="<?php echo $esign_copyrigh_owner; ?>" />
    <input type="hidden" name="esign_reason" value="<?php echo $esign_reason; ?>" />
    <input type="hidden" name="esign_time" value="<?php echo $esign_time; ?>" />
    <input type="hidden" name="esign_email" value="<?php echo $esign_email; ?>" />
    <input type="hidden" name="esign_copyright_identifier" value="<?php echo $esign_copyright_identifier; ?>" />
    
    <h3>License Type: <strong style="color:#0073aa"><?php echo $license_type_label; ?></strong></h3>
    <div id="cl_agreement_checkbox">
      <label>
        <input type="checkbox" class="cl_agree_sign" name="cl_agree_sign" value="1" <?php checked( $cl_agree_sign, 1 ); ?> />
        <?php _e('I’ve read the License and accept it with its terms and conditions','cl_text'); ?>
      </label>
    </div>
    <p class="submit">
    <a href="<?php echo menu_page_url( 'cl-clink', false ); ?>&delete_token=1" class="button">Delete</a>
      <input id="connect_btn" type="submit" class="button-primary" disabled="disabled" value="<?php _e( 'Link', 'cl_text' ); ?>" />
    </p>
  </form>
  <script>
	jQuery(".cl_agree_sign").change(function() {
		if(this.checked) {
	
	
	// Save the accept datetime 
	jQuery.ajax({
        url: ajaxurl, 
        data: {
            'action': 'wpclink_licensee_accept_datetime',
            'record' : 'now'
		},
        success:function(data) {
            jQuery( "#connect_btn" ).prop( "disabled", false );
			
        },
        error: function(errorThrown){
            console.log(errorThrown);
        },
    });  
			
		}else{
			jQuery( "#connect_btn" ).prop( "disabled", true );
		}
	});
	
	</script>
  <?php } ?>
  <?php }else{ ?>
  <h2 class="clhstyle1"><?php _e('License Offer','cl_text'); ?></h2>
  <p class="description clshstyle1"><?php _e('You must accept the license with its terms and conditions to reuse the content','cl_text'); ?></p>
  <form method="post" action="">
    <?php settings_fields( 'cl_agreement_options' ); ?>
    <table class="form-table">
      <tr valign="top">
        <th scope="row"><?php _e( 'URL', 'cl_text' ); ?></th>
        <td><input id="cl_connect_site" class="regular-text input-code" type="text" name="cl_connect_site" value="<?php esc_attr_e( $cl_connect_site ); ?>" />
          <p class="description">
            <label class="description" for="cl_connect_site">
              <?php _e( 'Enter the URL', 'cl_text' ); ?>
            </label>
          </p></td>
      </tr>
    </table>
    <p class="submit">
      <input type="submit" class="button-primary" value="<?php _e( 'Next', 'cl_text' ); ?>" />
    </p>
  </form>
  <?php } ?>
</div>
	<?php // End of the CLink Admin page
	do_action( 'wpclink_after_admin_page'); ?>
</div>
<?php }