<?php
/**
 * CLink Links Linked
 *
 * CLink links linked admin page.
 *
 * @package CLink
 * @subpackage System
 */

 // Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

// Register my agreements save action on admin initialization
add_action( 'admin_init', 'wpclink_my_agreements_init' );

// Register my agreemnets menu page on admin menus
add_action('admin_menu', 'wpclink_my_agreements_menu');

/**
 * CLink My Agreements Menu 
 * 
 */
function wpclink_my_agreements_menu(){
	
	// Users
	$creator_array = wpclink_get_option('authorized_creators');
	$user_id_asso = $creator_array[0];
	$current_user_id = get_current_user_id();
	$clink_party_id = wpclink_get_option('authorized_party');
	
	
	if(current_user_can('administrator') and $current_user_id == $user_id_asso){
		
		if(wpclink_import_mode() || wpclink_both_mode()){
			add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'manage_options', 'cl-my-agreemnets', 'wpclink_my_agreements_page' );
		}
		
	}elseif( current_user_can('administrator') and $current_user_id == $clink_party_id){
		
		if(wpclink_import_mode() || wpclink_both_mode()){
			add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'manage_options', 'cl-my-agreemnets', 'wpclink_my_agreements_page' );
		}
	
	}elseif($user_id_asso > 0 and $current_user_id == $user_id_asso){
	
	
        if(wpclink_import_mode() || wpclink_both_mode()){
			add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'edit_posts', 'cl-my-agreemnets', 'wpclink_my_agreements_page' );
		}
		
	}elseif($current_user_id == $clink_party_id){
		
		if(wpclink_import_mode() || wpclink_both_mode()){
			add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'edit_posts', 'cl-my-agreemnets', 'wpclink_my_agreements_page' );
		}
		
	}else{
		
		if(wpclink_import_mode() || wpclink_both_mode()){
			add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'manage_options', 'cl-my-agreemnets', 'wpclink_my_agreements_page' );
		}
		
	}
		
} 


/**
 * CLink My Agreements Admin Page Render
 * 
 */
function wpclink_my_agreements_page(){
	
	global $select_options, $radio_options;
	
	$current_user_id = get_current_user_id();
	$creator_array = wpclink_get_option('authorized_creators');
	$creator_id = $creator_array[0];

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;
		

	?>

<div class="wrap">
  <?php wpclink_tabs_pages_links(); ?>
 <div class="cl_subtabs_box">
 <div class="add-new-wrapper">
 <?php if($current_user_id == $creator_id){ ?>
 <a class="button-primary button" href="admin.php?page=cl-clink"><?php _e('Add New','cl_text'); ?></a>
 <?php } ?>
 </div>
  <?php
	global $wpdb;
	
	$cl_my_agrements_page = menu_page_url( 'cl-my-agreemnets', false ); 
	
	
	$request = $_GET;
	$cencel_id = $request['cencel_agr'];
	
	if(isset($cencel_id) and is_numeric($cencel_id)){
		
	if(wpclink_user_readonly()){
		wpclink_notif_print('Action cannot be perform.','error');
	}else{
		
		$get_primary_site = wpclink_get_option('primary_linked_site');
		
		if('-'.$cencel_id == $get_primary_site){
					
					// IF ID DELETE SO GOES TO DEFAULT
					wpclink_update_option('primary_linked_site','super');
		}
		
		
	
			$agree_del = wpclink_get_license_aggregated($cencel_id);
	
			$request_query['client_site'] = urlencode(get_bloginfo('url'));
			$request_query['s_agree'] = 1;
			$request_query['cl_action'] = 'disconnect';
			$build_query = build_query( $request_query );

			
			
			// COMPLETE QUERY
			$context  = stream_context_create(array('http' => array('header' => 'Accept: application/xml')));
			$xml=file_get_contents($agree_del['site_url'].'?'.$build_query,false,$context);
			
			$xml = simplexml_load_string($xml);
			$cencel_agree = $xml->channel->cencel_agree;
			
				
	$deleted_agr = wpclink_delete_license_aggregated($cencel_id);
	}
	
	}
	
	// Audit Trial
	$audit_trial_page = menu_page_url( 'cl-audit-trail', false );
	
	// Query
	$agreements = wpclink_get_all_license_aggregated();
	
	
	// Array Reverse
	$agreements = array_reverse($agreements);
	
	if ( true == $deleted_agr ) : ?>
  <div class="updated fade">
    <p><strong>
      <?php _e( 'License has been terminated!', 'cl_text' ); ?>
      </strong></p>
  </div>
  <?php endif; ?>
  
  
  <?php if ( $cencel_agree == 1) : ?>
  <div class="updated fade">
    <p><strong>
      <?php _e( 'License has been terminated! link has been removed', 'cl_text' ); ?>
      </strong></p>
  </div>
  <?php endif; ?>
    
  <table class="wp-list-table widefat fixed striped links">
    <thead>
      <tr>
       <th scope="col" class="manage-column column-content-url column-content-url"><span>
          <?php _e('URL','cl_text'); ?>
          </span></th>
        <th scope="col" id="ip" class="manage-column column-name column-primary"><span>
          <?php _e("Licensor’s  IP",'cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-license_type"><span>
          <?php _e('License Type','cl_text'); ?>
          </span></th>
        <th scope="col" class="manage-column column-agreement"><span>
          <?php _e('License Status','cl_text'); ?>
          </span></th>
        <th scope="col" class="manage-column column-license"><span>
          <?php _e('License ','cl_text'); ?>
          </span></th>
        <th scope="col" class="manage-column column-date"><span>
          <?php _e('Date ','cl_text'); ?>
          </span></th>
      </tr>
    </thead>
    <tbody id="the-list" data-wp-lists="list:link">
      <?php
    if($agreements){
	foreach($agreements as $single_agreement) {
		$single_license_id = $single_agreement['license_id'];
		$token = wpclink_get_license_meta($single_license_id,'wpclink_license_token',true);
		$download_id = wpclink_get_license_meta($single_license_id,'wpclink_license_email_id',true);
		$esign_data = wpclink_get_esign_by_token($token);
		
	?>
      <tr>
		<td class="content-url column-content-url" data-colname="Content">
        <a class="row-title" target="_blank" href="<?php echo wpclink_get_license_meta($single_agreement['license_id'],'wpclink_licensed_linked_post_url',true); ?>"><?php echo wpclink_get_license_meta($single_agreement['license_id'],'wpclink_licensed_linked_post_url',true); ?></a><div class="row-actions"><span class="delete"><a href="<?php echo $cl_my_agrements_page; ?>&cencel_agr=<?php echo $single_agreement['license_id']; ?>">Unlink</a></span></div></td>
       
        <td class="ip column-ip" data-colname="IP"><em><?php echo $single_agreement['site_IP']; ?></em></td>
        <td class="license-type column-license-type" data-colname="License_Type"><em><?php wpclink_license_type_label(wpclink_get_license_type_by_id($single_agreement['license_id']));  ?></em></td>
        <td class="agreement column-agreement" data-colname="Agreement"><em>
          <?php if($single_agreement['verification_status'] == 'good'){ echo 'Good Standing '; }else { echo 'Violation'; } ?>
          </em></td>
          <td class="license column-license" data-colname="license">
      <a target="_blank" href="<?php bloginfo('url'); ?>?license_my_show_id=<?php echo $single_agreement['license_id']; ?>&download_id=<?php echo $download_id; ?>" class="button"><?php _e('View'); ?></a><br />
<a href="<?php bloginfo('url'); ?>?license_my_show_id=<?php echo $single_agreement['license_id']; ?>&download=1&download_id=<?php echo $download_id; ?>" class="button-primary"><?php _e('Download'); ?></a>
      </td>
      <td class="license column-date" data-colname="date">
       <?php echo date('m/d/Y', strtotime($single_agreement['license_date'])); ?>
      </td>
      </tr>
      <?php } 
	} else{
		echo '<tr><td colspan="4">'.__('No Agreement Found!','cl_text').'</td></tr>';
	}?>
    </tbody>
    <tfoot>
      <tr>
      <th scope="col" class="manage-column column-content column-content-url"><span>
          <?php _e('URL','cl_text'); ?>
          </span></th>
       
        <th scope="col" id="ip" class="manage-column column-name column-primary"><span>
          <?php _e("Licensor's  IP",'cl_text'); ?>
          </span></th>
           <th scope="col" class="manage-column column-license-type"><span>
          <?php _e('License Type','cl_text'); ?>
          </span></th>
        <th scope="col" class="manage-column column-agreement"><span>
          <?php _e('License Status','cl_text'); ?>
          </span></th>
        <th scope="col" class="manage-column column-license"><span>
          <?php _e('License','cl_text'); ?>
          </span></th>
           <th scope="col" class="manage-column column-date"><span>
          <?php _e('Date','cl_text'); ?>
          </span></th>
      </tr>
    </tfoot>
  </table>
</div>
<?php // End of the CLink Admin page
	do_action( 'wpclink_after_admin_page'); ?>
</div>
<?php
}



/**
 * CLink My Agreements Register Settings
 * 
 */
function wpclink_my_agreements_init(){
	register_setting( 'cl_my_agreement_options', 'cl_my_agreement_new_options', 'wpclink_my_agreement_validate' );
}


/**
 * CLink My Agreements Input Validate
 * 
 * @param array $input  
 * 
 * @return array
 */

function wpclink_my_agreement_validate( $input ) {
	global $select_options, $radio_options;
	return $input;
}