<?php
/**
 * CLink Audit Trail
 *
 * clink audit trail admin page
 *
 * @package CLink
 * @subpackage System
 */
 
// Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
 
 // Register clink audit trail admin menu
add_action('admin_menu', 'wpclink_audit_trial_menu');

/**
 * CLink Audit Trail Admin Menu
 * 
 */
function wpclink_audit_trial_menu(){

$creator_array = wpclink_get_option('authorized_creators');
$user_id_asso = $creator_array[0];
$current_user_id = get_current_user_id();
$clink_party_id = wpclink_get_option('authorized_party');

if (wpclink_user_readonly()){
	
}else {
	if (current_user_can('administrator') and $current_user_id == $user_id_asso) {
		if (wpclink_import_mode() || wpclink_both_mode()) {
			add_submenu_page('cl_mainpage.php', 'Audit Trail', 'Audit Trail', 'manage_options', 'cl-audit-trail', 'wpclink_audit_trial_page');
		}
	}
	elseif (current_user_can('administrator') and $current_user_id == $clink_party_id) {
		if (wpclink_import_mode() || wpclink_both_mode()) {
			add_submenu_page('cl_mainpage.php', 'Audit Trail', 'Audit Trail', 'manage_options', 'cl-audit-trail', 'wpclink_audit_trial_page');
		}
	}
	elseif ($user_id_asso > 0 and $current_user_id == $user_id_asso) {
		if (wpclink_import_mode() || wpclink_both_mode()) {
			add_submenu_page('content_link_post.php', 'Audit Trail', 'Audit Trail', 'edit_posts', 'cl-audit-trail', 'wpclink_audit_trial_page');
		}
	}
	elseif ($current_user_id == $clink_party_id) {
		if (wpclink_import_mode() || wpclink_both_mode()) {
			add_submenu_page('cl_mainpage.php', 'Audit Trail', 'Audit Trail', 'edit_posts', 'cl-audit-trail', 'wpclink_audit_trial_page');
		}
	}
	else {
		if (wpclink_import_mode() || wpclink_both_mode()) {
			add_submenu_page('cl_mainpage.php', 'Audit Trail', 'Audit Trail', 'manage_options', 'cl-audit-trail', 'wpclink_audit_trial_page');
		}
	}
}} 

/**
 * CLink Audit Trail Admin Page Render
 * 
 */
function wpclink_audit_trial_page(){
	
	global $select_options, $radio_options;
	
	$current_user_id = get_current_user_id();
	$creator_array = wpclink_get_option('authorized_creators');
	$creator_id = $creator_array[0];
	$audit_id = $_GET['audit'];
	
	if(!isset($_GET['audit']) || !is_numeric($_GET['audit']) ) return false;
		
	?><div class="wrap">
  <?php wpclink_tabs_pages_links(); ?>
  <div class="cl_subtabs_box">
    <?php
	global $wpdb;
	
	$license_data = wpclink_get_license_promoted($audit_id);
	$content_id = $license_data['licensed_creation_id'];
	$user_id = get_post_meta($content_id,'wpclink_post_copyright_owner_id',true);
	
	$user_info = get_userdata($user_id);
	
	$display_name = $user_info->display_name;
	
	if($as_view_date = get_user_meta($user_id,'wpclink_license_as_is_view_date',true)){
		$license_type = 'AS-IS';
		$time_license_view = $as_view_date;
	}elseif($restricted_date = get_user_meta($user_id,'wpclink_license_restricted_view_date',true)){
		$license_type = 'RESTRICTED';
		$time_license_view  = $restricted_date;
	}
	
	$creator_array = wpclink_get_option('authorized_creators');
	$creator_id = $creator_array[0];
	$party_id = wpclink_get_option('authorized_party');
	
	if($user_id  == $creator_id){
		$identifier = get_user_meta($user_id,'wpclink_creator_identifier',true);
	}else if($user_id  == $party_id){
		$identifier = get_user_meta($user_id,'wpclink_party_identifier',true);
	}
	
	$pre_auth_view_data = get_post_meta($content_id,'wpclink_creation_pre_auth_view_date',true);
	$pre_auth_accept_data = get_post_meta($content_id,'wpclink_creation_pre_auth_accept_date',true);
	$pre_auth_effect_date = get_post_meta($content_id,'wpclink_creation_pre_auth_effective_date',true);
	
	$creation_identifier = get_post_meta($content_id,'wpclink_creation_identifier',true);
	
	
	$licensee_data = wpclink_get_license_meta($audit_id,'licensee_linked_variables');
	$licensee_data = unserialize($licensee_data); 
	
	// License Deliver Time
	$token_name = $license_data['license_key'];
	$token_data = wpclink_get_token_data_by_token_name($token_name);
	
	
	$licensee_accept_datetime = wpclink_get_license_meta($audit_id,'licensee_license_accept_datetime');
	
	$current = $token_data['license_deliver_date'];
	$interval = $licensee_accept_datetime;
	
	$secs = strtotime($interval)-strtotime("00:00:00");
	$total_interval_time = date("Y-m-d H:i:s",strtotime($current)+$secs);

	
	$cl_my_agrements_page = menu_page_url( 'cl-site-agreemnets', false ); ?>
    <?php if($audit_id > 0){ ?>
    <div id="audit-trial">
      <div class="audit-list">
        <ul>      
        <?php if(!empty($as_view_date) || !empty($restricted_date)){ ?>
          <li>
            <div class="icon"><span class="dashicons dashicons-visibility"></span></div>
            <h3><?php echo 'License '.$license_type .' viewed <br /><i>by</i> <span class="normal">'.$display_name.'</span> <span class="clink-logo"></span> <a target="_blank" href="'.WPCLINK_ID_URL.'/#objects/'.$identifier.'">'.$identifier.'</a>';	?></h3>
            <h5><?php echo $time_license_view ?></h5>
          </li>
          <?php } ?>
           <?php if(!empty($pre_auth_view_data)){ ?>
          <li>
            <div class="icon"><span class="dashicons dashicons-visibility"></span></div>
            <h3><?php echo 'Pre-authorization to license and e-sign viewed <br /><i>by</i> <span class="normal">'.$display_name.'</span> <span class="clink-logo"></span> <a target="_blank" href="'.WPCLINK_ID_URL.'/#objects/'.$identifier.'">'.$identifier.'</a>';	?></h3>
            <h5><?php echo $pre_auth_view_data ?></h5>
          </li>
          <?php } ?>
	      <?php if(!empty($pre_auth_effect_date)){ ?>
          <li>
            <div class="icon"><span class="dashicons dashicons-controls-repeat"></span></div>
            <h3><?php echo 'Pre-authorization to license and e-sign accepted & effective <br /><i>for Creation</i> <span class="clink-logo"></span> <a target="_blank" href="'.WPCLINK_ID_URL.'/#objects/'.$creation_identifier.'">'.$creation_identifier.'</a>'; ?></h3>
            <h5><?php echo $pre_auth_effect_date ?></h5>
          </li>
          <?php } ?>
           <?php if(!empty($token_data['license_deliver_date'])){ ?>
          <li>
            <div class="icon"><span class="dashicons dashicons-edit"></span></div>
			<h3><?php echo 'License e-signed <br /><i>by</i> <span class="normal">'.$display_name.'</span> <span class="clink-logo"></span> <a target="_blank" href="'.WPCLINK_ID_URL.'/#objects/'.$identifier.'">'.$identifier.'</a>';	?></h3>
            <h5><?php echo $token_data['license_deliver_date']; ?></h5>
          </li>
          <?php } ?>
           <?php if(!empty($licensee_accept_datetime)){ ?>
          <li>
            <div class="icon"><span class="dashicons dashicons-yes"></span></div>
            <h3><?php echo 'License accepted <br /><i>by</i>  <span class="normal">'.$licensee_data['licensee_display_name'].'</span> <span class="clink-logo"></span> <a target="_blank" href="'.WPCLINK_ID_URL.'/#objects/'.$licensee_data['licensee_identifier'].'">'.$licensee_data['licensee_identifier'].'</a>';	?></h3><h5><?php echo $total_interval_time ?></h5>
          </li>
          <?php } ?>
          
          <?php if(!empty($licensee_data)){ ?>
          <li>
            <div class="icon"><span class="dashicons dashicons-migrate"></span></div>
            <h3><?php echo 'License delivered <br /><i>for Creation</i> <span class="clink-logo"></span> <a target="_blank" href="'.WPCLINK_ID_URL.'/#objects/'.$creation_identifier.'">'.$creation_identifier.'</a>';	?></h3>
          </li>
          <?php } ?>

        </ul>
      </div>
    </div>
    <a href="<?php echo $cl_my_agrements_page; ?>" class="button-primary"><?php _e('Back','cl_text'); ?></a>
    <?php }else{ ?>
    <div id="audit-trial">
    <p><?php _e('Audit Trial does not exists','cl_text'); ?></p>
    </div>
    <?php } ?>
  </div>
	<?php // End of the CLink Admin page
	do_action( 'wpclink_after_admin_page'); ?>
</div>
<?php
}