<?php
/**
 * CLink Links Referent
 *
 * CLink links referent admin page
 *
 * @package CLink
 * @subpackage System
 */

// Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
 
 
// Register site agreements register settings
add_action( 'admin_init', 'wpclink_site_allow_init' );

// Register site agreements menu page 
add_action('admin_menu', 'wpclink_siteallow_menu');

/**
 * CLink Site Agreement Menu
 * 
 */
function wpclink_siteallow_menu(){
	
	$creator_array = wpclink_get_option('authorized_creators');
	$user_id_asso = $creator_array[0];
	$current_user_id = get_current_user_id();
	$clink_party_id = wpclink_get_option('authorized_party');
	
	if(current_user_can('administrator') and $current_user_id == $user_id_asso){
		if(wpclink_export_mode() || wpclink_both_mode()){
		add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'manage_options', 'cl-site-agreemnets', 'wpclink_site_agreements_page' );
		}
		
	}elseif( current_user_can('administrator') and $current_user_id == $clink_party_id){
		if(wpclink_export_mode() || wpclink_both_mode()){
		add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'manage_options', 'cl-site-agreemnets', 'wpclink_site_agreements_page' );
		}
	
	}elseif($user_id_asso > 0 and $current_user_id == $user_id_asso){
	
        if(wpclink_export_mode() || wpclink_both_mode()){
		add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'edit_posts', 'cl-site-agreemnets', 'wpclink_site_agreements_page' );
		}
	}elseif($current_user_id == $clink_party_id){
		if(wpclink_export_mode() || wpclink_both_mode()){
		add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'edit_posts', 'cl-site-agreemnets', 'wpclink_site_agreements_page' );
		}
	}else{
		if(wpclink_export_mode() || wpclink_both_mode()){
		add_submenu_page('cl_mainpage.php', 'Links', 'Links', 'manage_options', 'cl-site-agreemnets', 'wpclink_site_agreements_page' );
		}
		
	}
		
} 



/**
 * CLink Site Agreement Register Settings
 * 
 */	
function wpclink_site_allow_init(){
	register_setting( 'cl_siteallow_options', 'cl_siteallow_new_options', 'wpclink_site_allow_validate' );
}


/**
 * CLink Site Agreements Input Validate
 * 
 * @param array $input  
 * 
 * @return array
 */
function wpclink_site_allow_validate( $input ) {
	global $select_options, $radio_options;
	return $input;
}


/**
 * CLink Site Agreement Admin Page Render
 * 
 * 
 */
function wpclink_site_agreements_page(){
	
	global $select_options, $radio_options;

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;
		

	?>
	<div class="wrap cl-page">
    <?php wpclink_tabs_pages_links(); ?>
      <div class="cl_subtabs_box">

  <?php
	global $wpdb;
	
	$cl_my_agrements_page = menu_page_url( 'cl-site-agreemnets', false ); 
	
	$audit_trial_page = menu_page_url( 'cl-audit-trail', false );
	

	$request = $_GET;
	$cencel_id = $request['cencel_agr'];
	
	if(isset($cencel_id) and is_numeric($cencel_id)){
		
	if(wpclink_user_readonly()){
		wpclink_notif_print('Action cannot be perform.','error');
	}else{
		
	// Cencel
	$deleted_agr = wpclink_delete_license_promoted($cencel_id);
	}
	}
	
	// Query
	$agreements = wpclink_get_all_license_promoted();
	
	
	// Reverse Array
	$agreements = array_reverse($agreements);
	
	?>
    
    <?php if ( true == $deleted_agr ) : ?>
  <div class="updated fade">
    <p><strong>
      <?php _e( 'License is Unlinked', 'cl_text' ); ?>
      </strong></p>
  </div>
  <?php endif; ?>
    
  <table class="wp-list-table widefat fixed striped links">
    <thead>
      <tr>
      <th scope="col" class="manage-column column-content-url column-content-url"><span>
          <?php _e('Title','cl_text'); ?>
          </span></th>
        <th scope="col" class="manage-column column-name column-primary"><span>
          <?php _e("Licensee's Site",'cl_text'); ?>
          </span></th>
        <th scope="col" id="ip" class="manage-column column-name column-primary"><span>
          <?php _e("Licensee's IP",'cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-canonical"><span>
          <?php _e('Verification','cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-type"><span>
          <?php _e('License Type','cl_text'); ?>
          </span></th>
        <th scope="col" class="manage-column column-agreement"><span>
          <?php _e('License Status','cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-license"><span>
          <?php _e('License','cl_text'); ?>
          </span></th>
           <th scope="col" class="manage-column column-date"><span>
          <?php _e('Link Date ','cl_text'); ?>
          </span></th>
            <th scope="col" class="manage-column column-cstatus"><span>
          <?php _e('Content Status','cl_text'); ?>
          </span></th>
      </tr>
      
    </thead>
    <tbody id="the-list" data-wp-lists="list:link">
      <?php
    if($agreements){
	foreach($agreements as $single_agreement) {
		$complete_url = wpclink_get_license_meta($single_agreement['license_id'],'licensed_creation_uri',true);
		$content_status = wpclink_get_license_meta($single_agreement['license_id'],'licensed_creation_delivery_status',true);
		$content_id = $single_agreement['licensed_creation_id'];
		$clink_contentID = get_post_meta($content_id,'wpclink_creation_identifier',true);
		$esign_data = wpclink_get_esign_by_post_id($content_id);
		$clink_fails_attemps = wpclink_get_license_meta($single_agreement['license_id'],'wpclink_license_attemps',true);
		$clink_success_attemps = wpclink_get_license_meta($single_agreement['license_id'],'canonical_success_attemps',true);
		if(empty($clink_success_attemps)) $clink_success_attemps = 0;
		if(empty($clink_fails_attemps)) $clink_fails_attemps = 0; 
		
		 ?>
      <tr class="site <?php if($single_agreement['verification_status'] != 'good') echo "not-connect"; ?>">
      <td class="content-url column-content-url" data-colname="Content_URL"><strong><?php if($content_id = url_to_postid( $complete_url )){ ?><a class="row-title" href="<?php echo 'post.php?post='.$content_id.'&action=edit'; ?>"><?php echo get_the_title($content_id); ?></a><?php }else{
		  echo $complete_url;
	  }?></strong>
      </td>
        <td class="name column-name has-row-actions column-primary" data-colname="Site Address"><?php echo $single_agreement['site_url']; ?>
          </td>
        <td class="ip column-ip" data-colname="IP"><em><?php echo $single_agreement['site_IP']; ?></em></td>
        <td class="canonical column-canonical" data-colname="canonical">
           <a class="button" href="admin.php?page=cl-canonical&cl_site_id=<?php echo $single_agreement['license_id']; ?>&content_id=<?php echo $content_id; ?>"><?php _e('Canonical','cl_text'); ?></a>
           </td>
         <td class="type column-type" data-colname="Type"><em><?php wpclink_license_type_label(get_post_meta($single_agreement['licensed_creation_id'],'wpclink_creation_license_type',true));  ?></em></td>
        <td class="agreement column-agreement" data-colname="Agreement"><em>
          <?php if($single_agreement['verification_status'] == 'good'){ echo 'Good Standing'; }else { echo 'Violation'; } ?>
          </em></td>
           
           <td class="license column-license" data-colname="license">
<a target="_blank" href="<?php bloginfo('url'); ?>?license_show_id=<?php echo $single_agreement['license_id']; ?>" class="button"><?php _e('View'); ?></a><br />
<a href="<?php echo $audit_trial_page; ?>&audit=<?php echo $single_agreement['license_id']; ?>" class="button"><?php _e('Audit Trail'); ?></a><br />
<a href="<?php bloginfo('url'); ?>?license_show_id=<?php echo $single_agreement['license_id']; ?>&download=1" class="button-primary"><?php _e('Download'); ?></a>
      </td>
      <td class="license column-date" data-colname="date">
       <?php echo date('m/d/Y', strtotime($single_agreement['license_date'])); ?>
      </td>
      <td class="license column-cstatus" data-colname="cstatus">
      <?php wpclink_license_content_status_label($content_status);?>
      </td>
      </tr>
	 <?php } 
	} else{
		echo '<tr><td colspan="9">'.__('No Agreement Found!','cl_text').'</td></tr>';
	}?>
    </tbody>
    <tfoot>
      <tr>
      <th scope="col" class="manage-column column-content-url column-content-url"><span>
          <?php _e('Title','cl_text'); ?>
          </span></th>
        <th scope="col" class="manage-column column-name column-primary"><span>
          <?php _e("Licensee's Site",'cl_text'); ?>
          </span></th>
        <th scope="col" id="ip" class="manage-column column-name column-primary"><span>
          <?php _e("Licensee's IP",'cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-canonical"><span>
          <?php _e('Verification','cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-type"><span>
          <?php _e('License Type','cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-agreement"><span>
          <?php _e('License Status','cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-license"><span>
          <?php _e('License','cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-date"><span>
          <?php _e('Link Date','cl_text'); ?>
          </span></th>
          <th scope="col" class="manage-column column-cstatus"><span>
          <?php _e('Content Status','cl_text'); ?>
          </span></th>
      </tr>
    </tfoot>
  </table>
</div>
		<?php // End of the CLink Admin page
	do_action( 'wpclink_after_admin_page'); ?>
</div>
<script>
jQuery(document).ready(function(){
	    jQuery(".advance-btn").click(function(){
			
			var get_toggle_id = jQuery(this).attr("id");
			jQuery('.toggle-'+get_toggle_id).slideToggle("fast");

    	});
	});
	</script>
	<?php
}

