<?php
/**
 * CLink Preferences General
 *
 * clink preference general admin page.
 *
 * @package CLink
 * @subpackage System
 */
 
 // Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

add_action( 'admin_init', 'wpclink_page_options_init' );
add_action( 'admin_menu', 'wpclink_options_add_page' );



/**
 * Register the CLink Page Setting
 */

function wpclink_page_options_init(){
	register_setting( 'wp2sync_options', 'preferences_general', 'wpclink_options_validate' );
}





/**
 * Load up the CLink Preferences Menu Page
 */
function wpclink_options_add_page() {
	

// content_link_post.php

$creator_array = wpclink_get_option('authorized_creators');
$user_id_asso = $creator_array[0];
$current_user_id = get_current_user_id();
$clink_party_id = wpclink_get_option('authorized_party');

// Administrator + Creator

if (current_user_can('administrator') and $current_user_id == $user_id_asso) {
	add_menu_page('CLink', 'CLink', 'manage_options', 'cl_mainpage.php', 'wpclink_options_do_page', plugins_url( 'admin/images/cl-icon.png', dirname(__FILE__) ));
	add_submenu_page('cl_mainpage.php', 'Preferences', 'Preferences', 'manage_options', 'cl_mainpage.php');

// Administrator + Party
	
	

}
elseif (current_user_can('administrator') and $current_user_id == $clink_party_id) {
	add_menu_page('CLink', 'CLink', 'manage_options', 'cl_mainpage.php', 'wpclink_options_do_page', plugins_url( 'admin/images/cl-icon.png', dirname(__FILE__) ));
	add_submenu_page('cl_mainpage.php', 'Preferences', 'Preferences', 'manage_options', 'cl_mainpage.php');
}
else
if ($user_id_asso > 0 and $current_user_id == $user_id_asso) {
	add_menu_page('CLink', 'CLink', 'edit_posts', 'cl_mainpage.php', 'wpclink_options_do_page', plugins_url( 'admin/images/cl-icon.png', dirname(__FILE__) ));
	add_submenu_page('cl_mainpage.php', 'Preferences', 'Preferences', 'edit_posts', 'cl_mainpage.php');
}
elseif ($current_user_id == $clink_party_id) {
	add_menu_page('CLink', 'CLink', 'edit_posts', 'cl_mainpage.php', 'wpclink_options_do_page', plugins_url( 'admin/images/cl-icon.png', dirname(__FILE__) ));
	add_submenu_page('cl_mainpage.php', 'Preferences', 'Preferences', 'edit_posts', 'cl_mainpage.php');
}
else {
	add_menu_page('CLink', 'CLink', 'manage_options', 'cl_mainpage.php', 'wpclink_options_do_page', plugins_url( 'admin/images/cl-icon.png', dirname(__FILE__) ));
	add_submenu_page('cl_mainpage.php', 'Preferences', 'Preferences', 'manage_options', 'cl_mainpage.php');
}

}





/**
 * CLink Preferences Admin Page
 * 
 * Clink Preferences page has generic options.
 * - Mode
 * - Territory 
 * - Verification 
 * - Security 
 */

function wpclink_options_do_page() {
	global $select_options, $radio_options, $canonical_attemps_options;
	
	$select_options = array(
	'0' => array(
		'value' =>	'hourly',
		'label' => __( 'Every Hour', 'cl_text' )
	),
	'1' => array(
		'value' =>	'daily',
		'label' => __( 'Once a Day', 'cl_text' )
	),
	'2' => array(
		'value' => 'twicedaily',
		'label' => __( 'Twice a Day', 'cl_text' )
	)
);
	

$cl_mode = array(
	'yes' => array(
		'value' => 'import',
		'label' => __( 'Linked', 'cl_text' )
	),
	'no' => array(
		'value' => 'export',
		'label' => __( 'Referent', 'cl_text' )
	),
	'both' => array(
		'value' => 'both',
		'label' => __( 'Both', 'cl_text' )
	)
);



$canonical_attemps_options = array(
	'1' => array(
		'value' => '1',
		'label' => __( '1', 'cl_text' )
	),
	'2' => array(
		'value' => '2',
		'label' => __( '2', 'cl_text' )
	),
	'3' => array(
		'value' => '3',
		'label' => __( '3', 'cl_text' )
	),
	'4' => array(
		'value' => '4',
		'label' => __( '4', 'cl_text' )
	),
	'5' => array(
		'value' => '5',
		'label' => __( '5', 'cl_text' )
	),
	'6' => array(
		'value' => '6',
		'label' => __( '6', 'cl_text' )
	),
	'7' => array(
		'value' => '7',
		'label' => __( '7', 'cl_text' )
	),
	'8' => array(
		'value' => '8',
		'label' => __( '8', 'cl_text' )
	),
	'9' => array(
		'value' => '9',
		'label' => __( '9', 'cl_text' )
	),
	'10' => array(
		'value' => '10',
		'label' => __( '10', 'cl_text' )
	)
);
$country_codes = array(
'AD' => array('value' => 'AD','label' => __('Andorra (AD)', 'cl_text')),
'AE' => array('value' => 'AE','label' => __('United Arab Emirates (AE)', 'cl_text')),
'AF' => array('value' => 'AF','label' => __('Afghanistan (AF)', 'cl_text')),
'AG' => array('value' => 'AG','label' => __('Antigua and Barbuda (AG)', 'cl_text')),
'AI' => array('value' => 'AI','label' => __('Anguilla (AI)', 'cl_text')),
'AL' => array('value' => 'AL','label' => __('Albania (AL)', 'cl_text')),
'AM' => array('value' => 'AM','label' => __('Armenia (AM)', 'cl_text')),
'AN' => array('value' => 'AN','label' => __('Netherlands Antilles (AN)', 'cl_text')),
'AO' => array('value' => 'AO','label' => __('Angola (AO)', 'cl_text')),
'AQ' => array('value' => 'AQ','label' => __('Antarctica (AQ)', 'cl_text')),
'AR' => array('value' => 'AR','label' => __('Argentina (AR)', 'cl_text')),
'AS' => array('value' => 'AS','label' => __('American Samoa (AS)', 'cl_text')),
'AT' => array('value' => 'AT','label' => __('Austria (AT)', 'cl_text')),
'AU' => array('value' => 'AU','label' => __('Australia (AU)', 'cl_text')),
'AW' => array('value' => 'AW','label' => __('Aruba (AW)', 'cl_text')),
'AX' => array('value' => 'AX','label' => __('Aland Islands (AX)', 'cl_text')),
'AZ' => array('value' => 'AZ','label' => __('Azerbaijan (AZ)', 'cl_text')),
'BA' => array('value' => 'BA','label' => __('Bosnia and Herzegovina (BA)', 'cl_text')),
'BB' => array('value' => 'BB','label' => __('Barbados (BB)', 'cl_text')),
'BD' => array('value' => 'BD','label' => __('Bangladesh (BD)', 'cl_text')),
'BE' => array('value' => 'BE','label' => __('Belgium (BE)', 'cl_text')),
'BF' => array('value' => 'BF','label' => __('Burkina Faso (BF)', 'cl_text')),
'BG' => array('value' => 'BG','label' => __('Bulgaria (BG)', 'cl_text')),
'BH' => array('value' => 'BH','label' => __('Bahrain (BH)', 'cl_text')),
'BI' => array('value' => 'BI','label' => __('Burundi (BI)', 'cl_text')),
'BL' => array('value' => 'BL','label' => __('Saint Barthélemy (BL)', 'cl_text')),
'BM' => array('value' => 'BM','label' => __('Bermuda (BM)', 'cl_text')),
'BN' => array('value' => 'BN','label' => __('Brunei Darussalam (BN)', 'cl_text')),
'BO' => array('value' => 'BO','label' => __('Bolivia, Plurinational State of (BO)', 'cl_text')),
'BR' => array('value' => 'BR','label' => __('Brazil (BR)', 'cl_text')),
'BS' => array('value' => 'BS','label' => __('Bahamas (BS)', 'cl_text')),
'BT' => array('value' => 'BT','label' => __('Bhutan (BT)', 'cl_text')),
'BV' => array('value' => 'BV','label' => __('Bouvet Island (BV)', 'cl_text')),
'BW' => array('value' => 'BW','label' => __('Botswana (BW)', 'cl_text')),
'BY' => array('value' => 'BY','label' => __('Belarus (BY)', 'cl_text')),
'BZ' => array('value' => 'BZ','label' => __('Belize (BZ)', 'cl_text')),
'CA' => array('value' => 'CA','label' => __('Canada (CA)', 'cl_text')),
'CC' => array('value' => 'CC','label' => __('Cocos (Keeling) Islands (CC)', 'cl_text')),
'CD' => array('value' => 'CD','label' => __('Congo, the Democratic Republic of the (CD)', 'cl_text')),
'CF' => array('value' => 'CF','label' => __('Central African Republic (CF)', 'cl_text')),
'CG' => array('value' => 'CG','label' => __('Congo (CG)', 'cl_text')),
'CH' => array('value' => 'CH','label' => __('Switzerland (CH)', 'cl_text')),
'CI' => array('value' => 'CI','label' => __('Côte dIvoire (CI)', 'cl_text')),
'CK' => array('value' => 'CK','label' => __('Cook Islands (CK)', 'cl_text')),
'CL' => array('value' => 'CL','label' => __('Chile (CL)', 'cl_text')),
'CM' => array('value' => 'CM','label' => __('Cameroon (CM)', 'cl_text')),
'CN' => array('value' => 'CN','label' => __('China (CN)', 'cl_text')),
'CO' => array('value' => 'CO','label' => __('Colombia (CO)', 'cl_text')),
'CR' => array('value' => 'CR','label' => __('Costa Rica (CR)', 'cl_text')),
'CU' => array('value' => 'CU','label' => __('Cuba (CU)', 'cl_text')),
'CV' => array('value' => 'CV','label' => __('Cabo Verde (CV)', 'cl_text')),
'CX' => array('value' => 'CX','label' => __('Christmas Island (CX)', 'cl_text')),
'CY' => array('value' => 'CY','label' => __('Cyprus (CY)', 'cl_text')),
'CZ' => array('value' => 'CZ','label' => __('Czechia (CZ)', 'cl_text')),
'DE' => array('value' => 'DE','label' => __('Germany (DE)', 'cl_text')),
'DJ' => array('value' => 'DJ','label' => __('Djibouti (DJ)', 'cl_text')),
'DK' => array('value' => 'DK','label' => __('Denmark (DK)', 'cl_text')),
'DM' => array('value' => 'DM','label' => __('Dominica (DM)', 'cl_text')),
'DO' => array('value' => 'DO','label' => __('Dominican Republic (DO)', 'cl_text')),
'DZ' => array('value' => 'DZ','label' => __('Algeria (DZ)', 'cl_text')),
'EC' => array('value' => 'EC','label' => __('Ecuador (EC)', 'cl_text')),
'EE' => array('value' => 'EE','label' => __('Estonia (EE)', 'cl_text')),
'ER' => array('value' => 'ER','label' => __('Eritrea (ER)', 'cl_text')),
'ES' => array('value' => 'ES','label' => __('Spain (ES)', 'cl_text')),
'ET' => array('value' => 'ET','label' => __('Ethiopia (ET)', 'cl_text')),
'FI' => array('value' => 'FI','label' => __('Finland (FI)', 'cl_text')),
'FK' => array('value' => 'FK','label' => __('Falkland Islands (Malvinas) (FK)', 'cl_text')),
'FM' => array('value' => 'FM','label' => __('Micronesia, Federated States of (FM)', 'cl_text')),
'FO' => array('value' => 'FO','label' => __('Faroe Islands (FO)', 'cl_text')),
'FR' => array('value' => 'FR','label' => __('France (FR)', 'cl_text')),
'GA' => array('value' => 'GA','label' => __('Gabon (GA)', 'cl_text')),
'GB' => array('value' => 'GB','label' => __('United Kingdom (GB)', 'cl_text')),
'GD' => array('value' => 'GD','label' => __('Grenada (GD)', 'cl_text')),
'GE' => array('value' => 'GE','label' => __('Georgia (GE)', 'cl_text')),
'GF' => array('value' => 'GF','label' => __('French Guiana (GF)', 'cl_text')),
'GG' => array('value' => 'GG','label' => __('Guernsey (GG)', 'cl_text')),
'GH' => array('value' => 'GH','label' => __('Ghana (GH)', 'cl_text')),
'GI' => array('value' => 'GI','label' => __('Gibraltar (GI)', 'cl_text')),
'GL' => array('value' => 'GL','label' => __('Greenland (GL)', 'cl_text')),
'GM' => array('value' => 'GM','label' => __('Gambia (GM)', 'cl_text')),
'GN' => array('value' => 'GN','label' => __('Guinea (GN)', 'cl_text')),
'GP' => array('value' => 'GP','label' => __('Guadeloupe (GP)', 'cl_text')),
'GQ' => array('value' => 'GQ','label' => __('Equatorial Guinea (GQ)', 'cl_text')),
'GS' => array('value' => 'GS','label' => __('South Georgia and the South Sandwich Islands (GS)', 'cl_text')),
'GT' => array('value' => 'GT','label' => __('Guatemala (GT)', 'cl_text')),
'GU' => array('value' => 'GU','label' => __('Guam (GU)', 'cl_text')),
'GW' => array('value' => 'GW','label' => __('Guinea-Bissau (GW)', 'cl_text')),
'GY' => array('value' => 'GY','label' => __('Guyana (GY)', 'cl_text')),
'HK' => array('value' => 'HK','label' => __('Hong Kong (HK)', 'cl_text')),
'HM' => array('value' => 'HM','label' => __('Heard Island and McDonald Islands (HM)', 'cl_text')),
'HN' => array('value' => 'HN','label' => __('Honduras (HN)', 'cl_text')),
'HR' => array('value' => 'HR','label' => __('Croatia (HR)', 'cl_text')),
'HT' => array('value' => 'HT','label' => __('Haiti (HT)', 'cl_text')),
'HU' => array('value' => 'HU','label' => __('Hungary (HU)', 'cl_text')),
'ID' => array('value' => 'ID','label' => __('Indonesia (ID)', 'cl_text')),
'IE' => array('value' => 'IE','label' => __('Ireland (IE)', 'cl_text')),
'IL' => array('value' => 'IL','label' => __('Israel (IL)', 'cl_text')),
'IM' => array('value' => 'IM','label' => __('Isle of Man (IM)', 'cl_text')),
'IN' => array('value' => 'IN','label' => __('India (IN)', 'cl_text')),
'IO' => array('value' => 'IO','label' => __('British Indian Ocean Territory (IO)', 'cl_text')),
'IQ' => array('value' => 'IQ','label' => __('Iraq (IQ)', 'cl_text')),
'IR' => array('value' => 'IR','label' => __('Iran, Islamic Republic of (IR)', 'cl_text')),
'IS' => array('value' => 'IS','label' => __('Iceland (IS)', 'cl_text')),
'IT' => array('value' => 'IT','label' => __('Italy (IT)', 'cl_text')),
'JE' => array('value' => 'JE','label' => __('Jersey (JE)', 'cl_text')),
'JM' => array('value' => 'JM','label' => __('Jamaica (JM)', 'cl_text')),
'JO' => array('value' => 'JO','label' => __('Jordan (JO)', 'cl_text')),
'JP' => array('value' => 'JP','label' => __('Japan (JP)', 'cl_text')),
'KE' => array('value' => 'KE','label' => __('Kenya (KE)', 'cl_text')),
'KG' => array('value' => 'KG','label' => __('Kyrgyzstan (KG)', 'cl_text')),
'KH' => array('value' => 'KH','label' => __('Cambodia (KH)', 'cl_text')),
'KI' => array('value' => 'KI','label' => __('Kiribati (KI)', 'cl_text')),
'KM' => array('value' => 'KM','label' => __('Comoros (KM)', 'cl_text')),
'KN' => array('value' => 'KN','label' => __('Saint Kitts and Nevis (KN)', 'cl_text')),
'KP' => array('value' => 'KP','label' => __('Korea (the Democratic Peoples Republic of) (KP)', 'cl_text')),
'KR' => array('value' => 'KR','label' => __('Korea (the Republic of) (KR)', 'cl_text')),
'KW' => array('value' => 'KW','label' => __('Kuwait (KW)', 'cl_text')),
'KY' => array('value' => 'KY','label' => __('Cayman Islands (KY)', 'cl_text')),
'KZ' => array('value' => 'KZ','label' => __('Kazakhstan (KZ)', 'cl_text')),
'LA' => array('value' => 'LA','label' => __('Lao Peoples Democratic Republic (LA)', 'cl_text')),
'LB' => array('value' => 'LB','label' => __('Lebanon (LB)', 'cl_text')),
'LC' => array('value' => 'LC','label' => __('Saint Lucia (LC)', 'cl_text')),
'LI' => array('value' => 'LI','label' => __('Liechtenstein (LI)', 'cl_text')),
'LK' => array('value' => 'LK','label' => __('Sri Lanka (LK)', 'cl_text')),
'LR' => array('value' => 'LR','label' => __('Liberia (LR)', 'cl_text')),
'LS' => array('value' => 'LS','label' => __('Lesotho (LS)', 'cl_text')),
'LT' => array('value' => 'LT','label' => __('Lithuania (LT)', 'cl_text')),
'LU' => array('value' => 'LU','label' => __('Luxembourg (LU)', 'cl_text')),
'LV' => array('value' => 'LV','label' => __('Latvia (LV)', 'cl_text')),
'LY' => array('value' => 'LY','label' => __('Libya (LY)', 'cl_text')),
'MA' => array('value' => 'MA','label' => __('Morocco (MA)', 'cl_text')),
'MC' => array('value' => 'MC','label' => __('Monaco (MC)', 'cl_text')),
'MD' => array('value' => 'MD','label' => __('Moldova, Republic of (MD)', 'cl_text') ),
'ME' => array('value' => 'ME','label' => __('Montenegro (ME)', 'cl_text')),
'MF' => array('value' => 'MF','label' => __('Saint Martin (French part) (MF)', 'cl_text')),
'MG' => array('value' => 'MG','label' => __('Madagascar (MG)', 'cl_text')),
'MH' => array('value' => 'MH','label' => __('Marshall Islands (MH)', 'cl_text')),
'MK' => array('value' => 'MK','label' => __('Macedonia, the former Yugoslav Republic of (MK)', 'cl_text')),
'ML' => array('value' => 'ML','label' => __('Mali (ML)', 'cl_text')),
'MM' => array('value' => 'MM','label' => __('Myanmar (MM)', 'cl_text')),
'MN' => array('value' => 'MN','label' => __('Mongolia (MN)', 'cl_text')),
'MO' => array('value' => 'MO','label' => __('Macao (MO)', 'cl_text')),
'MP' => array('value' => 'MP','label' => __('Northern Mariana Islands (MP)', 'cl_text')),
'MQ' => array('value' => 'MQ','label' => __('Martinique (MQ)', 'cl_text')),
'MR' => array('value' => 'MR','label' => __('Mauritania (MR)', 'cl_text')),
'MS' => array('value' => 'MS','label' => __('Montserrat (MS)', 'cl_text')),
'MT' => array('value' => 'MT','label' => __('Malta (MT)', 'cl_text')),
'MU' => array('value' => 'MU','label' => __('Mauritius (MU)', 'cl_text')),
'MV' => array('value' => 'MV','label' => __('Maldives (MV)', 'cl_text')),
'MW' => array('value' => 'MW','label' => __('Malawi (MW)', 'cl_text')),
'MX' => array('value' => 'MX','label' => __('Mexico (MX)', 'cl_text')),
'MY' => array('value' => 'MY','label' => __('Malaysia (MY)', 'cl_text')),
'MZ' => array('value' => 'MZ','label' => __('Mozambique (MZ)', 'cl_text')),
'NA' => array('value' => 'NA','label' => __('Namibia (NA)', 'cl_text')),
'NC' => array('value' => 'NC','label' => __('New Caledonia (NC)', 'cl_text')),
'NE' => array('value' => 'NE','label' => __('Niger (NE)', 'cl_text')),
'NF' => array('value' => 'NF','label' => __('Norfolk Island (NF)', 'cl_text')),
'NG' => array('value' => 'NG','label' => __('Nigeria (NG)', 'cl_text')),
'NI' => array('value' => 'NI','label' => __('Nicaragua (NI)', 'cl_text')),
'NL' => array('value' => 'NL','label' => __('Nicaragua (NL)', 'cl_text')),
'NO' => array('value' => 'NO','label' => __('Norway (NO)', 'cl_text')),
'NP' => array('value' => 'NP','label' => __('Nepal (NP)', 'cl_text')),
'NR' => array('value' => 'NR','label' => __('Nauru (NR)', 'cl_text')),
'NU' => array('value' => 'NU','label' => __('Niue (NU)', 'cl_text')),
'NZ' => array('value' => 'NZ','label' => __('New Zealand (NZ)', 'cl_text')),
'OM' => array('value' => 'OM','label' => __('Oman (OM)', 'cl_text')),
'PA' => array('value' => 'PA','label' => __('Panama (PA)', 'cl_text')),
'PE' => array('value' => 'PE','label' => __('Peru (PE)', 'cl_text')),
'PF' => array('value' => 'PF','label' => __('French Polynesia (PF)', 'cl_text')),
'PG' => array('value' => 'PG','label' => __('Papua New Guinea (PG)', 'cl_text')),
'PH' => array('value' => 'PH','label' => __('Philippines (PH)', 'cl_text')),
'PK' => array('value' => 'PK','label' => __('Pakistan (PK)', 'cl_text')),
'PL' => array('value' => 'PL','label' => __('Poland (PL)', 'cl_text')),
'PM' => array('value' => 'PM','label' => __('Saint Pierre and Miquelon (PM)', 'cl_text')),
'PN' => array('value' => 'PN','label' => __('Pitcairn (PN)', 'cl_text')),
'PS' => array('value' => 'PS','label' => __('Palestine, State of (PS)', 'cl_text')),
'PT' => array('value' => 'PT','label' => __('Portugal (PT)', 'cl_text')),
'PW' => array('value' => 'PW','label' => __('Palau (PW)', 'cl_text')),
'PY' => array('value' => 'PY','label' => __('Paraguay (PY)', 'cl_text')),
'QA' => array('value' => 'QA','label' => __('Qatar (QA)', 'cl_text')),
'RE' => array('value' => 'RE','label' => __('Réunion (RE)', 'cl_text')),
'RO' => array('value' => 'RO','label' => __('Romania (RO)', 'cl_text')),
'RS' => array('value' => 'RS','label' => __('Serbia (RS)', 'cl_text')),
'RU' => array('value' => 'RU','label' => __('Russian Federation (RU)', 'cl_text')),
'RW' => array('value' => 'RW','label' => __('Rwanda (RW)', 'cl_text')),
'SA' => array('value' => 'SA','label' => __('Saudi Arabia (SA)', 'cl_text')),
'SB' => array('value' => 'SB','label' => __('Solomon Islands (SB)', 'cl_text')),
'SC' => array('value' => 'SC','label' => __('Seychelles (SC)', 'cl_text')),
'SD' => array('value' => 'SD','label' => __('Sudan (SD)', 'cl_text')),
'SE' => array('value' => 'SE','label' => __('Sweden (SE)', 'cl_text')),
'SG' => array('value' => 'SG','label' => __('Singapore (SG)', 'cl_text')),
'SH' => array('value' => 'SH','label' => __('Saint Helena, Ascension and Tristan da Cunha (SH)', 'cl_text')),
'SI' => array('value' => 'SI','label' => __('Slovenia (SI)', 'cl_text')),
'SJ' => array('value' => 'SJ','label' => __('Svalbard and Jan Mayen (SJ)', 'cl_text')),
'SK' => array('value' => 'SK','label' => __('Slovakia (SK)', 'cl_text')),
'SL' => array('value' => 'SL','label' => __('Sierra Leone (SL)', 'cl_text')),
'SM' => array('value' => 'SM','label' => __('San Marino (SM)', 'cl_text')),
'SN' => array('value' => 'SN','label' => __('Senegal (SN)', 'cl_text')),
'SO' => array('value' => 'SO','label' => __('Somalia (SO)', 'cl_text')),
'SR' => array('value' => 'SR','label' => __('Suriname (SR)', 'cl_text')),
'ST' => array('value' => 'ST','label' => __('Sao Tome and Principe (ST)', 'cl_text')),
'SV' => array('value' => 'SV','label' => __('El Salvador (SV)', 'cl_text')),
'SY' => array('value' => 'SY','label' => __('Syrian Arab Republic (SY)', 'cl_text')),
'SZ' => array('value' => 'SZ','label' => __('Swaziland (SZ)', 'cl_text')),
'TC' => array('value' => 'TC','label' => __('Turks and Caicos Islands (TC)', 'cl_text')),
'TD' => array('value' => 'TD','label' => __('Chad (TD)', 'cl_text')),
'TF' => array('value' => 'TF','label' => __('French Southern Territories (TF)', 'cl_text')),
'TG' => array('value' => 'TG','label' => __('Togo (TG)', 'cl_text')),
'TH' => array('value' => 'TH','label' => __('Thailand (TH)', 'cl_text')),
'TJ' => array('value' => 'TJ','label' => __('Tajikistan (TJ)', 'cl_text')),
'TK' => array('value' => 'TK','label' => __('Tokelau (TK)', 'cl_text')),
'TL' => array('value' => 'TL','label' => __('Timor-Leste (TL)', 'cl_text')),
'TM' => array('value' => 'TM','label' => __('Turkmenistan (TM)', 'cl_text')),
'TN' => array('value' => 'TN','label' => __('Tunisia (TN)', 'cl_text')),
'TO' => array('value' => 'TO','label' => __('Tonga (TO)', 'cl_text')),
'TR' => array('value' => 'TR','label' => __('Turkey (TR)', 'cl_text')),
'TT' => array('value' => 'TT','label' => __('Trinidad and Tobago (TT)', 'cl_text')),
'TV' => array('value' => 'TV','label' => __('Tuvalu (TV)', 'cl_text')),
'TW' => array('value' => 'TW','label' => __('Taiwan, Province of China (TW)', 'cl_text')),
'TZ' => array('value' => 'TZ','label' => __('Tanzania, United Republic of (TZ)', 'cl_text')),
'UA' => array('value' => 'UA','label' => __('Ukraine (UA)', 'cl_text')),
'UG' => array('value' => 'UG','label' => __('Uganda (UG)', 'cl_text')),
'UM' => array('value' => 'UM','label' => __('United States Minor Outlying Islands (UM)', 'cl_text')),
'UY' => array('value' => 'UY','label' => __('Uruguay (UY)', 'cl_text')),
'UZ' => array('value' => 'UZ','label' => __('Uzbekistan (UZ)', 'cl_text')),
'VA' => array('value' => 'VA','label' => __('Holy See (Vatican City State) (VA)', 'cl_text')),
'VC' => array('value' => 'VC','label' => __('Saint Vincent and the Grenadines (VC)', 'cl_text')),
'VE' => array('value' => 'VE','label' => __('Venezuela, Bolivarian Republic of (VE)', 'cl_text')),
'VG' => array('value' => 'VG','label' => __('Virgin Islands, British (VG)', 'cl_text')),
'VI' => array('value' => 'VI','label' => __('Virgin Islands, U.S. (VI)', 'cl_text')),
'VN' => array('value' => 'VN','label' => __('Viet Nam (VN)', 'cl_text')),
'VU' => array('value' => 'VU','label' => __('Vanuatu (VU)', 'cl_text')),
'WF' => array('value' => 'WF','label' => __('Wallis and Futuna (WF)', 'cl_text')),
'WS' => array('value' => 'WS','label' => __('Samoa (WS)', 'cl_text')),
'YE' => array('value' => 'YE','label' => __('Yemen (YE)', 'cl_text')),
'YT' => array('value' => 'YT','label' => __('Mayotte (YT)', 'cl_text')),
'ZA' => array('value' => 'ZA','label' => __('South Africa (ZA)', 'cl_text')),
'ZM' => array('value' => 'ZM','label' => __('Zambia (ZM)', 'cl_text')));


wpclink_array_sort_by_column($country_codes, 'label');

$country_codes_usa = array( 'US' => array(
  'value' => 'US',
  'label' => __( 'United States (US)', 'cl_text' )
 ));


$complete_list_codes = array_merge($country_codes_usa,$country_codes);

	// If Territory not selected
	if($territory_code_exists = wpclink_get_option('territory_code')){	
	}else{
		
	$complete_list_codes = array_merge($complete_list_codes,array( '0' => array('value' => '0','label' => __( 'Select', 'cl_text'))));
	
	}


	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;
		
	if(isset($_GET['startup']) and $_GET['startup'] == 1){
		wpclink_update_option('wpclink_welcome_status',$_GET['startup']);
		wpclink_update_option('wpclink_terms_condition',1);
		
	}
	
	// Startup
	$option_startup = wpclink_get_option('wpclink_welcome_status');
	


	?>

<div class="wrap">
  <?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
  <?php wpclink_canonical_reloader(); ?>
  <div class="updated fade">
    <p><strong>
      <?php _e( 'Options saved', 'cl_text' ); ?>
      </strong></p>
  </div>
  <?php endif; ?>
  <?php wpclink_if_no_primary_link(); ?>
   <?php wpclink_tabs_pages_general(); ?>
	<div class="cl_subtabs_box" style="padding-left:45px; padding-top:35px;"> 
    
  <form method="post" action="<?php echo menu_page_url( 'cl_mainpage.php', false );?>" style="margin-bottom:15px;">
    <?php settings_fields( 'wp2sync_options' ); ?>
    <?php

    // GET
	$options = wpclink_get_option( 'preferences_general' ); 
	$updated = false;

	if(isset($_POST['preferences_general']['cl_mode'])){
		if(wpclink_user_readonly()){
			wpclink_notif_print('Action cannot be perform.','error');
		}else{
		
		$options['cl_mode'] = $_POST['preferences_general']['cl_mode'];
		
		// Update
		wpclink_update_option('preferences_general',$options);
		$updated = true;
		
		}
	}
	
	
	if(isset($_POST['canonical_fail_attemps'])){
		
		if(wpclink_user_readonly()){
			wpclink_notif_print('Action cannot be perform.','error');
		}else{
		
		$canonical_fail_attemps_save = $_POST['canonical_fail_attemps'];
		
		// Update
		wpclink_update_option('verification_canonical_fail_threshold',$canonical_fail_attemps_save);
		$updated = true;
		}
	}
	
	if(isset($_POST['canonical_success_attemps'])){
		
		if(wpclink_user_readonly()){
			wpclink_notif_print('Action cannot be perform.','error');
		}else{
		
		$canonical_success_attemps_save = $_POST['canonical_success_attemps'];
		
		// Update
		wpclink_update_option('verification_canonical_success_threshold',$canonical_success_attemps_save);
		$updated = true;
		}
	}
	if(isset($_POST['clink_security_1'])){
		
	if(isset($_POST['clink_security'])){
		
		if(wpclink_user_readonly()){
			wpclink_notif_print('Action cannot be perform.','error');
		}else{
		
		$get_clink_security = $_POST['clink_security'];
		
		// Update
		wpclink_update_option('verification_linked_ip',$get_clink_security);
		$updated = true;
		}
	}else{
		wpclink_update_option('verification_linked_ip',0);
		$updated = true;
	}
	
	}

	if(isset($_POST['preferences_general']['canonical_time'])){
		if(wpclink_user_readonly()){
			wpclink_notif_print('Action cannot be perform.','error');
		}else{
			
		$options['canonical_time'] = $_POST['preferences_general']['canonical_time'];
		
		// Update
		wpclink_update_option('preferences_general',$options);
		$updated = true;
		}
	}
	
	if(isset($_POST['debug_enable_set'])){
		if(isset($_POST['debug_enable'])){
			if(wpclink_user_readonly()){
				wpclink_notif_print('Action cannot be perform.','error');
			}else{

				$debug_enable = $_POST['debug_enable'];

				// Update
				wpclink_update_option('debug_enable',$debug_enable);

				$updated = true;

			}
		}else{
			
				// Update
				wpclink_update_option('debug_enable',false);

				$updated = true;
			
		}
	}	
	
	if($updated == true){
		wpclink_notif_print('Changes have been saved.','success');
	}

	 // GET
	$options = wpclink_get_option( 'preferences_general' ); 
	$clink_security = wpclink_get_option('verification_linked_ip');
	$debug_enable = wpclink_get_option('debug_enable');

	?><h3><?php _e( 'Mode', 'cl_text' ); ?> <span class="icon-box" title="Operation modes allowing to aggregate and/or promote content under agreement of the parties"></span></h3>
    <table class="form-table cl-modes-style fixed-box-390">
          <tr valign="top">
            <th scope="row"></th>
            <td><fieldset>
                <legend class="screen-reader-text"><span>
                <?php _e( 'Mode', 'cl_text' ); ?>
                </span></legend>
                <?php
				$count_label = 0;
							if ( ! isset( $checked ) )
								$checked = '';
							foreach ( $cl_mode as $option ) {
								$radio_setting = $options['cl_mode'];
								$count_label++;

								if ( '' != $cl_mode ) {
									if ( $options['cl_mode'] == $option['value'] ) {
										$checked = "checked=\"checked\"";
									} else {
										$checked = '';
									}
								}
								?>
                <label class="description clmode_space clm-<?php echo $count_label; ?>">
                  <input type="radio" name="preferences_general[cl_mode]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
                  <?php echo $option['label']; ?></label>
                <?php
							}
						?>
          <input type="submit" class="button-primary mode-update" value="<?php _e( 'Update', 'cl_text' ); ?>" />              
              </fieldset></td>
          </tr>
        </table>
        <input type="hidden" name="preferences_general[canonical_time]" value="<?php echo $options['canonical_time']; ?>" />
  </form>

<?php $options = wpclink_get_option( 'preferences_general' );  ?>        
<h3>Territory <span class="icon-box" title="Territory with which the Creations of this site is associated with"></span></h3>
<form method="post" class="form_territory" action="<?php echo menu_page_url( 'cl_mainpage.php', false );?>" style="margin-bottom:20px;">  
    <table class="form-table fixed-box-390">
      <tr valign="top">
      <th scope="row"></th>
					<td>
						<select name="teriority_code" id="teriority_code">
							<?php
								$selected = wpclink_get_option('territory_code');
								$p = '';
								$r = '';

								foreach ( $complete_list_codes as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						  <input type="submit" class="button-primary teriority_button" value="<?php _e( 'Update', 'cl_text' ); ?>" />
					</td>
				</tr>
    </table>
</form>
<form method="post" action="<?php echo menu_page_url( 'cl_mainpage.php', false );?>" style="margin-bottom:10px;">        
        <h3>Verifications <span class="icon-box" title="Periodic schedule verifying the compliance with some of the terms of the licensing agreement"></span></h3>

    <table class="form-table fixed-box-390">
      <tr valign="top">
        <th scope="row"></th>
        <td>
        <p class="section-heading">Canonical <span class="icon-box" title="Link element pointing to the original content"></span></p>
        <select id="canonical_time" name="preferences_general[canonical_time]">
            <?php
								$selected = $options['canonical_time'];
								$p = '';
								$r = '';

								foreach ( $select_options as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
          </select>
          <label class="description" for="preferences_general[canonical_time]">
          </label>
           <a class="advance-btn button"><?php _e('Advanced ...','cl_text'); ?></a>
           <div class="canonical_vtoggle">
          <p>
          <select id="canonical_fail_attemps" name="canonical_fail_attemps">
            <?php
								$selected = wpclink_get_option('verification_canonical_fail_threshold');
								$p = '';
								$r = '';

								foreach ( $canonical_attemps_options as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
          </select> <?php _e('Number of failed verifications before Link is removed','cl_text'); ?>
          </p>
          <p>
          <select id="canonical_success_attemps" name="canonical_success_attemps">
            <?php
								$selected = wpclink_get_option('verification_canonical_success_threshold');
								$p = '';
								$r = '';

								foreach ( $canonical_attemps_options as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
          </select> <?php _e('Number of successful verifications before Link is restored','cl_text'); ?></p>
          </div>
           <br /><br />

 <p class="section-heading">Security <span class="icon-box" title="Comparing IP of the Linked Creation to the IP used in the reuse request"></span></p>
          <label for="clink_security"><input type="checkbox" id="clink_security" name="clink_security" value="1" <?php checked( $clink_security, 1 ); ?>>Linked Creation IP verification</label>
                        <input type="hidden" name="clink_security_1" value="1" />
          <input type="submit" class="button-primary canon-update" value="<?php _e( 'Update', 'cl_text' ); ?>" />

          </td>
      </tr>
    </table>

    </form>
		
	<form method="post" action="<?php echo menu_page_url( 'cl_mainpage.php', false );?>" style="margin-bottom:10px;">    
    <h3>Debug Log <span class="icon-box" title="Creates log file can be used for troubleshooting"></span></h3>
    <table class="form-table fixed-box-390">
      <tr valign="top">
        <th scope="row"></th>
        <td>
          <label for="debug_enable"><input type="checkbox" id="debug_enable" name="debug_enable" value="1" <?php checked( $debug_enable, 1 ); ?>>Enable</label>
                        <input type="hidden" name="debug_enable_set" value="1" />
          <input type="submit" class="button-primary debug-update" value="<?php _e( 'Update', 'cl_text' ); ?>" />
          </td>
      </tr>
    </table>

    </form>
    
<script>
 jQuery(function() {
     jQuery(document).tooltip();
     var icons = {
         header: "ui-icon-circle-arrow-e",
         activeHeader: "ui-icon-circle-arrow-s"
     };
     jQuery("#accordion").accordion({
         icons: icons,
         header: "h2",
         active: false
     });

 });

 jQuery(document).ready(function() {
     jQuery(".advance-btn").click(function() {
         jQuery('.canonical_vtoggle').slideToggle("fast");
     });
 });
</script>
</div>
	<?php
	// End of the CLink Admin page
	do_action( 'wpclink_after_admin_page'); ?>
<?php
}



/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
function wpclink_options_validate( $input ) {

	return $input;
}
