<?php
/**
 * CLink Preferences License Template
 *
 * clink preferences license template admin page.
 *
 * @package CLink
 * @subpackage System
 */
 
 // Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );


// Register clink license template admin menu
add_action('admin_menu', 'wpclink_templates_menu');
 
 /**
  * CLink License Template Admin Menu
  * 
  */ 
function wpclink_templates_menu(){
	
	$copyright_owner = wpclink_get_option('copyright_owner');
	$creator_array = wpclink_get_option('authorized_creators');
	$user_id_asso = $creator_array[0];
	$current_user_id = get_current_user_id();
	
	$party_id = wpclink_get_option('authorized_party');
	
	if($copyright_owner == 'party'){
		$copyright_owner_id = wpclink_get_option('authorized_party');
	}else if($copyright_owner == 'creator'){
		$copyright_owner_id = $user_id_asso;
	}
	
	if($copyright_owner_id == $current_user_id ){
	
	if($copyright_owner == 'party'){
       	add_submenu_page('cl_mainpage.php', 'Preferences', 'Preferences', 'edit_posts', 'cl_templates', 'wpclink_templates_func' );
	}else if($copyright_owner == 'creator'){
		add_submenu_page('cl_mainpage.php', 'Preferences', 'Preferences', 'edit_posts', 'cl_templates', 'wpclink_templates_func' );
	}
	
	}elseif($user_id_asso == $current_user_id){
		
	}elseif($party_id == $current_user_id){
		add_submenu_page('cl_mainpage.php', 'Preferences', 'Preferences', 'edit_posts', 'cl_templates', 'wpclink_templates_func' );
	}else{
	  	add_submenu_page('cl_mainpage.php', 'Preferences', 'Preferences', 'manage_options', 'cl_templates', 'wpclink_templates_func' );
	}
}
/**
  * CLink License Template Admin Page Render
  * 
  */ 
function wpclink_templates_func(){ ?>
<div class="wrap agreement_area">
  <?php wpclink_tabs_pages_general();  ?>
  <div class="cl_subtabs_box">

    <?php $updated = false;
	if(wpclink_user_readonly()){
		}else{
	
	if(isset($_POST['cl_agreement'])){
		
		$clink_licenses = wpclink_get_option('licenses');
		$clink_licenses['as_is'] = $_POST['cl_agreement'];
		
		if($updated = wpclink_update_option('licenses',$clink_licenses)){
			$updated = true;
		}
	}
	if(isset($_POST['cl_agreement_template2'])){
		
		$clink_licenses = wpclink_get_option('licenses');
		$clink_licenses['restricted'] = $_POST['cl_agreement_template2'];
		
		if($updated = wpclink_update_option('licenses',$clink_licenses)){
			$updated = true;
		}
	}
	}

	$license_type =	$_GET['cl_license_type'];
	$current_page = menu_page_url( 'cl_templates', false );
	$license_ver_array = wpclink_get_option('license_versions');
	?>
    <?php if ($updated ) : ?>
    <div class="updated fade">
      <p><strong>
        <?php _e( 'Changes Saved', 'cl_text' ); ?>
        </strong></p>
    </div>
    <?php endif; ?>  
    <?php if(empty($license_type)){ ?>
    <div id="license_types_screen">
    <div class="screens">
    <div class="license_box">
    <h2><?php _e('As Is License | Personal Edition','cl_text'); ?></h2>
    <p><em><?php _e('Standard & Non Editable','cl_text'); ?></em></p>
    <p><?php _e('This License permits the Licensee to publish the Linked Creation with a post date on or after the post date of the Referent Creation. The Linked Creation may be published with a typeface or font (specific weight, style, condensation, width, slant, case, ornamentation, and designer), layout, foreground, background, and typeface/font and color other than as published by the Creator subject to moral rights. ','cl_text'); ?></p>
    <a class="clbtn" href="<?php echo esc_url(add_query_arg('cl_license_type','as_is',$current_page)); ?>"><span class="dashicons dashicons-visibility"></span> <?php _e('View Template','cl_text'); ?></a>
    </div>
    <div class="license_box">
    <h2><?php _e('Restricted License | Personal Edition','cl_text'); ?></h2>
    <p><em><?php _e('Standard & Non Editable','cl_text'); ?></em></p>
    <p><?php _e('This License permits Licensee to publish the Linked Creation with a post date on or after the post date of the Referent Creation and with Tags and Categories supplementing any provided with the Delivered Creation. The Linked Creation may be published with a typeface or font (specific weight, style, condensation, width, slant, case, ornamentation, and designer), layout, foreground, background, and typeface/font and color other than as published by the Creator subject to moral rights.','cl_text'); ?></p>
    
    <a class="clbtn" href="<?php echo esc_url(add_query_arg('cl_license_type','restricted',$current_page)); ?>"><span class="dashicons dashicons-visibility"></span> <?php _e('View Template','cl_text'); ?></a>
    </div>
    </div>
    </div>
    <?php }elseif($license_type == 'as_is'){ ?>
    <form method="post" action="<?php echo esc_url(add_query_arg('cl_license_type','as_is',$current_page)); ?>">

        <h2><?php _e('As Is Standard License','cl_text'); ?></h2>
        <div>
          <?php settings_fields( 'cl_agreement_options' ); ?>
          <?php
	$poup_text = wpclink_get_option( 'licenses' );  ?>
    <div id="license_show_box"><div class="license_text"><?php echo $poup_text['as_is']; ?><br /><h3 align="right" style="text-decoration:underline; margin-right:50px;"><?php _e('Electronic  signature  of  Licensor'); ?></h3><br /><br /></div></div>
          <br />
        </div>
        <p class="submit">
 <a class="clbtn" href="<?php echo esc_url($current_page); ?>">Back</a>
      </p>
    </form>
    <?php }elseif($license_type == 'restricted'){ ?>
    <form method="post" action="<?php echo esc_url(add_query_arg('cl_license_type','restricted',$current_page)); ?>">
        <h2><?php _e('Restricted Standard License','cl_text'); ?></h2>
        <div>
        <?php
	$poup_text2 = wpclink_get_option( 'licenses' ); ?>
    <div id="license_show_box"><div class="license_text"><?php echo $poup_text2['restricted']; ?><br /><h3 align="right" style="text-decoration:underline; margin-right:50px;"><?php _e('Electronic  signature  of  Licensor'); ?></h3><br /><br /></div></div>
          <br />
        </div>
     
          
<p class="submit">
 <a class="clbtn" href="<?php echo esc_url($current_page); ?>">Back</a>
      </p>
    </form>
  <?php } ?>
    <script>
	// Call Tooltip Info
jQuery( function() {
    jQuery( document ).tooltip();
	 var icons = {
      header: "ui-icon-circle-arrow-e",
      activeHeader: "ui-icon-circle-arrow-s"
    };
 	jQuery('.party_form_btn').click(function(){ jQuery('.party_form').slideToggle('fast'); });
	jQuery('.creator_form_btn').click(function(){ jQuery('.creator_form').slideToggle('fast'); });
	jQuery('.copyright_form_btn').click(function(){ jQuery('.copyright_form').slideToggle('fast'); });
} );
</script> 
  </div>
	<?php // End of the CLink Admin page
	do_action( 'wpclink_after_admin_page'); ?>
</div>
<?php }