<?php 
/**
* wpCLink
*
* @package CLink
* @copyright Copyright (C) 2018, CLink Media, Inc. - support@clink.media
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 or higher
*
* @wpCLink
* Plugin Name: wpCLink
* Version: 0.9.4
* Plugin URI: https://clink.media
* Description: Content Link Beyond Hyperlink: formed
 under license; content and license delivered directly to the licensees WordPress backend; registered content and copyright information.
* Author: Team CLink
* Author URI: https://clink.media/team-clink
* Text Domain: cl_text
* License: GPL v2
* WC requires at least: 4.8
* WC tested up to: 4.9.8
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
		
// this is only needed for systems that the .htaccess won't work on
defined('ABSPATH') or die('No script kiddies please!');


if ( !defined( 'WPCLINK_VERSION' ) ) {
 define( 'WPCLINK_VERSION', '0.9' );
}
if ( !defined( 'WPCLINK_UI_VERSION' ) ) {
 define( 'WPCLINK_UI_VERSION', 'cui-0-9' );
}
if ( !defined( 'WPCLINK_DATABASE_NAME' ) ) {
 define( 'WPCLINK_DATABASE_NAME', '0.9' );
}
if ( !defined( 'WPCLINK_BASENAME' ) ) {
 define( 'WPCLINK_BASENAME', plugin_basename( __FILE__ ) );
}
if ( !defined( 'WPCLINK_MAIN_FILE' ) ) {
 define( 'WPCLINK_MAIN_FILE',  __FILE__  );
}
if ( !defined( 'WPCLINK_ID_URL' ) ) {
 define( 'WPCLINK_ID_URL', 'https://clink.id' );
}
if ( !defined( 'WPCLINK_CARE_SERVER' ) ) {
 define( 'WPCLINK_CARE_SERVER', 'https://care.clink.media' );
}
if ( !defined( 'WPCLINK_PARTY_API' ) ) {
 define( 'WPCLINK_PARTY_API', 'https://care.clink.media/?clink-party-new=1' );
}
if ( !defined( 'WPCLINK_PARTY_APPROVE_API' ) ) {
 define( 'WPCLINK_PARTY_APPROVE_API', 'https://care.clink.media/?clink-party-new-approve=1' );
}
if ( !defined( 'WPCLINK_CREATOR_API' ) ) {
 define( 'WPCLINK_CREATOR_API', 'https://care.clink.media/?clink-creator=1' );
}
if ( !defined( 'WPCLINK_CREATOR_APPROVE_API' ) ) {
 define( 'WPCLINK_CREATOR_APPROVE_API', 'https://care.clink.media/?clink-creator-approve=1' );
}
if ( !defined( 'WPCLINK_CREATION_API' ) ) {
 define( 'WPCLINK_CREATION_API', 'https://care.clink.media/?clink-content=1' );
}
if ( !defined( 'WPCLINK_API_TIMEOUT' ) ) {
 define( 'WPCLINK_API_TIMEOUT', '45' );
}
if ( !defined( 'WPCLINK_DEBUG' ) ) {
 define( 'WPCLINK_DEBUG', true );
}




/**
 * CLink Quota Get from Care.Clink.Meda (Current Edition is Free so no Quota is Required Default Quota is 200)
 * 
 * Current Edition is Free so No Quota is Require 
 * 
 * @return integer 200
 */
function wpclink_clink_domain_quota(){
	
	// Personal Edition
	return '200';
	
}



// Quota Response
global $wpCLink_quota_response;
// CLink DB Version
global $wpCLink_db_version;

// Quota
global $wpCLink_domain_quota;

// XML CLEANUP
error_reporting(0);

// CLink Database Version
$wpCLink_db_version = '0.8';

$wpCLink_domain_quota = wpclink_clink_domain_quota();

// Core and main functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-core.php' );

// Initiaization functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-init.php' );

// Intallation functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-install.php' );

// Connectionn to registry functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-connection.php' );

// Encryption and decryption functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-crypt.php' );

// Canonica Verification
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-canonical.php' );

// Ajax requests functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-ajax.php' );

// Conditional and database quries
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-query.php' );

// Activation functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-activation.php' );

// License functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-license.php' );

// List of linked content
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-linklist.php' );

// Menu and buttons functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-menu.php' );

// Miscellaneous functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-misc.php' );

// Notification and messages functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-notification.php' );

// Reuse and Popup functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-reuse.php' );

// CLink party and creator users functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-user.php' );

// Process functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-process.php' );

// Content creation and link functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-creation.php' );

// Schedule of canonical verification functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-schedule.php' );

// Structure functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-structure.php' );

// API XML functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-xml.php' );

// Canonical verification functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-verification.php' );

// Token functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-token.php' );

// Electronic signature functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-esign.php' );

// Scripts render functions
require_once( plugin_dir_path( __FILE__ ) . 'includes/wpclink-script.php' );

// Uninstall
require_once( plugin_dir_path( __FILE__ ) . 'uninstall.php' );

// Admin PAges

// Preferences general
require_once( plugin_dir_path( __FILE__ ) . 'admin/preferences-general.php' );

// Preferences uders
require_once( plugin_dir_path( __FILE__ ) . 'admin/preferences-users.php' );

// Preferences license template
require_once( plugin_dir_path( __FILE__ ) . 'admin/preferences-licensetemplates.php' );

// Content referent posts
require_once( plugin_dir_path( __FILE__ ) . 'admin/content-referent-posts.php' );

// Content registered posts
require_once( plugin_dir_path( __FILE__ ) . 'admin/content-registered-posts.php' );

// Content registered pages
require_once( plugin_dir_path( __FILE__ ) . 'admin/content-registered-pages.php' );

// Content referent pages
require_once( plugin_dir_path( __FILE__ ) . 'admin/content-referent-pages.php' );

// Content linked pages
require_once( plugin_dir_path( __FILE__ ) . 'admin/content-linked-pages.php' );

// Content linked posts
require_once( plugin_dir_path( __FILE__ ) . 'admin/content-linked-posts.php' );

// Links referent 
require_once( plugin_dir_path( __FILE__ ) . 'admin/links-referent.php' );

// Links linked
require_once( plugin_dir_path( __FILE__ ) . 'admin/links-linked.php' );

// Links linked add new offer
require_once( plugin_dir_path( __FILE__ ) . 'admin/links-linked-new.php' );

// Links referent canonical
require_once( plugin_dir_path( __FILE__ ) . 'admin/links-referent-canonical.php' );

// Links referent audit trail
require_once( plugin_dir_path( __FILE__ ) . 'admin/links-referent-audittrial.php' );
