<?php
/**
 * CLink Activations Functions
 *
 * CLink activation default options, requirements
 *
 * @package CLink
 * @subpackage System
 */
 
 // Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * CLink Default Option to Load on Activation
 */

function wpclink_default_options(){
	
	// Default Options
	$cl_option = 'preferences_general';
	$default_value['cl_mode'] = "both";
	$default_value['message_popup'] = 0;
	
	// Default Restraction Options
	$default_rest['exin_posts'] = "exclude";
	$default_rest['exin_page'] = "exclude";
	$default_rest['page_id_exin'] = array('-1');
	$default_rest['post_id_exin'] = array('-1');
	$default_rest['page_disable'] = 0;
	$default_rest['post_disable'] = 0;
	
	
	
	$defualt_offer = '<form id="cl_new_offer" action="">
<div id="cl_offer_response">
<h2>Do you want to get this content?</h2>
<input id="cl_weburl" required="required" value="" autofocus="autofocus" placeholder="Your Website Address" type="url">
<div id="wait"></div>
<input id="cl_modal_submit" value="Submit" type="submit">

</div>
</form>';

$defualt_offer_clinkid = '<form id="cl_new_offer_clinkid" action="">
<div id="cl_offer_response">
<h2>Do you want to get this content?</h2>
<input id="cl_weburl" required="required" value="" autofocus="autofocus" placeholder="Your Website Address" type="url">
<input type="hidden" name="content_method" value="single" />
<input type="hidden" name="cl_auto_code" value="" />
<div id="wait"></div>
<input id="cl_modal_submit" value="Submit" type="submit">

</div>
</form>';

$default_template = '<p><span style="width:130px; display:inline-block;"><strong>Date:</strong></span> [date_of_license]</p><p><strong>Content Management System:&nbsp;</strong> WordPress</p><p><strong>Registration System:</strong> CLink Registry</p><p><span style="width:130px; display:inline-block;"><strong>Canonical URL:</strong> </span>[canonical_url]</p><p><strong>Creation Identifier</strong>: [creation_identifier]</p><p><span style="width:130px; display:inline-block;"><strong>Creator</strong>: </span>[creator_displayname]</p><p><span style="width:130px; display:inline-block;"></span>[creator_user_email]</p><p><strong>Creator Identifier</strong>: [creator_identifier]</p><p><span style="width:130px; display:inline-block;"><strong>Licensor</strong>:</span> [copyright_owner_display_name]</p><p><span style="width:130px; display:inline-block;"></span>[copyright_owner_user_email]</p><p><strong>Licensor</strong> Identifier: [copyright_owner_identifier]</p><p><span style="width:130px; display:inline-block;"><strong>Licensee</strong>:</span> [licensee_display_name]</p><p><span style="width:130px; display:inline-block;"></span>[licensee_user_email]</p><p><strong>Licensee Identifier</strong>: [licensee_user_identifier]</p><p><strong>LICENSE: Licensor owns or has the authority to license rights in the Creation located at the Canonical URL and identified by the Creation Identifier as of the Date indicated above. Licensor grants Licensee an AS-IS NON-EXCLUSIVE, ROYALTY-FREE, REVOCABLE license to use the Creation with the specified Content Management System subject to the following terms and conditions. This license is delivered to the Licensee accompanied by an authorized copy of the Creation and meta-data (collectively &ldquo;Delivered Creation&rdquo;).</strong></p><p>	<strong>I. DEFINITIONS</strong></p><p><em>As-is</em> &ndash; a license which permits the Licensee to use the Creation within the Content Management System subject to the terms and conditions for an as-is license. An as-is license does not permit the Licensee to publish the Creation with Tags or Categories other than those delivered with the Creation.</p><p><em>Canonical URL</em> &ndash; a uniform resource identifier or uniform resource indicator specified by the Licensor to be used when identifying the referent Creation.</p><p><em>Categories</em> &ndash; a taxonomic description of the Creation. The Delivered Creation may include descriptive Categories for use in searching, sorting, and otherwise managing the Creation within the Content Management System.</p><p><em>CLink plug-in</em> &ndash; refers to the CLink Media, Inc. plug-in for the specified Content Management System.</p><p><em>Content</em> &ndash; refers to the content of the Creation. The content may also be referred to as the body of the Creation.</p><p><em>Content Management System</em> &ndash; a software application or related programs used to create and manage digital content.</p><p><em>Creation</em> &ndash; the material that is the subject of this License. A Creation is a work created by the original Creator and fixed in a medium such that it can be can be perceived, reproduced, or communicated for more than a short time. Examples of Creations include: literary works including computer programs and compilations; musical works, including any accompanying lyrics; dramatic works, including any accompanying music; pantomimes and choreographic works; pictorial, graphic, and sculptural works; motion pictures and other audiovisual works; sound recordings resulting from the fixation of a series of musical, spoken, or other sounds; and architectural works. The Creation that is the subject of this license for purposes of this license is sourced from the Licensor&rsquo;s Content Management System for use in the Licensee&rsquo;s Content Management System. For purposes of content management the parts of the Creation may include a Creator, post date, body, attachments, Title, Categories, Tags, and meta-data. The meta-data may be embedded in the body or partitioned into separate fields for management purposes. The Creator, post date, Title, Categories, and Tags may be delivered as meta-data.</p><p><em>Creation Identifier</em> &ndash; an identifier uniquely identifying the Creation within the CLink Registry.</p><p><em>Creator</em> &ndash; the author of the Creation.</p><p><em>Creator Identifier</em> - an identifier uniquely identifying the Creator within the CLink Registry</p><p><em>License</em> &ndash; permission to use the Creation within the constraints imposed by this License.&nbsp;</p><p><em>Licensee</em> &ndash; the person receiving selected copyright-related rights in the Creation. The rights conveyed are subject to the terms and conditions in this license.</p><p><em>Licensee Identifier</em> &ndash; an identifier uniquely identifying the Licensee within the CLink Registry.</p><p><em>Licensor</em> &ndash; the person conveying selected copyright-related rights in the Creation. The rights conveyed are subject to the terms and conditions in this license.</p><p><em>Licensor Identifier</em> - an identifier uniquely identifying the Licensor within the CLink Registry</p><p><em>Linked Creation</em> &ndash; the instance of the Creation published within the Licensee&rsquo;s Content Management System.</p><p><em>Linked </em>Creation Identifier - an identifier generated within the Object Registry and stored within the Licensee&rsquo;s Content Management System when the Licensee publishes the Creation.&nbsp;</p><p><em>Meta-data</em> &ndash; refers to data describing the Creation. Meta-data may include descriptive and structural meta-data. Examples of typical descriptive meta-data include Tags, Categories, and post date.</p><p><em>Non-exclusive</em> &ndash; means the Licensor may grant permission for others to use the Creation. The grant of a non-exclusive license does not grant the Licensee any right to exclude others from use of the Creation.</p><p><em>Object Registry</em> &ndash; a registry which utilizes unique identifiers to track the origin and use of the Creation.</p><p><em>Pos</em>t date &ndash; the date the Creation is published in a Content Management System.</p><p><em>Re-use </em>button &ndash; when a Licensee publishes a licensed Creation in the Content Management System with the CLink&trade; plug-in the plug-in will cause a graphical &ldquo;Re-use this content&rdquo; button (&ldquo;Re-use button&rdquo;) to accompany the publication.&nbsp;</p><p><em>Referent</em> &ndash; depending upon context this term may also be used interchangeably with &ldquo;source&rdquo;, &ldquo;original&rdquo;, &ldquo;Licensor&rdquo;, &ldquo;Creation&rdquo;, or &ldquo;Creator&rdquo;.</p><p><em>Revocable</em> &ndash; means the license may be revoked.</p><p><em>Royalty-free</em> &ndash; means the Licensee is not required to pay the Licensor for use of the Creation within the terms and conditions of this license.</p><p><em>Tags</em> - a taxonomic description of the Creation. The Delivered Creation may include descriptive Tags for use in searching, sorting, and otherwise managing the Creation within the Content Management System.</p><p><em>Title</em> &ndash; the title associated with the Creation.</p><p><em>WordPress system</em> &ndash; refers to the WordPress&reg; content management system.&nbsp;</p><p><strong>II. TERMS</strong></p><p><span style="width:50px; display:inline-block;"></span>Licensor&rsquo;s license of Licensor&rsquo;s interest in the Creation is subject to the terms set forth herein.&nbsp;</p><p></p><strong><span style="width:50px; display:inline-block;"></span>A. Moral Rights not Waived</strong></p><p style="text-indent:50px;">This license is not a waiver of moral rights in the Creation including any right of the author of the Creation to be identified (attribution), the right to object to changes in the Creation (modification), or the right to object to the manner of presentation of the Creation (presentation). Licensor reserves all rights the Licensor may have and does not waive any right to terminate the license on moral rights grounds.</p><p><span style="width:50px; display:inline-block;"></span><strong>B. Licensee Posting/Publication</strong></p><p style="text-indent:50px;">The Licensee&rsquo;s publication of the Creation within the specified Content Management System will create a Linked Creation Identifier within the CLink Registry and that publication becomes a Linked Creation. The Licensee must ensure the Title, Content, and Re-use button are presented/viewable within the Licensee&rsquo;s Content Management System.</p><p><strong>III. CONDITIONS</strong></p><p style="text-indent:50px;">The license terminates automatically if Licensee fails to adhere to the following conditions or restrictions.</p><p><span style="width:50px; display:inline-block;"></span><strong>A. No Modification of Delivered Creation or License</strong></p><p style="text-indent:50px;">Other than a complete deletion of the license and Delivered Creation, the Licensee is not permitted to modify, supplement, or delete individual elements of the Delivered Creation or license that may be provided including the Title, Content, Creator, post date, or other meta-data including Canonical URL, Categories, Creation Identifier, Creator Identifier, Licensee, Licensee Identifier, Licensor, Licensor Identifier, and Tags associated with the Creation or license.&nbsp;</p><p><span style="width:50px; display:inline-block;"></span><strong>B. No Distribution Right</strong></p><p style="text-indent:50px;">A distribution right is a right to distribute copies of the Creation to the public by sale, rental, lease, or lending. This license does not convey or grant any license to distribute copies of the Creation by sale, rental, lease, or lending.</p><p><span style="width:50px; display:inline-block;"></span><strong>C. Limited Modification Right</strong></p><p style="text-indent:50px;">A modification right is a right to modify the Creation to create a new work. A new work based on the Creation is known as a "derivative work." This license does not convey or grant any license to modify the Creation to create a new work except as described in this section.  The Licensee is permitted to publish the Linked Creation within the Content Management System with a post date on or after the post date of the Referent Creation (allowing for differences in time zones). The Licensee is not permitted to publish the Linked Creation with a Title, Content, Creator, Canonical URL, or Creator Identifier of the Creation different from those delivered with the Delivered Creation under either license for any of the aforementioned elements that are published. The Licensee is permitted to publish the Linked Creation with a typeface or font (specific weight, style, condensation, width, slant, case, ornamentation, and designer), layout, foreground, background, and typeface/font color other than as published by the Creator subject to moral rights.&nbsp;</p><p><span style="width:50px; display:inline-block;"></span><strong>D. Limited Reproduction Right</strong></p><p style="text-indent:50px;">The reproduction right is the right to copy, duplicate, transcribe, or imitate the Creation in a tangible or fixed form. This license only permits Licensee to reproduce the Creation within the specified Content Management System subject to the terms and conditions in this license.</p><p><span style="width:50px; display:inline-block;"></span><strong>E. Limited Public Display Right</strong></p><p style="text-indent:50px;">A public display right is a right to show a copy of the Linked Creation directly or by means of a film, slide, or television image at a public place or to transmit it to the public. Licensee is permitted a right to display the Linked Creation within the Content Management System in public. Licensee is not permitted to public display of the Creation except within the specified Content Management System subject to the terms and conditions in this license. Licensee is not permitted to create, modify, interfere with, supplement, or suppress meta-data in a manner that would alter the Linked Creation Identifier or conceal the Re-use button presented with the Linked Creation published by the Licensee.</p><p><strong>IV. REVOCATION AND TERMINATION</strong></p><p><span style="width:50px; display:inline-block;"></span><strong>A. Termination</strong></p><p style="text-indent:50px;">Failure to comply with the conditions of this license results in automatic termination of the license.</p><p><span style="width:50px; display:inline-block;"></span><strong>B. Revocation</strong></p><p style="text-indent:50px;">Failure to comply with the terms of this license (other than the conditions) may result in revocation of the license at the discretion of Licensor.</p><p><strong>V. SEVERABILITY</strong></p><p style="text-indent:50px;">If any provision of this License or the application thereof to any Person or circumstance is determined by a court of competent jurisdiction to be invalid, void, or unenforceable, the remaining provisions hereof or the application of such provision to Persons or circumstances or in jurisdictions other than those as to which it has been held invalid or unenforceable, shall remain in full force and effect and shall in no way be affected, impaired, or invalidated.</p>';

	$restricted = '<p><span style="width:130px; display:inline-block;"><strong>Date:</strong></span> [date_of_license]</p><p><strong>Content Management System:&nbsp;</strong> WordPress</p><p><strong>Registration System:</strong> CLink&trade; Registry</p><p><span style="width:130px; display:inline-block;"><strong>Canonical URL:</strong> </span>[canonical_url]</p><p><strong>Creation Identifier</strong>: [creation_identifier]</p><p><span style="width:130px; display:inline-block;"><strong>Creator</strong>: </span>[creator_displayname]</p><p><span style="width:130px; display:inline-block;"></span>[creator_user_email]</p><p><strong>Creator Identifier</strong>: [creator_identifier]</p><p><span style="width:130px; display:inline-block;"><strong>Licensor</strong>:</span> [copyright_owner_display_name]</p><p><span style="width:130px; display:inline-block;"></span>[copyright_owner_user_email]</p><p><strong>Licensor</strong> Identifier: [copyright_owner_identifier]</p><p><span style="width:130px; display:inline-block;"><strong>Licensee</strong>:</span> [licensee_display_name]</p><p><span style="width:130px; display:inline-block;"></span>[licensee_user_email]</p><p><strong>Licensee Identifier</strong>: [licensee_user_identifier]</p><p><strong>LICENSE:&nbsp; Licensor owns or has the authority to license rights in the Creation located at the Canonical URL and identified by the Creation Identifier as of the Date indicated above.&nbsp; Licensor grants Licensee a RESTRICTED NON-EXCLUSIVE, ROYALTY-FREE, REVOCABLE license to use the Creation with the specified Content Management System subject to the following terms and conditions.&nbsp; This license is delivered to the Licensee accompanied by an authorized copy of the Creation and meta-data (collectively &ldquo;Delivered Creation&rdquo;).&nbsp; </strong></p><p><strong>I. DEFINITIONS</strong></p><p><em>Canonical URL</em> &ndash; a uniform resource identifier or uniform resource indicator specified by the Licensor to be used when identifying the referent Creation.</p><p><em>Categories</em> &ndash; a taxonomic description of the Creation.&nbsp; The Delivered Creation may include descriptive Categories for use in searching, sorting, and otherwise managing the Creation within the Content Management System.&nbsp;</p><p><em>CLink plug-in</em> &ndash; refers to the CLink Media, Inc. plug-in for the specified Content Management System.</p><p><em>Content</em> &ndash; refers to the content of the Creation.&nbsp; The content may also be referred to as the body of the Creation.</p><p><em>Content Management System</em> &ndash; a software application or related programs used to create and manage digital content.&nbsp;</p><p><em>Creation</em> &ndash; the material that is the subject of this License.&nbsp; A Creation is a work created by the original Creator and fixed in a medium such that it can be can be perceived, reproduced, or communicated for more than a short time. &nbsp;Examples of Creations include: literary works including computer programs and compilations; musical works, including any accompanying lyrics; dramatic works, including any accompanying music; pantomimes and choreographic works; pictorial, graphic, and sculptural works; motion pictures and other audiovisual works; sound recordings resulting from the fixation of a series of musical, spoken, or other sounds; and architectural works.&nbsp; The Creation that is the subject of this license for purposes of this license is sourced from the Licensor&rsquo;s Content Management System for use in the Licensee&rsquo;s Content Management System.&nbsp; For purposes of content management the parts of the Creation may include a Creator, post date, body, attachments, Title, Categories, Tags, and meta-data.&nbsp; The meta-data may be embedded in the body or partitioned into separate fields for management purposes.&nbsp; The Creator, post date, Title, Categories, and Tags may be delivered as meta-data.</p><p><em>Creation Identifier</em> &ndash; an identifier uniquely identifying the Creation within the CLink&trade; Registry.</p><p><em>Creator</em> &ndash; the author of the Creation.</p><p><em>Creator Identifier</em> - an identifier uniquely identifying the Creator within the CLink Registry</p><p><em>License</em> &ndash; permission to use the Creation within the constraints imposed by this License.</p><p><em>Licensee</em> &ndash; the person receiving selected copyright-related rights in the Creation.&nbsp; The rights conveyed are subject to the terms and conditions in this license.&nbsp;</p><p><em>Licensee Identifier</em> &ndash; an identifier uniquely identifying the Licensee within the CLink Registry.</p><p><em>Licensor</em> &ndash; the person conveying selected copyright-related rights in the Creation.&nbsp; The rights conveyed are subject to the terms and conditions in this license.&nbsp;</p><p><em>Licensor Identifier</em> - an identifier uniquely identifying the Licensor within the CLink&trade; Registry</p><p><em>Linked Creation</em> &ndash; the instance of the Creation published within the Licensee&rsquo;s Content Management System.</p><p><em>Linked Creation Identifier</em> - an identifier generated within the Registry and stored within the Licensee&rsquo;s Content Management System when the Licensee publishes the Creation.</p><p><em>Meta-data</em> &ndash; refers to data describing the Creation.&nbsp; Meta-data may include descriptive and structural meta-data.&nbsp; Examples of typical descriptive meta-data include Tags, Categories, and post date.&nbsp;</p><p><em>Non-exclusive</em> &ndash; means the Licensor may grant permission for others to use the Creation.&nbsp; The grant of a non-exclusive license does not grant the Licensee any right to exclude others from use of the Creation.</p><p><em>Object Registry</em> &ndash; a registry which utilizes unique identifiers to track the origin and use of the Creation.</p><p><em>Post date</em> &ndash; the date the Creation is published in a Content Management System.</p><p><em>Re-use button</em> &ndash; when a Licensee publishes a licensed Creation in the Content Management System with the CLink&trade; plug-in the plug-in will cause a graphical &ldquo;Re-use this content&rdquo; button (&ldquo;Re-use button&rdquo;) to accompany the publication.</p><p><em>Referent</em> &ndash; depending upon context this term may also be used interchangeably with &ldquo;source&rdquo;, &ldquo;original&rdquo;, &ldquo;Licensor&rdquo;, &ldquo;Creation&rdquo;, or &ldquo;Creator&rdquo;.</p><p><em>Restricted</em> &ndash; a license attribute which allows the Licensee to publish the Creation with supplemental Tags and Categories associated with the Creation as delivered to the Licensee.</p><p><em>Revocable</em> &ndash; means the license may be revoked.</p><p><em>Royalty-free</em> &ndash; means the Licensee is not required to pay the Licensor for use of the Creation within the terms and conditions of this license.</p><p><em>Tags</em> - a taxonomic description of the Creation.&nbsp; The Delivered Creation may include descriptive Tags for use in searching, sorting, and otherwise managing the Creation within the Content Management System.&nbsp;</p><p><em>Title</em> &ndash; the title associated with the Creation.</p><p><em>WordPress system</em> &ndash; refers to the WordPress&reg; content management system.</p><p><strong>II. TERMS</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Licensor&rsquo;s license of Licensor&rsquo;s interest in the Creation is subject to the terms set forth herein.</p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <strong>A. Moral Rights not Waived</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; This license is not a waiver of moral rights in the Creation including any right of the author of the Creation to be identified (attribution), the right to object to changes in the Creation (modification), or the right to object to the manner of presentation of the Creation (presentation).&nbsp; Licensor reserves all rights the Licensor may have and does not waive any right to terminate the license on moral rights grounds.</p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <strong>B. Licensee Posting/Publication</strong>&nbsp;&nbsp;&nbsp;</p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; The Licensee&rsquo;s publication of the Creation within the specified Content Management System will create a Linked Creation Identifier within the CLink Registry and that publication becomes a Linked Creation.&nbsp; The Licensee must ensure the Title, Content, and Re-use button are presented/viewable within the Licensee&rsquo;s Content Management System.</p><p><strong>III.&nbsp; CONDITIONS</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; The license terminates automatically if Licensee fails to adhere to the following conditions or restrictions.</p><p><strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A. No Modification of Delivered Creation or License</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Other than a complete deletion of the license and Delivered Creation, the Licensee is not permitted to modify, supplement, or delete individual elements of the Delivered Creation or license that may be provided including the Title, Content, Creator, post date, or other meta-data including Canonical URL, Categories, Creation Identifier, Creator Identifier, Licensee, Licensee Identifier, Licensor, Licensor Identifier, and Tags associated with the Creation or license.</p><p><strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B. No Distribution Right</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A distribution right is a right to distribute copies of the Creation to the public by sale, rental, lease, or lending.&nbsp; This license does not convey or grant any license to distribute copies of the Creation by sale, rental, lease, or lending.</p><p><strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; C. Limited Modification Right</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A modification right is a right to modify the Creation to create a new work. A new work based on the Creation is known as a "derivative work."&nbsp; This license does not convey or grant any license to modify the Creation to create a new work except as described in this section.&nbsp; The Licensee is permitted to publish the Linked Creation with a post date on or after the post date of the Referent Creation (allowing for differences in time zones) and with Tags and Categories supplementing any provided with the Delivered Creation.&nbsp; The Licensee is not permitted to publish the Linked Creation with a Title, Content, Creator, Canonical URL, or Creator Identifier of the Creation different from those delivered with the Delivered Creation under either license for any of the aforementioned elements that are published.&nbsp; The Licensee is permitted to publish the Linked Creation with a typeface or font (specific weight, style, condensation, width, slant, case, ornamentation, and designer), layout, foreground, background, and typeface/font color other than as published by the Creator subject to moral rights.</p><p><strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; D. Limited Reproduction Right</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; The reproduction right is the right to copy, duplicate, transcribe, or imitate the Creation in a tangible or fixed form.&nbsp; This license only permits Licensee to reproduce the Creation within the specified Content Management System subject to the terms and conditions in this license.</p><p><strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; E. Limited Public Display Right</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A public display right is a right to show a copy of the Linked Creation directly or by means of a film, slide, or television image at a public place or to transmit it to the public. Licensee is permitted a right to display the Linked Creation within the Content Management System in public.&nbsp; Licensee is not permitted to public display of the Creation except within the specified Content Management System subject to the terms and conditions in this license.&nbsp; Licensee is not permitted to create, modify, interfere with, supplement, or suppress meta-data in a manner that would alter the Linked Creation Identifier or conceal the Re-use button presented with the Linked Creation published by the Licensee.</p><p><strong>IV. REVOCATION AND TERMINATION</strong></p><p><strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; A.</strong><strong>Termination</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Failure to comply with the conditions of this license results in automatic termination of the license.</p><p><strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B. Revocation</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Failure to comply with the terms of this license (other than the conditions) may result in revocation of the license at the discretion of Licensor.</p><p><strong>V. SEVERABILITY</strong></p><p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; If any provision of this License or the application thereof to any Person or circumstance is determined by a court of competent jurisdiction to be invalid, void, or unenforceable, the remaining provisions hereof or the application of such provision to Persons or circumstances or in jurisdictions other than those as to which it has been held invalid or unenforceable, shall remain in full force and effect and shall in no way be affected, impaired, or invalidated.</p><p>&nbsp;</p>';

	$clink_licenses = array('as_is' => $default_template, 'restricted' => $restricted);
 	
	// Save
	if($saved = wpclink_get_option($cl_option)){ }else{	wpclink_add_option($cl_option,$default_value); }
	if($saved_offer_clinkid = wpclink_get_option('reuse_content_popup_html')){ }else{ wpclink_add_option('reuse_content_popup_html',$defualt_offer_clinkid); }
	if($primary_linked_site = wpclink_get_option('primary_linked_site')){ }else{ wpclink_add_option('primary_linked_site','0');	}
	if($saved_template = wpclink_get_option('licenses')){ }else{ wpclink_add_option('licenses',$clink_licenses);	}	
	if($saved_registered_posts = wpclink_get_option('referent_posts')){ }else{ wpclink_add_option('referent_posts',array()); }
	if($saved_registered_pages = wpclink_get_option('referent_pages')){ }else{ wpclink_add_option('referent_pages',array()); }
	
	$clink_version = array('c1.8'=>'C-1.8');
	
	if($clink_license_version = wpclink_get_option('license_versions')){ }else{ wpclink_add_option('license_versions',$clink_version); }
	
	//clink_popup_pre_auth
	
	$terms_and_condition = '<div><p><strong> The effective date of this Agreement is May 17, 2018.</strong></p></div><div><p> By accessing or using any features and/or services on the site located at&#8239; <a href="http://www.clink.id" target="_blank" rel="noreferrer"> www.clink.id </a> &#8239;(the "Site") and operated and managed CLink Media, Inc ("we" or "us"), you agree to be bound by these terms and conditions (collectively, "Terms"). All visitors to and users of any aspects of this&#8239;Site&#8239;(collectively, "Users") are bound by these&#8239;Terms. We reserve the right to modify the&#8239;Terms&#8239;at any time without prior notice to you. Therefore, we recommend that you read these terms and conditions carefully each time you use this Web site.</p></div><div><p> Please note that the guidelines, policies and other terms and conditions use of other Web sites affiliated with this&#8239;Site&#8239;may vary from these&#8239;Terms.</p></div><div><p> As a User of this&#8239;Site&#8239;you may, from time to time, register content and share it with other users, read content generated by other visitors to this&#8239;Site&#8239;and other affiliated sites. If you wish to register content to or participate in this&#8239;Site&#8239;other than simply by reading product information and content registered by others, you must use our WordPress plugins.</p></div><div><p> These&#8239;Terms&#8239;set out the legally binding terms with respect to your use of this&#8239;Site. Please read these&#8239;Terms&#8239;carefully. Your access to and use of this&#8239;Site&#8239;constitutes your acceptance of all the provisions of these&#8239;Terms. If you are unwilling to be bound by these&#8239;Terms, you should not access or use this&#8239;Site.</p></div><div></div><div><p><strong> Changes to the CLink.ID Site</strong></p></div><div><p> You agree and understand that this&#8239;Site, including any and all features available via this&#8239;Site and any&#8239;User Content&#8239;(as defined below), may be modified by us, in our sole discretion, at any time without prior notice. Unless expressly stated otherwise, any new features, new services, enhancements or modifications to this&#8239;Site&#8239;implemented after your initial access to this&#8239;Site shall be subject to these&#8239;Terms.</p></div><div></div><div><p> <strong>Use of the Site/Services</strong></p></div><div><p> You may use this&#8239;Site&#8239;for your personal or commercial use.</p></div><div></div><div><p> <strong>Restrictions on Rights to Use</strong></p></div><div><p> Without limiting the generality of any other provisions of these&#8239;Terms, you agree you shall not (and you agree not to allow any other individual or entity to):</p></div><div><ul><li><p> reformat or frame any portion of any Web pages that are part of this&#8239;Site;</p></li><li><p> submit to&#8239;Site&#8239;any content that is unlawful or facilitates, constitutes, promotes or encourages illegal activity; or otherwise use this&#8239;Site to transfer or store illegal material, including any material deemed threatening or obscene;</p></li><li><p> take any action that imposes, or may impose, in our sole discretion, an unreasonable or disproportionately large load on this&#8239;Site&#8239;or the IT infrastructure used to operate and make this&#8239;Site&#8239;available.</p></li></ul><div></div><div><p> <strong>Privacy</strong></p></div></div><div><p> Use of this&#8239;Site&#8239;is also governed by our&#8239; <a href="'.WPCLINK_ID_URL.'/privacy.html" target="_blank" rel="noreferrer"> Privacy Policy </a> &#8239;which we encourage you to review.</p></div><div></div><div><p> <strong>Changes to Terms and Conditions</strong></p></div><div><p> We reserve the right to make changes at any time to these&#8239;Terms. Any modifications to the&#8239;Terms&#8239;will be effective upon posting. You agree to review the&#8239;Terms&#8239;periodically so that you are aware of any modifications. Your continued use of this&#8239;Site&#8239;after any modifications indicates your acceptance of the modified&#8239;Terms.</p></div><div></div><div><p> <strong>Applicable law</strong></p></div><div><p> By visiting this&#8239;Site, you agree that the laws of the State of Texas of the United States, without regard to principles of conflict of laws, will govern these&#8239;Terms&#8239;and any dispute of any sort that might arise between you and this&#8239;Site.</p></div><div></div><div><p> <strong>Miscellaneous</strong></p></div><div><p> We may provide you with notices, including those regarding changes to these&#8239;Terms, by email, regular mail, or postings on this&#8239;Site. These&#8239;Terms, which shall be deemed accepted by you upon your use of this&#8239;Site, constitute the entire agreement among you and us regarding use of this&#8239;Site. The headings in these&#8239;Terms&#8239;are for convenience only and have no legal or contractual effect. These&#8239;Terms&#8239;incorporate the&#8239; <a href="'.WPCLINK_ID_URL.'/privacy.html" target="_blank" rel="noreferrer"> Privacy Policy </a> &#8239;&#8239;for this&#8239;Site&#8239;and any notices regarding this&#8239;Site.</p></div><div></div><div><p> <strong>Contact and Violations</strong></p></div><div><p> Please contact us with any questions regarding these&#8239;Terms. Please report any violations of the&#8239;Terms&#8239;to&#8239; <a href="mailto:contact@clink.media" target="_blank" rel="noreferrer"> contact@clink.media </a> .</p></div><div></div>';
	
	if($terms_and_condition_text = wpclink_get_option('terms_and_conditions')){ }else{ 
	wpclink_add_option('terms_and_conditions',$terms_and_condition,'','no');
	}
	
	
	if($clink_ip_verification = wpclink_get_option('verification_linked_ip')){ }else{ 
	wpclink_add_option('verification_linked_ip',1);
	}
	
	
	$clink_popup_pre_auth_text = '<h3>CONSENT TO PRE-AUTHORIZED LICENSING OF REFERENT CREATIONS</h3>
<p>You have selected one or more Creation(s) to be designated  as referent Creation(s). By choosing to designate your Creation(s) as  &ldquo;referent&rdquo; you agree to make the Creation(s) available for revocable,  non-exclusive use by persons (Licensees) requesting re-use of the Creation(s)  via the CLink plug-in for WordPress subject to the terms and conditions set  forth in a License. By default the License is a standard license provided by  CLink Media, Inc. for non-commercial use in accordance with the license type  you select for your Creation(s).  </p>';
	
	if($clink_popup_pre_auth = wpclink_get_option('pre_auth_license')){ }else{ 
	wpclink_add_option('pre_auth_license',$clink_popup_pre_auth_text,'','no');
	}
	
	$clink_esign_pre_auth = '<h3>CONSENT TO PRE-AUTHORIZED APPLICATION OF E-SIGNATURE TO LICENSE</h3>
<p>So long as you have not suspended licensing of the Creation(s) via the CLink plug-in, you authorize your electronic signature to automatically be applied to the selected standard License upon request from a Requester. In addition, you agree to such e-signed License to be delivered to the Requester along with a copy of the Creation(s) via the CLink™ Media, Inc. system. Upon receipt the Requester become a Licensee permitted to re-use the Creation subject to the terms and conditions set forth in the License</p>';
	
	if($clink_esign_pre_auth = wpclink_get_option('pre_auth_esign')){ }else{ 
	wpclink_add_option('pre_auth_esign',$clink_esign_pre_auth,'','no');
	}
	
	if($clink_canonical_fail_attemps = wpclink_get_option('verification_canonical_fail_threshold')){ }else{ 
	wpclink_add_option('verification_canonical_fail_threshold',3,'','no');
	}
	
	if($clink_canonical_success_attemps = wpclink_get_option('verification_canonical_success_threshold')){ }else{ 
	wpclink_add_option('verification_canonical_success_threshold',3,'','no');
	}
	
	if($clink_debug_filename = wpclink_get_option('debug_filename')){ }else{ 
	
		// Filename
		$unique_name = wpclink_go_live_link(16);
		$filename = 'debug_'.$unique_name.'.log';
		wpclink_add_option('debug_filename',$filename,'','no');
	}
	
	
}
register_activation_hook( WPCLINK_MAIN_FILE, 'wpclink_default_options' );

/**
 * CLink Plugin Requirements
 * 
 * WordPress version 4.8 or greater than
 * PHP version 7.0 or greater than
 * file_get_contents is required
 * simplexml extention is required
 * cURL is required

 */

function wpclink_requirments_activate() {
	
  if ( version_compare( get_bloginfo('version'), '4.8', '<') )  {
    $message .= "WordPress version is lower than 4.8 \n";
	$die = true;   
  }
 if ( version_compare( phpversion(), '7.0', '<') )  {
	$message .= "PHP version is lower than 7.0 \n";
	$die = true;  
 }
 if(!ini_get('allow_url_fopen') ) {
	 $message .= "file_get_contents is required \n";
	 $die = true;  
 }
 if (!extension_loaded('simplexml')) {
	 $message .= "simplexml extention is required \n";
	 $die = true;
 }
 if(!function_exists('curl_version')){
	 $message .= "cURL is not installed \n";
	 $die = true;
 }
  
  // DIE
  if($die == true) die( nl2br($message) );
  
}
add_action( 'activate_' . WPCLINK_BASENAME, 'wpclink_requirments_activate' );
