<?php
/**
 * CLink Ajax Functions
 *
 * CLink creation, license selection ajax
 *
 * @package CLink
 * @subpackage System
 */
 
 // Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );


// Define WP Ajax URL
add_action('wp_head', 'wpclink_ajax_url');

/**
 * Clink Ajax URL Script
 */
function wpclink_ajax_url() {

   echo '<script type="text/javascript">
           var cl_ajaxurl = "' . admin_url('admin-ajax.php') . '";
         </script>';
}



/**
 * CLink Check Given URL has WordPress Based Site
 * 
 */
function wpclink_is_wpsite_ajax_request() {
 
    // The $_REQUEST contains all the data sent via ajax
    if ( isset($_REQUEST) ) {
     
        $weburl = rawurldecode($_REQUEST['weburl']);
		$found = false;


		//echo $weburl;


		$html = wpclink_file_get_contents_curl($weburl);
		
	
         
		//parsing begins here:
		$doc = new DOMDocument();
		@$doc->loadHTML($html);
		
		$link_nodes = $doc->getElementsByTagName('link');
		
		for ($link = 0; $link < $link_nodes->length; $link++){
			$mylink = $link_nodes->item($link);
			if($mylink->getAttribute('rel') == 'stylesheet' ){
				$full_url = $mylink->getAttribute('href');
				
				// Find WP
				if (strpos($full_url, 'wp-content') !== false) {
 			   		$found = true;
					break;
				}
			}
				
		}
		
		if($found){
			echo '
			<div id="cl_step1" class="cl_step">
			<h2>Looks like you have a site based on WordPress</h2><h3>You can download the WordPress plugin from here </h3>
			<a class="cl_download" href="https://wordpress.org/plugins/wpclink/">Download</a>';
			do_action('cl_offer_popup_next_link');
			
			echo '</div>';
			
			do_action('cl_offer_popup',$weburl);
		}else{
			echo '<h2>The platform of your site is not yet supported.</h2><h3>Please contact us at 512 535-2987 or email@domain.com</h3>';
		}
     
    }
     
    // Always die in functions echoing ajax content
   die();
}


 // Register verify wordpress site ajax request
add_action( 'wp_ajax_wpclink_is_wpsite_ajax_request', 'wpclink_is_wpsite_ajax_request' );
add_action( 'wp_ajax_nopriv_wpclink_is_wpsite_ajax_request', 'wpclink_is_wpsite_ajax_request' );



/**
 * CLink Reuse Popup Ajax Request
 * 
 * Verifictions
 * - WordPress Based
 * - Registed on care.clink.media
 */
function wpclink_is_wpsite_clinkid_ajax_request() {
 
    // The $_REQUEST contains all the data sent via ajax
    if ( isset($_REQUEST) ) {
     
        $weburl = rawurldecode($_REQUEST['weburl']);
		$content_type = $_REQUEST['content_type'];
		$content_url = rawurldecode($_REQUEST['content_url']);
		$found = false;



		$html = wpclink_file_get_contents_curl($weburl);
		
		
		
         
		//parsing begins here:
		$doc = new DOMDocument();
		@$doc->loadHTML($html);
		
		$link_nodes = $doc->getElementsByTagName('link');
		
		for ($link = 0; $link < $link_nodes->length; $link++){
			$mylink = $link_nodes->item($link);
			if($mylink->getAttribute('rel') == 'stylesheet' ){
				$full_url = $mylink->getAttribute('href');
				
				// Find WP
				if (strpos($full_url, 'wp-content') !== false) {
 			   		$found = true;
					break;
				}
			}
				
		}
		
		
		if($content_type == 'group'){
			
			$group_found = wpclink_get_option('wpclink_group');
			echo '<div id="cl_step1"  class="cl_step">
						
			<h2>Paste this URL into</h2>
			<p>Setup &rarr; Group &rarr; Join</p>
			<center><img src="' . plugins_url( 'admin/images/menu.png', dirname(__FILE__) ) . '" /></center>
			<input readonly="readonly" type="text" value="'.$group_found['url'].'" /></div>';
			
			
			
			
		}else{
		
		if(wpclink_is_care_register($weburl)){
			$clink_plugin_found = true;
		}else{
			$clink_plugin_found = false;	
		}
		
		if($black_list = wpclink_get_option('wpclink_site_blacklist')){
			if(in_array($weburl,$black_list)){
				$not_in_black_list = false;
			}else{
				$not_in_black_list = true;
			}
				
		}else{
			$not_in_black_list = true;	
		}
		
		
		if($found and $clink_plugin_found and $not_in_black_list){
			echo '
			<div id="cl_step1" class="cl_step">';
			do_action('cl_offer_popup_clinkid',$weburl,$content_type,$content_url);
			echo '</div><input type="hidden" id="response_return" value="success" />';
			
			
		}else{
			
			echo $found .'_'.$clink_plugin_found.'_'.$not_in_black_list;
				
				
			if($found == false) echo '<p class="message error">The site address you have provided is not a WordPress site.</p>';
			if($clink_plugin_found == false) echo '<p class="message error">CLink plugin has not been registered<span class="red">!</span> <br /> Please register its users</p>';
			if($not_in_black_list == false){
			
			$url = wpclink_first_license_violation($weburl);
			$linkurl = '<a href="'.$url.'" target="_blank">linked content</a>';
			
				
				echo '<p class="message error">Your '.$linkurl.' violated the license agreement and has been backlisted form acquiring further content from this site. Please cure the violation and try again.</p>';
			}
			
			echo '<input type="hidden" id="response_return" value="error" />';
		}
		
		setcookie( 'auto_fill_popup','0', time()+3600, '/', COOKIE_DOMAIN );
		
		}
     
    }
     
    // Always die in functions echoing ajax content
   die();
}
 
// Register Reuse Popup Ajax Request
add_action( 'wp_ajax_wpclink_is_wpsite_clinkid_ajax_request', 'wpclink_is_wpsite_clinkid_ajax_request' );
add_action( 'wp_ajax_nopriv_wpclink_is_wpsite_clinkid_ajax_request', 'wpclink_is_wpsite_clinkid_ajax_request' );


/**
 * CLink Reuse Popup Ajax Request on Auto Check
 * 
 * Verifictions
 * - WordPress Based
 * - Registed on care.clink.media
 */
function wpclink_is_wpsite_catch_site_ajax_request() {

 
    // The $_REQUEST contains all the data sent via ajax
    if ( isset($_REQUEST) ) {
     
        $weburl = rawurldecode($_REQUEST['weburl']);
		$found = false;


		//echo $weburl;


		$html = wpclink_file_get_contents_curl($weburl);
         
		//parsing begins here:
		$doc = new DOMDocument();
		@$doc->loadHTML($html);
		
		$link_nodes = $doc->getElementsByTagName('link');
		
		for ($link = 0; $link < $link_nodes->length; $link++){
			$mylink = $link_nodes->item($link);
			if($mylink->getAttribute('rel') == 'stylesheet' ){
				$full_url = $mylink->getAttribute('href');
				
				// Find WP
				if (strpos($full_url, 'wp-content') !== false) {
 			   		$found = true;
					break;
				}
			}
				
		}
		
		if(wpclink_is_care_register($weburl)){
			$clink_plugin_found = true;
		}else{
			$clink_plugin_found = false;	
		}
		
		
		if($clink_plugin_found){
			$clink_plugin = '<p class="message success">&#x2714; Clink Plugin Installed</p>';
		}else{
			
		}
		if($found){
			echo '<p class="message success">&#x2714; Looks like you have a site based on WordPress</p>'.$clink_plugin;
			
		}else{
			
			
		}
     
    }
     
    // Always die in functions echoing ajax content
   die();
}

// Register Reuse Popup Ajax Request Auto Check
add_action( 'wp_ajax_wpclink_is_wpsite_catch_site_ajax_request', 'wpclink_is_wpsite_catch_site_ajax_request' );
add_action( 'wp_ajax_nopriv_wpclink_is_wpsite_catch_site_ajax_request', 'wpclink_is_wpsite_catch_site_ajax_request' );


/**
 * CLink Linked Content Quick Edit Ajax Request
 * 
 */
function wpclink_quick_edit_ajax_request() {
 
    // The $_REQUEST contains all the data sent via ajax
    if ( isset($_REQUEST) ) {
		
$cl_options = wpclink_get_option( 'preferences_general' );
// Site URL
$link_site_url = apply_filters('cl_site_link',$cl_options['sync_site']);
       
// Validate
if(!isset($_REQUEST['inline_post_id']) and $_REQUEST['action'] != 'clink_quick_edit_ajax_request') return false;	

/* ====== PREPARING REQUEST ======= */
$request_query = array();
$request_query['post__in'] = $_REQUEST['inline_post_id'];
$request_query['post_type'] = 'c-post';
$request_query['get_type'] = 'content';
$origin_data = array();

// Quick Parameters

$quick_month = $_REQUEST['mm'];
$quick_day = $_REQUEST['jj'];
$quick_year = $_REQUEST['aa'];

$quick_hour = $_REQUEST['hh'];
$quick_min = $_REQUEST['mn'];

$quick_password = $_REQUEST['post_password'];
$quick_status = $_REQUEST['_status'];
$quick_sticky = $_REQUEST['sticky'];
$quick_comment_status = $_REQUEST['comment_status'];
$quick_ping_status = $_REQUEST['ping_status'];

if($quick_comment_status == 'open'){
	$quick_comment_status_go = 'open';
}else{
	$quick_comment_status_go = 'closed';
}

if($quick_ping_status == 'open'){
	$quick_ping_status_go = 'open';
}else{
	$quick_ping_status_go = 'closed';
}

$quick_tags = $_REQUEST['tax_input_tags'];

$quick_category = $_REQUEST['post_category'];
$quick_ref =  $_REQUEST['ref_identifier'];


$quick_date = $quick_year.'-'.$quick_month.'-'.$quick_day.' '.$quick_hour.':'.$quick_min.':'.date('s');

$build_query = build_query( $request_query );

/* ====== QUERY REQUEST ======= */
$context  = stream_context_create(array('http' => array('header' => 'Accept: application/xml')));
$xml=file_get_contents(wpclink_linked_site().'&'.$build_query,false,$context);
$xml = simplexml_load_string($xml);

$result_update = false;

foreach($xml->channel->item as $single){ 

/* ===== PREPARING DATA ===== */

// Post ID
$post_id_old = (int)$single->post_id; 

// Post Title
$post_title = (string)$single->title;

// Post Link
$post_link = (string)$single->link;

// ContentID
$post_contentID = (string)$single->content_id;

// Post Author
$ns_dc = $single->children('http://purl.org/dc/elements/1.1/');
$post_author = $ns_dc->creator_id;

// Post Creator
$post_author_creator = (string)$ns_dc->creator;

// Post Creator Display
$post_creator = (string)$single->post_creator;

// Post Creator ID
$post_creator_clinkid = (string)$single->post_creator_clink_id;

// Post Content 
$post_content = (string)$single->children("content", true);

// Post Excerpt 
$post_excerpt = (string)$single->children("excerpt", true);

// License Type
$post_license_type = (string)$single->post_license_type;

// Post Copyright Owner
$post_copyright_owner = (string)$single->post_copyright_owner;

// Post Date
$post_publish_date = (string)$single->pubDate;


// Image URL		  
if($single->children('wp', true)->post_thumbnail){
	$image_url = $single->children('wp', true)->post_thumbnail->children()->post_thumbnail_url;
}else{
	$image_url = NULL;
}




// Modified Time
$modified_time = (string)$single->modified_time;

//var_dump($image_url);



/* ===== GET CATEGORY NAME ==== */
$assign_cat = array();

foreach($single->category as $single_cat){
$category_arr = $single_cat->attributes();
if($category_arr["domain"] == 'category'){
	$assign_cat[] = (string)$single_cat;
}
}

/* ====== INSERT POST ======= */


// Initialize the page ID to -1. This indicates no action has been taken.
	$post_id = -1;
	

	// Setup the author, slug, and title for the post
	
	$selected_author = wpclink_get_option('post_author_assign');
	if(empty($selected_author) or $selected_author == false){
		$author_id = get_current_user_id();
	}else{
		$author_id = $selected_author;
	}
	
	$time = current_time( 'Y-m-d', $gmt = 0 );
	$origin_data = array();
	$found_id = array();
	
	
	
	foreach($assign_cat as $cat_single){
	
		$term = term_exists($cat_single, 'category');
		if ($term !== 0 && $term !== null) {
			$found_id[]= $term['term_id'];
		}else{
			$found_id[] = wp_create_category( $cat_single, '0' );
		}
	
	}
	
	
	// Merge
	$cat_merged = array_merge($found_id,$quick_category);
	$final_cat = array_unique($cat_merged);
	
	
	
	
	
	$found_id = $final_cat;
	
	

	

		// Set the post ID so that we know the post was created successfully
		if($post_id = wp_insert_post(
			array(
				'comment_status'	=>	$quick_comment_status_go,
				'ping_status'		=>	$quick_ping_status_go,
				'post_author'		=>	$author_id,
				'post_title'		=>	$post_title,
				'post_status'		=>	$quick_status,
				'post_content'  => $post_content,
				'post_excerpt' => $post_excerpt,
				'post_type'		=>	'post',
				'post_password' => $quick_password,
				'post_date' => $quick_date,
				'post_category' => $found_id
				
			),true
		)){

		  // Origin
		  $time = current_time( 'Y-m-d', $gmt = 0 );
		  $origin_data[$link_site_url] = array('origin_id' => $post_id_old, 'last_sync' => $time, 'sync_status' => true,'canonical'	=>	$post_link);
		  
		  // Sticky
		  if(!empty($quick_sticky)){
			  stick_post($post_id);
		  }
		  
		  // Origin Url_shorten(
		  update_post_meta($post_id, 'wpclink_referent_uri', $post_link);
		  update_post_meta($post_id, 'wpclink_creation_reuse_status', 1);
		  
		  // Update post
		  if($updated_post_meta = update_post_meta($post_id, 'wpclink_referent_post_synch', $origin_data)){	  

		  $result_update = $updated_post_meta;
		  $updated_post_id = $updated_post_meta;
		  
		  
		  if(!empty($image_url)){
		  // Set Image
		  wpclink_post_thumbnail_generator($post_id,$image_url);
		  }
		  
		  // Post Creator
		  update_post_meta($post_id, 'wpclink_post_creator', $post_creator);
		  update_post_meta($post_id, 'wpclink_post_creator_id', $post_creator_clinkid);
		  
		  //Update Time
		  update_post_meta($post_id, 'wpclink_referent_last_update', $modified_time);
		  
		  // License Type
		  update_post_meta($post_id, 'wpclink_creation_license_type', $post_license_type);
		  
		  // Referent Categories
		  update_post_meta($post_id, 'wpclink_creation_referent_categories', $found_id);
		  
		  if($post_license_type == 'restricted'){
			 // Referent Copyright Owner
		 	 update_post_meta($post_id, 'wpsclink_referent_copyright_owner_identifier', $post_copyright_owner); 
		  }
			  
		  $content = apply_filters('the_content', get_post_field('post_content', $post_id));
		  $content_without_html = strip_tags($content);
		  $content_word_count = str_word_count($content_without_html);
			  
		  $license_type_post = wpclink_get_license_type_by_id(wpclink_get_license_type_by_content($post_id));
		 
		  
		  $tags_catch = array();
		  $tag_on = false;

  		  // Get All Tags
		  foreach($single->category as $single_tag){
		  
			$tags_arr = $single_tag->attributes();
			if($tags_arr["domain"] == 'post_tag'){	
				$tags_catch[] = (string)$single_tag;
				$tag_on = true;	
			}
		  }
		  
		  $quick_tags_array = explode(',',$quick_tags);
		  
		  $referent_tags = $tags_catch;
		  
		  $all_tags_to_add = array_merge($quick_tags_array,$referent_tags);
		  
		  // Unique
		  $final_tags = array_unique($all_tags_to_add);
		 
		  
		  foreach($final_tags as $tag_single){
	
		  $term_tag = term_exists($tag_single, 'post_tag');
		  if ($term_tag !== 0 && $term_tag !== null) {
			  
			  // Assign
			  $term_id = $term_tag['term_id'];
			  $term = get_term( $term_id, 'post_tag' );
			  wp_set_post_tags( $post_id, $term->name, true );
			  
		  }else{
			  wp_set_post_tags( $post_id, $tag_single, true );
		  }
	
		}
		
			// Referent Tags
		  update_post_meta($post_id, 'wpclink_creation_referent_tags', $referent_tags);
		
			
	 if(get_post_status ( $post_id ) == 'future'){
	 }else{

// CODRA


    // RULE #1
	$current_user_id = get_current_user_id();
	$reg_creators = wpclink_get_option('authorized_creators');
	
	
	$copyright_owner = wpclink_get_option('copyright_owner');
	if($copyright_owner == 'party'){
		$copyright_owner_id = wpclink_get_option('authorized_party');
	}elseif($copyright_owner == 'creator'){
		$creator_array = wpclink_get_option('authorized_creators');
		$copyright_owner_id = $creator_array[0];
	}
	
	
	// RULE #2
	// Copyright Owner or Creator
	if($copyright_owner_id == $current_user_id || $reg_creators[0] == $current_user_id){
	}else{
		return false;	
	}
	
	
	// RULE #3
	$territory = wpclink_get_option('territory_code');
	if(empty($territory)){
		// Error Message
		
		return false;
		
	}
	
	// RULE #4
	if(wpclink_clink_domain_quota() > 0){
		
	}else{
		return false;
	}
	
	
	// Party
	$clink_party_id = wpclink_get_option('authorized_party');
	
	
	// Party user id
	$clink_party_user_id = wpclink_get_option('authorized_party');
	
	
	
	// API REQUEST
	$post_title = get_the_title($post_id);
	$guid = get_the_guid($post_id);
	$permalink = get_permalink($post_id);
	
	// Author ID
	$author_id = get_post_field ('post_author', $post_id);
	$creator_id = get_user_meta($author_id,'wpclink_creator_identifier',true);
	$post_excerpts = get_the_excerpt($post_id);
	$post_type = get_post_type($post_id);
	$post_character = 'language';
	
	$clink_party_id = get_user_meta($clink_party_user_id,'wpclink_party_identifier',true);
	
	
	
	
	$copyright_owner = wpclink_get_option('copyright_owner');
	
	if($copyright_owner == 'party'){
		$copyright_owner_id = wpclink_get_option('authorized_party');
	}elseif($copyright_owner == 'creator'){
		$creator_array = wpclink_get_option('authorized_creators');
		$copyright_owner_id = $creator_array[0];
		
	}
	
	$copyright_owner_user_id = $copyright_owner_id;
	$copyright_owner_user_id = get_user_meta($copyright_owner_user_id,'wpclink_creator_identifier',true);
	
	$post_year = get_the_date( 'Y', $post_id );
	$clink_language = wpclink_language_code_to_display(get_bloginfo("language"));
	$clink_terriory_code = wpclink_get_option('territory_code');
	$content_id = '';
	$clink_referent_creation_identifier = $post_contentID;
	$clink_party_link_role = 'Licensee';
	$clink_creation_link_role = 'LicensedContent';
	$creation_date = get_the_date( 'F j, Y g:i a', $post_id );
	$modified_date = get_the_modified_time('U',$post_id);
	
	$care_domain_id = wpclink_get_option('domainID');
	
	
	$post_categories = wp_get_post_categories($post_id);
	
	
	$cats = array();
     
	foreach($post_categories as $c){
		$cat = get_category( $c );
		$cats[] = $cat->name;
	}
	
	
	$post_tags = wp_get_post_tags( $post_id );
	
	$tags = array();
	
	foreach($post_tags as $t){
		$tags[] = $t->name;
	}
	
	/*____URL____*/
	
	$url_content = WPCLINK_CREATION_API;
	
	$contentID = get_post_meta( $post_id, 'wpclink_creation_identifier', true );
	
	$sending =  array(
                    'body' => array(
                        'post_title'  => html_entity_decode($post_title),
                        'guid'	=> $guid,
						'creation_uri' => $post_link,
						'clink_creatorID' => $creator_id,
                        'post_excerpts' => html_entity_decode($post_excerpts),
						'post_type' => strtolower($post_type),
						'post_charcter' => $post_character,
						'clink_word_count' => $content_word_count,
						'clink_partyID' => $clink_party_id,
						'copyright_owner_user_id'=> $post_copyright_owner,
						'post_year' => $post_year,
						'clink_category' => $cats,
						'clink_tag' => $tags,
						'clink_territory_code' => $clink_terriory_code,
						'clink_referent_creation_identifier'=> $clink_referent_creation_identifier,
						'clink_party_link_role' => '',
						'clink_creation_link_role' => $clink_creation_link_role,
						'clink_contentID' => $content_id,
						'clink_license_type' => wpclink_get_license_type_label($post_license_type),
						'clink_license_version' => 's-0.9',
						'clink_language' => $clink_language,
						'clink_post_creation_date' =>$creation_date,
						'clink_post_modification_date'=> $modified_date,
						'clink_care_domain_id' => $care_domain_id,
						'clink_edition' => 'personal',						
						'action'=> 'create'
						
                    ),'timeout' => WPCLINK_API_TIMEOUT,'method' => 'POST'
                );

/* ========= CREATE ============ */

	$response = wp_remote_post(
                $url_content,
               $sending
            );
						
			
			 
            if ( is_wp_error( $response ) ) {
 
               $resposne_Array = is_wp_error( $response );
			   
			   // Response Debug
				wpclink_debug_log('QUICK EDIT POST PUBLISH'.print_r($response,true));
			  
 
            }else {
				
			// Response Debug
				wpclink_debug_log('QUICK EDIT POST PUBLISH'.print_r($response,true));
 
               $response_json = $response['body'];
			   $resposne_Array=json_decode($response_json,true);
  
		
			   
			  
	if($resposne_Array['status'] == 'create'){
		// RESPONSE
		
		update_post_meta($post_id,'wpclink_creation_identifier',$resposne_Array['data']['clink_contentID']);
		// REFERENT CONTENT ID
		update_post_meta($post_id,'wpclink_referent_creation_identifier',$post_contentID);
		update_post_meta($post_id,'wpclink_referent_creator_identifier',$post_author_creator);
		update_post_meta($post_id,'wpclink_creation_creation_date',$resposne_Array['data']['clink_creation_date']);
		update_post_meta($post_id,'wpclink_creation_modification_date',$resposne_Array['data']['clink_modification_date']);

		
	}
	
	
			}
	
			
	 }
		  	
			  }else{

		  }
	}

	



}	// Return Post ID
	//echo $result_update;
	
	$menu_page = menu_page_url( 'content_link_post.php', false );
	
	$author_id =  get_post_field( 'post_author', $post_id );
	$user_info_author = get_userdata($author_id);
	
	$ContentID = get_post_meta( $post_id, 'wpclink_creation_identifier', true );
	$ref_creator = get_post_meta($post_id,'wpclink_referent_creator_identifier',true);
	
	echo '<th scope="row" class="check-column"><label class="screen-reader-text" for="cb-select-63">'.get_the_title($post_id).'</label><input id="cb-select-'.$post_id.'" name="post[]" value="'.$post_id.'" disabled="disabled" type="checkbox"><div class="locked-indicator">
				<span class="locked-indicator-icon" aria-hidden="true"></span>
				<span class="screen-reader-text">“'.get_the_title($post_id).'” is locked</span>
			</div>
		</th>';
	
	echo '<td class="title column-title has-row-actions column-primary page-title" data-colname="Title"><div class="locked-info"><span class="locked-avatar"></span> <span class="locked-text"></span></div>
  <strong><a href="post.php?post='.$post_id.'&action=edit">'.get_the_title($post_id).'</a></strong>';
    echo '<div class="row-actions"><span class="edit"><a href="post.php?post='.$post_id.'&action=edit" aria-label="Edit “'.get_the_title($post_id).'”">Edit</a> | </span><span class="trash"><a href="'.wp_nonce_url($menu_page.'&action=delete&p_sync='.$post_id, 'content_delete_post', '_action_nonce').'" class="submitdelete" aria-label="Move “'.get_the_title($post_id).'” to the Trash">Trash</a> | </span><span class="view"><a href="'.get_permalink($post_id).'" rel="bookmark" aria-label="View “'.get_the_title($post_id).'”">View</a></span></div>
  <button type="button" class="toggle-row"><span class="screen-reader-text">Show more details</span></button></td>';
  
  echo '<td class="ref_creator column-ref_creator" data-colname="ref_creator">'.$ref_creator.'</td>';
  echo '<td class="author column-author" data-colname="Author">'.$user_info_author->user_login.'</td>';
  echo '<td class="categories column-categories" data-colname="Categories">';
  the_category( ', ','', $post_id);
  echo '</td><td class="tags column-tags" data-colname="Tags">';
  if(get_the_tag_list('','','',$post_id)) {
		echo get_the_tag_list('<p>',', ','</p>',$post_id);
	}else{
		echo '—';
	}
	echo '</td><td class="license_type column-license_type">'.wpclink_license_type_label($license_type_post).'</td>';
	echo '<td class="date column-date" data-colname="Date">';
	echo 'Linked<br>
          <abbr>'.get_the_date( '', $post_id ).'</abbr><br />
          <br />Published<br>
    <abbr>'.$post_publish_date.'</abbr></td>';
	echo '<td class="clink_id column-clink_id" data-colname=""><p><a href="'.WPCLINK_ID_URL.'/#objects/'.$quick_ref.'" target="_blank">'.$quick_ref.'</a></p></td>';
	
	echo '<td class="clink_id column-clink_id" data-colname=""><p><br><br><br><a href="'.WPCLINK_ID_URL.'/#objects/'.$ContentID.'" target="_blank">'.$ContentID.'</a></p></td>';
     
    }
     
    // Always die in functions echoing ajax content
   die();
}
// Register linked content quick ajax request
add_action( 'wp_ajax_wpclink_quick_edit_ajax_request', 'wpclink_quick_edit_ajax_request' );  



/**
 * CLink Linked Page Content Quick Edit Ajax Request
 * 
 */
function wpclink_quick_edit_page_ajax_request() {
 
    // The $_REQUEST contains all the data sent via ajax
    if ( isset($_REQUEST) ) {
		
$cl_options = wpclink_get_option( 'preferences_general' );
// Site URL
$link_site_url = apply_filters('cl_site_link',$cl_options['sync_site']);
       
// Validate
if(!isset($_REQUEST['inline_post_id']) and $_REQUEST['action'] != 'clink_quick_edit_page_ajax_request') return false;	

/* ====== PREPARING REQUEST ======= */
$request_query = array();
$request_query['post__in'] = $_REQUEST['inline_post_id'];
$request_query['post_type'] = 'c-page';
$request_query['get_type'] = 'content';
$origin_data = array();

// Quick Parameters

$quick_month = $_REQUEST['mm'];
$quick_day = $_REQUEST['jj'];
$quick_year = $_REQUEST['aa'];

$quick_hour = $_REQUEST['hh'];
$quick_min = $_REQUEST['mn'];

$quick_password = $_REQUEST['post_password'];
$quick_status = $_REQUEST['_status'];
$quick_sticky = $_REQUEST['sticky'];
$quick_comment_status = $_REQUEST['comment_status'];
$quick_ping_status = $_REQUEST['ping_status'];
$quick_parent_id = $_REQUEST['parent_id'];
$quick_template = $_REQUEST['page_template'];
$quick_order = $_REQUEST['menu_order'];

if($quick_comment_status == 'open'){
	$quick_comment_status_go = 'open';
}else{
	$quick_comment_status_go = 'closed';
}

if($quick_ping_status == 'open'){
	$quick_ping_status_go = 'open';
}else{
	$quick_ping_status_go = 'closed';
}

$quick_ref =  $_REQUEST['ref_identifier'];


$quick_date = $quick_year.'-'.$quick_month.'-'.$quick_day.' '.$quick_hour.':'.$quick_min.':'.date('s');

$build_query = build_query( $request_query );

/* ====== QUERY REQUEST ======= */
$context  = stream_context_create(array('http' => array('header' => 'Accept: application/xml')));
$xml=file_get_contents(wpclink_linked_site().'&'.$build_query,false,$context);
$xml = simplexml_load_string($xml);

$result_update = false;

foreach($xml->channel->item as $single){ 

/* ===== PREPARING DATA ===== */

// Post ID
$post_id_old = (int)$single->post_id; 

// Post Title
$post_title = (string)$single->title;

// Post Link
$post_link = (string)$single->link;

// Post Author
$ns_dc = $single->children('http://purl.org/dc/elements/1.1/');
$post_author = $ns_dc->creator_id;

// Post Content 
$post_content = (string)$single->children("content", true);

// Post Excerpt 
$post_excerpt = (string)$single->children("excerpt", true);

// License Type
$post_license_type = (string)$single->post_license_type;

// Post Copyright Owner
$post_copyright_owner = (string)$single->post_copyright_owner;

// Post Creator
$post_creator = (string)$single->post_creator;

// Post Creator ID
$post_creator_clinkid = (string)$single->post_creator_clink_id;
	
// ContentID
$post_contentID = (string)$single->content_id;
	
// Post Date
$post_publish_date = (string)$single->pubDate;

// Image URL		  
if($single->children('wp', true)->post_thumbnail){
	$image_url = $single->children('wp', true)->post_thumbnail->children()->post_thumbnail_url;
}else{
	$image_url = NULL;
}

// Modified Time
$modified_time = (string)$single->modified_time;



/* ====== INSERT POST ======= */
// Initialize the page ID to -1. This indicates no action has been taken.
	$post_id = -1;
	// Setup the author, slug, and title for the post
	
	$selected_author = wpclink_get_option('page_author_assign');
	if(empty($selected_author) or $selected_author == false){
		$author_id = get_current_user_id();
	}else{
		$author_id = $selected_author;
	}
	
	$time = current_time( 'Y-m-d', $gmt = 0 );
	$origin_data = array();
	



		// Set the post ID so that we know the post was created successfully
		if($post_id = wp_insert_post(
			array(
				'comment_status'	=>	$quick_comment_status_go,
				'ping_status'		=>	$quick_ping_status_go,
				'post_author'		=>	$author_id,
				'post_title'		=>	$post_title,
				'post_status'		=>	$quick_status,
				'post_content'  => $post_content,
				'post_excerpt' => $post_excerpt,
				'post_type'		=>	'page',
				'post_password' => $quick_password,
				'post_date' => $quick_date,
				'post_parent'	=> $quick_parent_id,
				'page_template'  => $quick_template,
				'menu_order'     => $quick_order,
				
			),true
		)){

		  // Origin
		  $time = current_time( 'Y-m-d', $gmt = 0 );
		  $origin_data[$link_site_url] = array(	'origin_id' => $post_id_old, 
		  																'last_sync' => $time,
																		'sync_status' => true,
																		'sync_parent' => $post_parent,
																		'canonical'   => $post_link);
																		
		 // Sticky
		  if(!empty($quick_sticky)){
			  stick_post($post_id);
		  }
		  
		  // Origin Url_shorten(
		  update_post_meta($post_id, 'wpclink_referent_uri', $post_link);
		  update_post_meta($post_id, 'wpclink_creation_reuse_status', 1);
		  
		  // License Type
		  update_post_meta($post_id, 'wpclink_creation_license_type', $post_license_type);
		  
		   // Post Creator
		  update_post_meta($post_id, 'wpclink_post_creator', $post_creator);
		  update_post_meta($post_id, 'wpclink_post_creator_id', $post_creator_clinkid);
		  
		  
		   if($post_license_type == 'restricted'){
			 // Referent Copyright Owner
		 	 update_post_meta($post_id, 'wpclink_referent_copyright_owner_identifier', $post_copyright_owner); 
		  }
			
		  
		  $content = apply_filters('the_content', get_post_field('post_content', $post_id));
		  $content_without_html = strip_tags($content);
		  $content_word_count = str_word_count($content_without_html);
			
		  $license_type_post = wpclink_get_license_type_by_id(wpclink_get_license_type_by_content($post_id));

		  
		  
		  
		  // Update post
		  if($updated_post_meta = update_post_meta($post_id, 'wpclink_referent_post_synch', $origin_data)){
				if($updated_post_meta = update_post_meta($post_id, 'origin_parent', $post_parent)){	  
				
					$result_update = $updated_post_meta;
					$updated_post_id = $updated_post_meta;
					
					if(!empty($image_url)){
						// Set Image
					wpclink_post_thumbnail_generator($post_id,$image_url);
					}
					
					//Update Time
		  			update_post_meta($post_id, 'wpclink_referent_last_update', $modified_time);
		  
					
				}
		if(get_post_status ( $post_id ) == 'future'){
	 }else{

// CODRA


// RULE #1
	$current_user_id = get_current_user_id();
	$reg_creators = wpclink_get_option('authorized_creators');
	
	$copyright_owner = wpclink_get_option('copyright_owner');
	if($copyright_owner == 'party'){
		$copyright_owner_id = wpclink_get_option('authorized_party');
	}elseif($copyright_owner == 'creator'){
		$creator_array = wpclink_get_option('authorized_creators');
		$copyright_owner_id = $creator_array[0];
	}
	
// RULE #2
	// Copyright Owner or Creator
	if($copyright_owner_id == $current_user_id || $current_user_id == $reg_creators[0]){
	}else{
		return false;
	}
	

// RULE #3
	$territory = wpclink_get_option('territory_code');
	if(empty($territory)){
		// Error Message
		
		return false;
		
	}
	
// RULE #4
	if(wpclink_clink_domain_quota() > 0){
		
	}else{
		return false;
	}
	
	
	
	// Party
	$clink_party_id = wpclink_get_option('authorized_party');
	
	
	// API REQUEST
	$post_title = get_the_title($post_id);
	$guid = get_the_guid($post_id);
	$permalink = get_permalink($post_id);
	
	// Author ID
	$author_id = get_post_field ('post_author', $post_id);
	$creator_id = get_user_meta($author_id,'wpclink_creator_identifier',true);
	$post_excerpts = get_the_excerpt($post_id);
	$post_type = get_post_type($post_id);
	$post_character = 'language';
	$clink_party_id = get_user_meta($clink_party_id,'wpclink_party_identifier',true);
	
	
	
	
	$copyright_owner = wpclink_get_option('copyright_owner');
	
	if($copyright_owner == 'party'){
		$copyright_owner_id = wpclink_get_option('authorized_party');
	}elseif($copyright_owner == 'creator'){
		$creator_array = wpclink_get_option('authorized_creators');
		$copyright_owner_id = $creator_array[0];
		
	}
	
	$copyright_owner_user_id = $copyright_owner_id;
	$copyright_owner_user_id = get_user_meta($copyright_owner_user_id,'wpclink_creator_identifier',true);
	
	$post_year = get_the_date( 'Y', $post_id );
	$clink_language = wpclink_language_code_to_display(get_bloginfo("language"));
	$clink_terriory_code = wpclink_get_option('territory_code');
	$content_id = '';
	$clink_referent_creation_identifier = $post_contentID;
	$clink_party_link_role = 'Licensee';
	$clink_creation_link_role = 'LicensedContent';
	$creation_date = get_the_date( 'F j, Y g:i a', $post_id );
	$modified_date = get_the_modified_time('U',$post_id);
	
	$care_domain_id = wpclink_get_option('domainID');
	
	
	$post_categories = wp_get_post_categories($post_id);
	
	
	$cats = array();	
	$tags = array();
	
	
	/*____URL____*/
	
	$url_content = WPCLINK_CREATION_API;
	
	
	$contentID = get_post_meta( $post_id, 'wpclink_creation_identifier', true );
	
	


/* ========= CREATE ============ */

	$response = wp_remote_post(
                $url_content,
                array(
                    'body' => array(
                        'post_title'  => html_entity_decode($post_title),
                        'guid'	=> $guid,
						'creation_uri' => $post_link,
						'clink_creatorID' => $creator_id,
                        'post_excerpts' => html_entity_decode($post_excerpts),
						'post_type' => strtolower($post_type),
						'post_charcter' => $post_character,
						'clink_word_count' => $content_word_count,
						'clink_partyID' => $clink_party_id,
						'copyright_owner_user_id'=> $post_copyright_owner,
						'post_year' => $post_year,
						'clink_category' => $cats,
						'clink_tag' => $tags,
						'clink_territory_code' => $clink_terriory_code,
						'clink_referent_creation_identifier'=> $clink_referent_creation_identifier,
						'clink_party_link_role' => '',
						'clink_creation_link_role' => $clink_creation_link_role,
						'clink_contentID' => $content_id,
						'clink_license_type' => wpclink_get_license_type_label($post_license_type),
						'clink_license_version' => 's-0.9',
						'clink_language' => $clink_language,
						'clink_post_creation_date' =>$creation_date,
						'clink_post_modification_date'=> $modified_date,
						'clink_care_domain_id' => $care_domain_id,
						'clink_edition' => 'personal',						
						'action'=> 'create'
						
                    ),'timeout' => WPCLINK_API_TIMEOUT,'method' => 'POST'
                )
            );
						
			
 
            if ( is_wp_error( $response ) ) {
 
               $resposne_Array = is_wp_error( $response );
			   
			   // Response Debug
				wpclink_debug_log('QUICK EDIT PAGE UPDATE '.print_r($response,true));
			  

            }else {
				
				// Response Debug
				wpclink_debug_log('QUICK EDIT PAGE UPDATE '.print_r($response,true));
 
               $response_json = $response['body'];
			   $resposne_Array=json_decode($response_json,true);
  
			   
	
			  
	if($resposne_Array['status'] == 'create'){
		// RESPONSE
		
	update_post_meta($post_id,'wpclink_creation_identifier',$resposne_Array['data']['clink_contentID']);
	// REFERENT CONTENT ID
	update_post_meta($post_id,'wpclink_referent_creation_identifier',$post_contentID);
	update_post_meta($post_id,'wpclink_referent_creator_identifier',$post_author_creator);
	update_post_meta($post_id,'wpclink_creation_creation_date',$resposne_Array['data']['clink_creation_date']);
	update_post_meta($post_id,'wpclink_creation_modification_date',$resposne_Array['data']['clink_modification_date']);
		
	}
	
	
	
			}

	 }
		  	
			  }else{

		  
		  }
	}

	



}	// Return Post ID	// Return Post ID
	//echo $result_update;
	
	$menu_page = menu_page_url( 'content_link_post.php', false );
	
	$author_id =  get_post_field( 'post_author', $post_id );
	$user_info_author = get_userdata($author_id);
	
	$ContentID = get_post_meta( $post_id, 'wpclink_creation_identifier', true );
	$ref_creator = get_post_meta($post_id,'wpclink_referent_creator_identifier',true);
	
	echo '<th scope="row" class="check-column"><label class="screen-reader-text" for="cb-select-63">'.get_the_title($post_id).'</label><input id="cb-select-'.$post_id.'" name="post[]" value="'.$post_id.'" disabled="disabled" type="checkbox"><div class="locked-indicator">
				<span class="locked-indicator-icon" aria-hidden="true"></span>
				<span class="screen-reader-text">“'.get_the_title($post_id).'” is locked</span>
			</div>
		</th>';
	
	echo '<td class="title column-title has-row-actions column-primary page-title" data-colname="Title"><div class="locked-info"><span class="locked-avatar"></span> <span class="locked-text"></span></div>
  <strong><a href="post.php?post='.$post_id.'&action=edit">'.get_the_title($post_id).'</a></strong>';
  echo '<div class="row-actions"><span class="edit"><a href="post.php?post='.$post_id.'&action=edit" aria-label="Edit “'.get_the_title($post_id).'”">Edit</a> | </span><span class="trash"><a href="'.wp_nonce_url($menu_page.'&action=delete&p_sync='.$post_id, 'content_delete_post', '_action_nonce').'" class="submitdelete" aria-label="Move “'.get_the_title($post_id).'” to the Trash">Trash</a> | </span><span class="view"><a href="'.get_permalink($post_id).'" rel="bookmark" aria-label="View “'.get_the_title($post_id).'”">View</a></span></div>
  <button type="button" class="toggle-row"><span class="screen-reader-text">Show more details</span></button></td>';
  
  echo '<td class="ref_creator column-ref_creator" data-colname="ref_creator">'.$ref_creator.'</td>';
  echo '<td class="author column-author" data-colname="Author">'.$user_info_author->user_login.'</td>';
  echo '<td class="license_type column-license_type">'.wpclink_license_type_label($post_license_type).'</td>';
  
	echo '<td class="date column-date" data-colname="Date">';
	echo 'Linked<br>
          <abbr>'.get_the_date( '', $post_id ).'</abbr><br />
          <br />Published<br>
    <abbr>'.$post_publish_date.'</abbr></td>';
	echo '<td class="clink_id column-clink_id" data-colname=""><p><a href="'.WPCLINK_ID_URL.'/#objects/'.$quick_ref.'" target="_blank">'.$quick_ref.'</a></p></td>';
	
	echo '<td class="clink_id column-clink_id" data-colname="">';
	if(!empty($ContentID)){ 
		echo '<p><br><br><br><a href="'.WPCLINK_ID_URL.'/#objects/'.$ContentID.'" target="_blank">'.$ContentID.'</a></p>';
	}
	echo '</td>';
     
    }
     
    // Always die in functions echoing ajax content
   die();
}
// Register CLink Link Content Page Quick Ajax Request
add_action( 'wp_ajax_wpclink_quick_edit_page_ajax_request', 'wpclink_quick_edit_page_ajax_request' );  


/**
 * CLink Save License Type Ajax Request
 * 
 */
function wpclink_save_license_type() {
 
    // The $_REQUEST contains all the data sent via ajax
    if ( isset($_REQUEST) ) {
     
        $license_type = $_REQUEST['license_type'];
        $post_id = $_REQUEST['post_id'];
		
        // Let's take the data that was sent and do something with it
		if($post_id >= 1){
			if ( $license_type == 'as_is' || $license_type == 'restricted' || $license_type == '0' ) {
			   $return_id = update_post_meta( $post_id, 'wpclink_creation_license_type', $license_type );
			}
		}
     
        // Now we'll return it to the javascript function
        // Anything outputted will be returned in the response
        echo $return_id;
         
        // If you're debugging, it might be useful to see what was sent in the $_REQUEST
        // print_r($_REQUEST);
     
    }
     
    // Always die in functions echoing ajax content
   die();
}
 // Register save license type ajax request function
add_action( 'wp_ajax_wpclink_save_license_type', 'wpclink_save_license_type' );

/**
 * CLink Make Post to Referent List Step 2 Ajax Request
 * 
 */
function wpclink_make_ref_post_step2() {
 	if(is_user_logged_in()){
    	if ( isset($_REQUEST) ) {
		 
		 	// License_type
			$license_type = $_REQUEST['license_type'];
			$referent_id = $_REQUEST['referent_id'];
			
			
		
			//Licenses
			$clink_licenses = wpclink_get_option('licenses');
				
			if($referent_id > 0){
				
				if($license_type == 'as_is'){
					$show_license = $clink_licenses['as_is'];
				}elseif($license_type == 'restricted'){
					$show_license = $clink_licenses['restricted'];
				}
				
				// Pre Authorize Popup Accept
		   		wpclink_accept_pre_auth_popups($referent_id,'wpclink_creation_pre_auth_view_date');
				
			
				
				$html.= '<div id="cl-license-show-box" style="display:none;"><div class="license_in_popup">'.$show_license.'<br /><h3 align="right" style="text-decoration:underline; margin-right:50px;">Electronic  signature  of  Licensor</h3><br /><br /></div></div>';
				
				echo $html;
			}
			
    	}
	}   
    // Always die in functions echoing ajax content
   die();
}
 // Register make post to referent list step 2 function
add_action( 'wp_ajax_wpclink_make_ref_post_step2', 'wpclink_make_ref_post_step2' );

/**
 * CLink Display License
 * 
 */
function wpclink_license_show_screen(){
	
	if(is_user_logged_in()){
		
    	if ( isset($_REQUEST) ) {
			
			// License_type
			$license_type = $_REQUEST['license_type'];
			$referent_id = $_REQUEST['referent_id'];
			
			if($referent_id > 0){
			
			// Current User
			$user_id = get_current_user_id();
			$user_info = get_userdata($user_id);
			$view_date = date("Y-m-d H:i:s");
			
			
			
			if($license_type == 'as_is'){
					$type = 'as_is';
					$type_label = "AS IS License Template";
			}elseif($license_type == 'restricted'){
					$type = 'restricted';
					$type_label = "RESTRICTED License Template";
			}
			
			//Licenses
			$clink_licenses = wpclink_get_option('licenses');
			
				if($license_view = get_user_meta($user_id,'wpclink_license_'.$type.'_view_date',true)){
					// Secound Time
				}else{
					// First time
					$show_license = $clink_licenses[$type];
					
					$accept_html = '<p><label><input type="checkbox" id="accept_license_check" name="accept_license_check" value="1">I&#39;ve read the license terms and conditions<label></p><p align="right"><input type="button" id="license_next" class="button button-primary" value="Next" disabled /></p>';
					
					$html.= '<div id="cl-license-show-screen" title="'.$type_label.'"><div id="cl-license-show-box" style="display:block;"><div class="license_in_popup"><div class="cl_notice info_license">You must read and accept the license terms and conditions. Checkbox to accept is at the bottom of this page. <span class="icon-box" title="You need to do this only once per license type"></span></div>'.$show_license.'<br /><h3 align="right" style="text-decoration:underline; margin-right:50px;">Electronic  signature  of  Licensor</h3><br />'.$accept_html.'</div></div></div>';
					
					// Viewed
					update_user_meta($user_id,'wpclink_license_'.$type.'_view_date',$view_date);
					
					
					
					echo $html;
				}
				
			}
			
		}
	}
	
}
 // Register display license on sreen function
add_action( 'wp_ajax_wpclink_license_show_screen', 'wpclink_license_show_screen' );


/**
 * CLink Accept Pre Auth Popops Ajax
 * 
 */
function wpclink_pre_auth_accept_ajax(){
	
	if(is_user_logged_in()){
		
    	if ( isset($_REQUEST) ) {
			
			// License_type
			$action = $_REQUEST['cl_action'];
			$referent_id = $_REQUEST['referent_id'];
			
			if($referent_id > 0){
				
				if($action == 'add'){ 
				
				$added_id = wpclink_accept_pre_auth_popups($referent_id,'wpclink_creation_pre_auth_accept_date');
				
				echo $added_id;
				
				}elseif($action == 'remove'){
					
				$deleted_id = delete_post_meta($referent_id,'wpclink_creation_pre_auth_accept_date');
				
				echo $deleted_id;
					
				}
				
			}
		}
	}
	
}
 // Register display license on sreen function
add_action( 'wp_ajax_wpclink_pre_auth_accept_ajax', 'wpclink_pre_auth_accept_ajax' );

/**
 * CLink Make Post to Referent List Step 1 Ajax Request
 * 
 */
function wpclink_esign_stamp_make_ref() {
 	if(is_user_logged_in()){
    	if ( isset($_REQUEST) ) {
		 
		 	// Signing the E-Signature
			$sign_here = $_REQUEST['sign_here'];		
			if($sign_here == 1){
			
				$copyright_owner = wpclink_get_option('copyright_owner');
				if($copyright_owner == 'party'){
					$copyright_owner_id = wpclink_get_option('authorized_party');
				}elseif($copyright_owner == 'creator'){
					$creator_array = wpclink_get_option('authorized_creators');
					$copyright_owner_id = $creator_array[0];
				}
			
				// User Info
				$user_info = get_userdata($copyright_owner_id);
				
				// Connect Site URL
				$cl_connect_site = wpclink_get_option('wpclink_connect_site');
				
				$view_time = date("Y-m-d H:i:s");
				
				
					
				
					$signed_by = $user_info->display_name;
					$stamp_time = $view_time;
					$reason = 'Licensing  digital  content';
					$ip = wpclink_get_client_ip();
					$email = $user_info->user_email;
									
				
				}
				
				
									
				$esign_html = '<div id="esign-stamp" style=" position:relative; -moz-user-select: -moz-none; -khtml-user-select: none; -webkit-user-select: none; -o-user-select: none;user-select: none; width:440px; display: inline-block;padding: 15px;"><div style="position:relative; z-index:5; width:50%; float: left; "><h2 style="font-family: Times New Roman, Times, serif;font-size: 30px;font-style: italic;font-weight: normal;margin: 25px 0;text-align: center;">'.$signed_by.'</h2></div><div style="width:50%; float: right; position:relative; z-index:5; "><h5 style="margin: 0;line-height: 24px;font-size: 12px; font-family:arial; ">Electronically  signed  by: '.$signed_by.'</h5><h5 style="margin: 0;line-height: 24px;font-size: 12px; font-family:arial; ">Reason: '.$reason.' </h5><h5 style="margin: 0;line-height: 24px;font-size: 12px; font-family:arial; ">Date: '.$stamp_time.'</h5></div><img style="position:absolute; z-index:1; top:10px; left:160px;"  src="[site_url]wp-content/plugins/clink-personal/images/clinks-logo-alp.jpg" /></div>';
				
				
				$html = str_replace('[site_url]',get_bloginfo('url').'/',$esign_html);
				
				echo $html;
				
			
    	}
	}   
    // Always die in functions echoing ajax content
   die();
}
  // Register make post to referent list step 1 function
add_action( 'wp_ajax_wpclink_esign_stamp_make_ref', 'wpclink_esign_stamp_make_ref' );


/**
 * CLink Care Authorization Cookie Set
 * 
 */
function wpclink_care_authorize_ajax_request() {
 
    // The $_REQUEST contains all the data sent via ajax
    if ( isset($_REQUEST) ) {
     
        if($_REQUEST['generate'] == 1){

			$token = uniqid();
		
			setcookie( 'care_authorize', $token, time()+3600, '/', COOKIE_DOMAIN );

			echo $token;
		}
     
    }
     
    // Always die in functions echoing ajax content
   die();
}
 // Register clink care authorization cookie set
add_action( 'wp_ajax_wpclink_care_authorize_ajax_request', 'wpclink_care_authorize_ajax_request' );
add_action( 'wp_ajax_nopriv_wpclink_care_authorize_ajax_request', 'wpclink_care_authorize_ajax_request' );


/**
 * CLink Care Auto Check Login Ajax Request
 * 
 */
function wpclink_care_auto_check_ajax_request() {
 
    // The $_REQUEST contains all the data sent via ajax
    if ( isset($_REQUEST) ) {   
        if($_REQUEST['cl_popup_info_check'] == 1){
			if(isset($_COOKIE['auto_fill_popup']) and $_COOKIE['auto_fill_popup'] != '0'){
				echo $_COOKIE['auto_fill_popup'];
			}else{
			 	echo 'false';	
			}
		}     
    }
  
    // Always die in functions echoing ajax content
   die();
}
 // Register auto check login ajax request function
add_action( 'wp_ajax_wpclink_care_auto_check_ajax_request', 'wpclink_care_auto_check_ajax_request' );
add_action( 'wp_ajax_nopriv_wpclink_care_auto_check_ajax_request', 'wpclink_care_auto_check_ajax_request' );


/**
 * CLink Record Licensee Accept Time
 * 
 */
function wpclink_licensee_accept_datetime(){
	
	if(is_user_logged_in()){
    	if ( isset($_REQUEST) ) {			
		 
		 	// License_type
			$record = $_REQUEST['record'];

			if($record == 'now'){
				
				// Time
				$accept_time = date("Y-m-d H:i:s");
				
				// Record
				$updated = wpclink_update_option('licensee_accept_datetime',$accept_time);
				
				echo $updated;
			}
			
		}
	}
}
// Register clink license accept datetime function ajax request
add_action( 'wp_ajax_wpclink_licensee_accept_datetime', 'wpclink_licensee_accept_datetime' );
