<?php
/**
 * CLink Initialization Functions
 *
 * CLink initialization and foundation functions 
 *
 * @package CLink
 * @subpackage System
 */
 
 // Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );


// Add extra query veriable cl_post_status on post update
add_filter('redirect_post_location', function($location)
{
    global $post;
    if (
        (isset($_POST['publish']) || isset($_POST['save'])) &&
        preg_match("/post=([0-9]*)/", $location, $match) &&
        $post &&
        $post->ID == $match[1] &&
        (isset($_POST['publish']) || $post->post_status == 'publish') && // Publishing draft or updating published post
        $pl = get_permalink($post->ID)
    ) {
        if (isset($_POST['publish'])) {
			
			return add_query_arg( 'cl_post_status', 'publish', $location );
           
        } elseif ($ref = wp_get_original_referer()) {
           
		   	return add_query_arg( 'cl_post_status', 'referer', $location );
        } else {
           return add_query_arg( 'cl_post_status', '0', $location );
        }
    }
    return $location;
});



function wpclink_action_do(){
		
	if(isset($_GET['page']) and $_GET['page'] == 'content_link_post.php'){
	 
	  // Content Link Post Actions
		if(wpclink_generation_post_multiple()) 	wpclink_notif_print('Linked Posts has been published.','success');
		if(wpclink_generation_post()) 			wpclink_notif_print('Linked Post has been published','success');
		
		
	  
	}elseif(isset($_GET['page']) and $_GET['page'] == 'content_link_page.php'){
		
		if(wpclink_generation_page_multiple())	wpclink_notif_print('Linked Pages has been published.','success');
		if(wpclink_generation_page()) 			wpclink_notif_print('Linked Page has been published','success');
			
		
	}elseif(isset($_GET['page']) and $_GET['page'] == 'wpclink_post_skip.php'){
		
				
	}elseif(isset($_GET['page']) and $_GET['page'] == 'cl_page_skip.php'){
		
	

	}elseif(isset($_GET['page']) and $_GET['page'] == 'cl_notifications'){
		if(wpclink_update_post())				wpclink_notif_print('Post has been updated','success');
		if(wpclink_update_page())				wpclink_notif_print('Page has been updated','success');
	}
	
	
	
}
add_action( 'admin_init', 'wpclink_action_do');



/**
 * CLink Update Basic Options
 * 
 */
function wpclink_update_basic_options(){
	// Admin Side
	if(is_admin()){
		if ( current_user_can('manage_options') ) {
			if(isset($_POST['teriority_code'])){
				
				// Clink rules
				if(wpclink_user_readonly()){
					wpclink_notif_print('Action cannot be perform.','error');
				}else{
				
				$teriority_code = $_POST['teriority_code'];
				
				// Update
				wpclink_update_option('territory_code',$teriority_code);
				wpclink_notif_print('Changes have been saved.','success');
	
				}
			}
	
		}
	}
}
// Register clink update options function 
add_action('admin_init','wpclink_update_basic_options');





// Auto assign the user for linked post content
add_action('admin_init','wpclink_auto_assign_save');

/**
 * Auto Assign the User When Linked Post Content is Create
 * 
 */
function wpclink_auto_assign_save(){

$post_data = $_POST;	
if(isset($post_data['post_author_assign']) and isset($post_data['post_cat_assign'])){

// Author		
  $new_value_author = $post_data['post_author_assign'];

  if ( wpclink_get_option( 'post_author_assign' ) !== false ) {
	  wpclink_update_option( 'post_author_assign', $new_value_author );
  
  } else {
	  $deprecated = null;
	  $autoload = 'no';
	  wpclink_add_option( 'post_author_assign', $new_value_author, $deprecated, $autoload );
  }

// Cat
  $new_value_cat = $post_data['post_cat_assign'];
  if ( wpclink_get_option( 'post_cat_assign' ) !== false ) {
	  wpclink_update_option( 'post_cat_assign', $new_value_cat );
  
  } else {
	  $deprecated = null;
	  $autoload = 'no';
	  wpclink_add_option( 'post_cat_assign', $new_value_cat, $deprecated, $autoload );
  }
}
}


/**
 * Auto Assign the User When Linked Page Content is Create
 * 
 */
function wpclink_auto_assign_save_page(){


$post_data = $_POST;	
if(isset($post_data['page_author_assign'])){

// Author		
  $new_value_author = $post_data['page_author_assign'];

  if ( wpclink_get_option( 'page_author_assign' ) !== false ) {
	  wpclink_update_option( 'page_author_assign', $new_value_author );
  
  } else {
	  $deprecated = null;
	  $autoload = 'no';
	  wpclink_add_option( 'page_author_assign', $new_value_author, $deprecated, $autoload );
  }
}
}

// Auto assign the user for linked page content
add_action('admin_init','wpclink_auto_assign_save_page');


/**
 * CLink Welcome Message Update
 * 
 */
function wpclink_clink_welcome_status_update(){
	if(isset($_GET['startup']) and $_GET['startup'] == 1){
		wpclink_update_option('wpclink_welcome_status',$_GET['startup']);
	}	
}
add_action('init','wpclink_clink_welcome_status_update');


/**
 * CLink Accept Terms and Condition First Time Update
 * 
 */
function wpclink_accept_terms_form_first(){
	
	if(isset($_POST['cl_user_accept_first']) and $_POST['cl_user_accept_first'] == 1){
		
		$current_user_id = get_current_user_id();
		// Auto Action #1
		//update_user_meta($current_user_id,'wpclink_user_approve_mode',1);
		// Accepts Terms #2
		update_user_meta($current_user_id,'wpclink_terms_accept',2);
	}
}
// Register first time accept update function
add_action( 'admin_init', 'wpclink_accept_terms_form_first');




/**
 * CLink User Accept Terms and Condition HTML Form
 * 
 */
function wpclink_accept_terms_form(){
	
	if(isset($_POST['cl_user_accept']) and $_POST['cl_user_accept'] == 1){
		
		$current_user_id = get_current_user_id();
		
		$action = get_user_meta($current_user_id ,'wpclink_user_aprrove_status',true);
		$type = get_user_meta($current_user_id ,'wpclink_user_approve_type',true);
		
		if($type == 'party' and $action == 'create'){
			
		// CREATE PARTY
		wpclink_quick_create_party($current_user_id);
					
		}
		if($type == 'party' and $action == 'update'){
		
		$previous_party_id = get_user_meta($current_user_id ,'wpclink_previous_party_id',true);
		
		// UPDATE PARTY
		wpclink_quick_update_party($current_user_id, $previous_party_id);
		// REMOVE ACTION
		update_user_meta($previous_party_id,'wpclink_user_status_party','unsaved');
			
		}
		if($type == 'creator' and $action == 'create'){

		$previous_creator_id = get_user_meta($current_user_id ,'wpclink_previous_creator_id',true);			
		// CREATE CREATOR
		wpclink_quick_create_creator($current_user_id, $previous_creator_id);
			
		}
		if($type == 'creator' and $action == 'update'){
			
		$previous_creator_id = get_user_meta($current_user_id ,'wpclink_previous_creator_id',true);
		// UPDATE CREATOR
		wpclink_quick_update_creator($current_user_id,$previous_creator_id);
		// REMOVE ACTION
		update_user_meta($previous_creator_id,'wpclink_user_status_creator','unsaved');
			
		}
	}
	
}
// Register accept terms and condition form
add_action( 'admin_init', 'wpclink_accept_terms_form');




/**
 * CLink Auto Apply Action Register Creator | Party After Accepted Terms and Conditions
 * 
 * @param boolean $forced default true
 */
function wpclink_user_auto_action($forced = true){
	
	// Not Run on the Users Page
	if(isset($_GET['page']) and $forced == false){
		if($_GET['page'] == 'cl_users'){
			return false;	
		}
	}
	
	$user_id = get_current_user_id();
	$auto_action = get_user_meta($user_id,'wpclink_user_approve_mode',true);
	
	if($auto_action == 1){	
	}else{
		
	// Creator ID
	$creators = wpclink_get_option('authorized_creators');
	$creators_id = $creators[0];
	$creator_auto_action = get_user_meta($creators_id,'wpclink_user_approve_mode',true);
	
	
	// Party ID
	$clink_party_id = wpclink_get_option('authorized_party');
	$party_auto_action = get_user_meta($clink_party_id,'wpclink_user_approve_mode',true);
	
	
		// IF CREATOR OR PARTY SELECTED
		if($creator_auto_action == 1){
			$user_id = $creators_id;
		}else if($party_auto_action == 1){
			$user_id = $clink_party_id;
		}
		
		// Double Check has auto action selected
		$auto_action = get_user_meta($user_id,'wpclink_user_approve_mode',true);
	}
	
	
	
	
	if($auto_action == 1){
		
		$action = get_user_meta($user_id ,'wpclink_user_aprrove_status',true);
		$type = get_user_meta($user_id ,'wpclink_user_approve_type',true);
		
		if($type == 'party' and $action == 'create'){
			
		// CREATE PARTY
		wpclink_quick_create_party($user_id);
		
		// De-Active
		update_user_meta($user_id,'wpclink_user_approve_mode',false);
			
					
		}
		if($type == 'party' and $action == 'update'){
		
		$previous_party_id = get_user_meta($user_id ,'wpclink_previous_party_id',true);
		
		// UPDATE PARTY
		wpclink_quick_update_party($user_id, $previous_party_id);
		// REMOVE ACTION
		update_user_meta($previous_party_id,'wpclink_user_status_party','unsaved');
		// De-Active
		update_user_meta($user_id,'wpclink_user_approve_mode',false);


		}
		if($type == 'creator' and $action == 'create'){

		$previous_creator_id = get_user_meta($user_id ,'wpclink_previous_creator_id',true);			
		// CREATE CREATOR
		wpclink_quick_create_creator($user_id, $previous_creator_id);
			// De-Active
		update_user_meta($user_id,'wpclink_user_approve_mode',false);
			
			
		}
		if($type == 'creator' and $action == 'update'){
			
		$previous_creator_id = get_user_meta($user_id ,'wpclink_previous_creator_id',true);
		// UPDATE CREATOR
		wpclink_quick_update_creator($user_id,$previous_creator_id);
		// REMOVE ACTION
		update_user_meta($previous_creator_id,'wpclink_user_status_creator','unsaved');
		// De-Active
		update_user_meta($user_id,'wpclink_user_approve_mode',false);
			
			
		}
		
	}
}
// Register auto apply action function for admin
add_action( 'admin_init', 'wpclink_user_auto_action');




/**
 * CLink Referent List Post Save and Redirection
 * 
 */
function wpclink_mycontent_redirection(){

$current_page = menu_page_url( 'cl-mycontent-posts', false );

if($_GET['page'] == 'cl-restriction' || $_GET['page'] == 'cl-restriction-reuse'){
	
}else{
	return false;	
}

	if(wpclink_user_readonly()){
		return false;
	}

if(isset($_GET['paged'])){
	$current_page.='&paged='.$_GET['paged'];
}

if($_GET['page'] == 'cl-restriction'){
	
$current_page = menu_page_url( 'cl-restriction', false );

if(isset($_POST['cl_include_ref_form'])){
	if($_POST['referent_list'] == 1){
		wpclink_update_option('exclude_referent',$_POST['referent_list']);
	}else{
		wpclink_update_option('exclude_referent',0);
	}
}

if(isset($_REQUEST['post']) and (isset($_REQUEST['action']) || isset($_REQUEST['action2']))){
	  $post_list = $_REQUEST['post'];
	  $license_type = $_REQUEST['license_type'];
	  $license_version = $_REQUEST['license_version'];
	  
	  
	  if($restrict = wpclink_get_option('referent_posts')){
		  $posts = array_merge($restrict,$post_list);
		  wpclink_update_option('referent_posts',array_unique($posts));
		  
		  foreach($post_list as $single_post){
			if ( $license_type == 'as_is' || $license_type == 'restricted' || $license_type == '0' ) {
				
			  update_post_meta( $single_post, 'wpclink_creation_license_type', $license_type );			  
			     // Update CLink.ID
			  wpclink_request_to_update_the_license( $single_post, $license_type);
			}
			
				// License Version			
			  update_post_meta( $single_post, 'wpclink_post_license_version', $license_version );
			  
			  
			  	// Copyright Owner ID
			 update_post_meta( $single_post, 'wpclink_post_copyright_owner_id', wpclink_get_copyright_owner_id() );
			 
			  	// Creation Pre Auth Efeect Date
			wpclink_creation_pre_auth_effect_date($single_post);
			
			  
			  
		  }
		  
		  $current_page = add_query_arg('updated_post','1',$current_page);
		  
		  wp_redirect( $current_page, 301);
		   exit;
		   
	  }else{
		  wpclink_update_option('referent_posts',array_unique($post_list));
		  
		  foreach($post_list as $single_post){
			if ( $license_type == 'as_is' || $license_type == 'restricted' || $license_type == '0' ) {
			  update_post_meta( $single_post, 'wpclink_creation_license_type', $license_type );
			  // Update CLink.ID
			  wpclink_request_to_update_the_license( $single_post, $license_type);
			}
				  
			   // Creation Pre Auth Efeect Date
			wpclink_creation_pre_auth_effect_date($single_post);
			  
			  // Copyright Owner ID
			 update_post_meta( $single_post, 'wpclink_post_copyright_owner_id', wpclink_get_copyright_owner_id() );
			  
			  
			  
		  }
		  
		   $current_page = add_query_arg('updated_post','1',$current_page);
		   
		   wp_redirect( $current_page, 301);
		   exit;
	  }
  }elseif(isset($_REQUEST['referent']) and $_REQUEST['referent'] > 0){
	  
	$referent_id = array($_REQUEST['referent']);
	$referent_id_only = $_REQUEST['referent'];
	$license_type = $_REQUEST['license_type'];
	$license_version = $_REQUEST['license_version'];
	$license_data = $_REQUEST['e_sign'];
	
	  if($restrict = wpclink_get_option('referent_posts')){
		  $referent_ids = array_merge($restrict,$referent_id);
		  wpclink_update_option('referent_posts',array_unique($referent_ids));
		  
		  // License Type		  
			if ( $license_type == 'as_is' || $license_type == 'restricted' || $license_type == '0' ) {
			  update_post_meta( $referent_id_only, 'wpclink_creation_license_type', $license_type );
			  // Update CLink.ID
			  wpclink_request_to_update_the_license( $referent_id_only, $license_type);
			}
			  
			   // Creation Pre Auth Efeect Date
				wpclink_creation_pre_auth_effect_date($referent_id_only);
			  
			  // Copyright Owner ID
			 	update_post_meta( $referent_id_only, 'wpclink_post_copyright_owner_id', wpclink_get_copyright_owner_id() );
			  
			  
			  $current_page = add_query_arg('updated_post','1',$current_page);
		  
		  wp_redirect( $current_page, 301);
		   exit;
		   		   
	  }else{
		  // License Type		  
			if ( $license_type == 'as_is' || $license_type == 'restricted' || $license_type == '0' ) {
			  update_post_meta( $referent_id_only, 'wpclink_creation_license_type', $license_type );
			  // Update CLink.ID
			  wpclink_request_to_update_the_license( $referent_id_only, $license_type);
			}
		  wpclink_update_option('referent_posts',array_unique($referent_id));
		  
		   // Creation Pre Auth Efeect Date
			wpclink_creation_pre_auth_effect_date($referent_id_only);
		   
		   
		   // Copyright Owner ID
			 update_post_meta( $referent_id_only, 'wpclink_post_copyright_owner_id', wpclink_get_copyright_owner_id() );
		   
		   
		   
		    $current_page = add_query_arg('updated_post','1',$current_page);
		  
		  wp_redirect( $current_page, 301);
		   exit;
	  }
	}elseif(isset($_REQUEST['remove_referent']) and $_REQUEST['remove_referent'] > 0){
	  
	$remove_referent_id = array($_GET['remove_referent']);
	
	  if($restrict = wpclink_get_option('referent_posts')){
		  $remove_referent_ids = array_diff($restrict,$remove_referent_id);
		  wpclink_update_option('referent_posts',array_unique($remove_referent_ids));
		  
		   $current_page = add_query_arg('removed_post','1',$current_page);
		  wp_redirect( $current_page, 301);
		   exit;
	  }else{
		  wp_redirect( $current_page, 301);
		   exit;
	  }
}
}elseif($_GET['page'] == 'cl-restriction-reuse'){
	
$current_page = menu_page_url( 'cl-restriction-reuse', false );

if(isset($_GET['post']) and (isset($_GET['action']) || isset($_GET['action2']))){
	  $post_list = $_GET['post'];
	  if($restrict = wpclink_get_option('referent_posts')){
		  
		  $posts = array_diff($restrict,$post_list);
		  wpclink_update_option('referent_posts',array_unique($posts));
		    $current_page = add_query_arg('removed_post','1',$current_page);
		  wp_redirect( $current_page, 301);
		   exit;
	  }else{
		   wp_redirect( $current_page, 301);
		   exit;
	  }
  }elseif(isset($_GET['remove_referent']) and $_GET['remove_referent'] > 0){
	  
	$remove_referent_id = array($_GET['remove_referent']);
	
	  if($restrict = wpclink_get_option('referent_posts')){
		  $remove_referent_ids = array_diff($restrict,$remove_referent_id);
		  wpclink_update_option('referent_posts',array_unique($remove_referent_ids));
		  $current_page = add_query_arg('removed_post','1',$current_page);
		  wp_redirect( $current_page, 301);
		   exit;
	  }else{
		   wp_redirect( $current_page, 301);
		   exit;
	  }
}

}
}
// Register referent post list and redirection function
add_action('admin_init','wpclink_mycontent_redirection');


/**
 * CLink Referent List Page Save and Redirection
 * 
 */

function wpclink_mycontent_page_redirection(){

$current_page = menu_page_url( 'cl-mycontent-posts', false );

if($_GET['page'] == 'cl-restriction-page' || $_GET['page'] == 'cl-restriction-page-available'){
	
}else{
	return false;	
}

	if(wpclink_user_readonly()){
		return false;
	}

if(isset($_GET['paged'])){
	$current_page.='&paged='.$_GET['paged'];
}

if($_GET['page'] == 'cl-restriction-page'){
	
$current_page = menu_page_url( 'cl-restriction-page', false );

if(isset($_GET['post']) and (isset($_GET['action']) || isset($_GET['action2']))){
	  $post_list = $_GET['post'];
	  
	  if($restrict = wpclink_get_option('referent_pages')){
		  $posts = array_diff($restrict,$post_list);
		  wpclink_update_option('referent_pages',array_unique($posts));
		  $current_page = add_query_arg('updated_post','1',$current_page);
		  wp_redirect( $current_page, 301);
		   exit;
	  }else{
		  wpclink_update_option('referent_pages',array_unique($post_list));
		  $current_page = add_query_arg('updated_post','1',$current_page);
		   wp_redirect( $current_page, 301);
		   exit;
	  }
  }elseif(isset($_GET['remove_referent']) and $_GET['remove_referent'] > 0){
	  
	$remove_referent_id = array($_GET['remove_referent']);
	
	  if($restrict = wpclink_get_option('referent_pages')){
		  $referent_ids = array_diff($restrict,$remove_referent_id);
		  wpclink_update_option('referent_pages',array_unique($referent_ids));
		  $current_page = add_query_arg('removed_post','1',$current_page);
		  wp_redirect( $current_page, 301);
		   exit;
	  }else{
		  
		  wp_redirect( $current_page, 301);
		   exit;
	  }
}
}elseif($_GET['page'] == 'cl-restriction-page-available'){
	
$current_page = menu_page_url( 'cl-restriction-page-available', false );


if(isset($_POST['cl_include_ref_form_page'])){
	if($_POST['referent_list_page'] == 1){
		wpclink_update_option('exclude_referent_page',$_POST['referent_list_page']);
	}else{
		wpclink_update_option('exclude_referent_page',0);
	}
}

if(isset($_REQUEST['post']) and (isset($_REQUEST['action']) || isset($_REQUEST['action2']))){
	  $post_list = $_REQUEST['post'];
	  $license_type = $_REQUEST['license_type'];
	  $license_version = $_REQUEST['license_version'];
	  
	  if($restrict = wpclink_get_option('referent_pages')){
		  
		  $posts = array_merge($restrict,$post_list);
		  wpclink_update_option('referent_pages',array_unique($posts));
		  
		  foreach($post_list as $single_post){
			if ( $license_type == 'as_is' || $license_type == 'restricted' || $license_type == '0' ) {
			  update_post_meta( $single_post, 'wpclink_creation_license_type', $license_type );
			  
			   // Update CLink.ID
			  wpclink_request_to_update_the_license( $single_post, $license_type);
			}
			
			// Copyright Owner ID
			 update_post_meta( $single_post, 'wpclink_post_copyright_owner_id', wpclink_get_copyright_owner_id() );
			  
			  // Creation Pre Auth Efeect Date
			wpclink_creation_pre_auth_effect_date($single_post);
			
			// Pre Authorize Popup Accept
		   	wpclink_accept_pre_auth_popups($single_post,'wpclink_creation_pre_auth_accept_date');
			
		  }
		  $current_page = add_query_arg('updated_post','1',$current_page);
		  wp_redirect( $current_page, 301);
		   exit;
	  }else{
		  wpclink_update_option('referent_pages',$post_list);
		  
		   foreach($post_list as $single_post){
			if ( $license_type == 'as_is' || $license_type == 'restricted' || $license_type == '0' ) {
			  update_post_meta( $single_post, 'wpclink_creation_license_type', $license_type );
			  // Update CLink.ID
			  wpclink_request_to_update_the_license( $single_post, $license_type);
			}
			
			// Copyright Owner ID
			 update_post_meta( $single_post, 'wpclink_post_copyright_owner_id', wpclink_get_copyright_owner_id() );
			  
			   // Creation Pre Auth Efeect Date
			wpclink_creation_pre_auth_effect_date($single_post);
			
			// Pre Authorize Popup Accept
		   	wpclink_accept_pre_auth_popups($single_post,'wpclink_creation_pre_auth_accept_date');
		  }
		  $current_page = add_query_arg('updated_post','1',$current_page);
		   wp_redirect( $current_page, 301);
		   exit;
	  }

}elseif(isset($_REQUEST['referent']) and $_REQUEST['referent'] > 0){
	  
	$referent_id = array($_REQUEST['referent']);
	$referent_id_only = $_REQUEST['referent'];
	$license_type = $_REQUEST['license_type'];
	$license_version = $_REQUEST['license_version'];
	$license_data = $_REQUEST['e_sign'];
	
	  if($restrict = wpclink_get_option('referent_pages')){
		  $referent_ids = array_merge($restrict,$referent_id);
		  wpclink_update_option('referent_pages',array_unique($referent_ids));
		  
		  // License Type		  
			if ( $license_type == 'as_is' || $license_type == 'restricted' || $license_type == '0' ) {
			  update_post_meta( $referent_id_only, 'wpclink_creation_license_type', $license_type );
			   // Update CLink.ID
			  wpclink_request_to_update_the_license( $referent_id_only, $license_type);
			}
			
			  
			  
			  // Copyright Owner ID
			 update_post_meta( $referent_id_only, 'wpclink_post_copyright_owner_id', wpclink_get_copyright_owner_id() );
			  
			   // Creation Pre Auth Efeect Date
			wpclink_creation_pre_auth_effect_date($referent_id_only);
			
			// Pre Authorize Popup Accept
		   	wpclink_accept_pre_auth_popups($referent_id_only,'wpclink_creation_pre_auth_accept_date');
			  
		  $current_page = add_query_arg('updated_post','1',$current_page);
		  wp_redirect( $current_page, 301);
		   exit;
	  }else{
		  // License Type		  
			if ( $license_type == 'as_is' || $license_type == 'restricted' || $license_type == '0' ) {
			  update_post_meta( $referent_id_only, 'wpclink_creation_license_type', $license_type );
			  // Update CLink.ID
			  wpclink_request_to_update_the_license( $referent_id_only, $license_type);
			}
		  wpclink_update_option('referent_pages',$referent_id);
		  
		  
		  // Copyright Owner ID
		  update_post_meta( $referent_id_only, 'wpclink_post_copyright_owner_id', wpclink_get_copyright_owner_id() );
		  
		   // Creation Pre Auth Efeect Date
			wpclink_creation_pre_auth_effect_date($referent_id_only);
			
			// Pre Authorize Popup Accept
		   	wpclink_accept_pre_auth_popups($referent_id_only,'wpclink_creation_pre_auth_accept_date');
		   
		   $current_page = add_query_arg('updated_post','1',$current_page);
		  wp_redirect( $current_page, 301);
		   exit;
	  }
}elseif(isset($_REQUEST['remove_referent']) and $_REQUEST['remove_referent'] > 0){
	  
	$remove_referent_id = array($_GET['remove_referent']);
	
	  if($restrict = wpclink_get_option('referent_pages')){
		  $referent_ids = array_diff($restrict,$remove_referent_id);
		  wpclink_update_option('referent_pages',array_unique($referent_ids));
		  $current_page = add_query_arg('removed_post','1',$current_page);
		  wp_redirect( $current_page, 301);
		   exit;
	  }else{
		  
		  wp_redirect( $current_page, 301);
		   exit;
	  }
	}
}

}

// Register referent page list and redirection function
add_action('admin_init','wpclink_mycontent_page_redirection');

/**
 * CLink Delete Token
 * 
 */
function wpclink_delete_token_page(){

// DELETE TOKEN
	if(isset($_GET['delete_token'])){
		if($_GET['delete_token'] == 1){
			
			$url_token =  wpclink_get_option('wpclink_connect_site');
			
			 wpclink_delete_option('wpclink_connect_site');
			 
			 $current_page = menu_page_url( 'cl-clink', false );
			 $current_page = add_query_arg('deleted_token_url',urlencode($url_token),$current_page);
			 wp_redirect($current_page, 301 );
        	 exit;
		}
	}
}
// Register clink delete token function on admin initilization
add_action('admin_init','wpclink_delete_token_page');

/**
 * CLink Canonical Verification Actions and Redictions
 * 
 */
function wpclink_canonical_page_redirection(){
	if(isset($_GET['cl_site_id']) and isset($_GET['content_id']) and isset($_GET['canonical_run'])){
		
		$url_param = array();
		$url_param['cl_site_id'] = $_GET['cl_site_id'];
		$url_param['content_id'] = $_GET['content_id'];
		$url_param['canonical_run_done'] = 1;
					
		$menu_page = menu_page_url( 'cl-canonical', false );			
		$complete_url = add_query_arg($url_param,$menu_page);
		
		// START CANONICAL SCHEDULE MANUAL
		wpclink_canonical_schedule();
		
		wp_redirect( $complete_url, 301);
		exit;
	}elseif(isset($_GET['cl_site_id']) and isset($_GET['content_id']) and isset($_GET['restore'])){
		
		global $wpdb;
		// CLINK  TABLE
		$clink_sites_table = $wpdb->prefix . 'wpclink_licenses';
		
		$url_param = array();
		$url_param['cl_site_id'] = $_GET['cl_site_id'];
		$url_param['content_id'] = $_GET['content_id'];
		$url_param['restore_done'] = 1;
					
		$menu_page = menu_page_url( 'cl-canonical', false );			
		$complete_url = add_query_arg($url_param,$menu_page);
		
		$license_id = $_GET['cl_site_id'];
		
		// ZERO FAIL
		wpclink_update_license_meta($license_id,'wpclink_license_attemps',0);
		wpclink_update_license_meta($license_id,'canonical_success_attemps',0);
		
		// RESTORE
		$wpdb->update($clink_sites_table,array('verification_status' => 'good'), array('license_id' => $license_id,'mode' => 'referent'));
		
		wp_redirect( $complete_url, 301);
		exit;
	}
	
}
// Register canonical verification actions and redirection in admin initialization
add_action('admin_init','wpclink_canonical_page_redirection');