<?php
/**
 * CLink Link List Functions
 *
 * CLink linked content list for verification of canonical
 *
 * @package CLink
 * @subpackage Link Manager
 */

// Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * CLink Complete List of Linked Content Reversion 3
 * 
 * List of the content which are linked to the sites
 * 
 * @param string $content_id  content id
 * @param string $site_url  url of site
 * 
 * @return <type>
 */
	
function wpclink_linked_complete_list_v3($content_id = 0, $site_url = false){

	
	
	global $post;
	global $wpdb;
	// Table Prefix
	$table_license = $wpdb->prefix . 'wpclink_licenses';
	$license_list = $wpdb->get_results( "SELECT * FROM $table_license WHERE licensed_creation_id = '".$content_id."' AND mode = 'linked' ", ARRAY_A );
	
	
	if ( null !== $license_list ) {
	
	$linked_contents = array();
	$all_post_sync_id = array();
	$origin_id = array();
	$display_post = array();
	$correct_id = array();
	
	foreach($license_list as $single_license){		
		// Store ORIGIN
		$linked_contents[] = $single_license['licensed_creation_id'];
	}
	
	
	  
	$all_sync_posts = get_posts( array( 'meta_key' => 'wpclink_referent_post_synch','posts_per_page' => -1 ) ); 	
  	foreach($all_sync_posts as $single_sync){
		
		$post_sync_id = $single_sync->ID;
		$get_origin_id = get_post_meta($post_sync_id,'wpclink_referent_post_synch', true);
		$catched_id = $get_origin_id[$site_url]['origin_id'];
		// Store ORIGIM
		$origin_id[] = $catched_id;
		// Strore Origin to link
		$origin_id_to_link[$catched_id] = $post_sync_id;
	}
	
	
	foreach($linked_contents as $linked_content_id){
			
			
			if(isset($origin_id_to_link[$linked_content_id])){
				$found_ids[] = $origin_id_to_link[$linked_content_id];
			}
	}
	

	
		
	if(empty($found_ids)) return false;

	$cl_query = new WP_Query( array( 
        'post__in' => $found_ids,
        'orderby' => 'ID'
    )  ); 

	if ( $cl_query->have_posts() ) {
		while ( $cl_query->have_posts() ) {
				$cl_query->the_post();
				
				
		$origin_id_show = get_post_meta(get_the_ID(),'wpclink_referent_post_synch', true);
		$origin_id_show_now = $origin_id_show[$site_url]['origin_id'];
	?><item><link><?php echo get_permalink(); ?></link><post_id><?php echo get_the_ID(); ?></post_id><ref_id><?php echo $origin_id_show_now; ?></ref_id></item><?php
		}
		wp_reset_postdata();
	}
	}else{
		return false;
	}
		
}

/**
 * CLink Content is in Referent Linked List
 * 
 * @return boolean
 */
function wpclink_linked_list(){
	if(is_single() || is_page()){
		$post_id = wpclink_global_id();
		if($ok_sync = get_post_meta($post_id,'wpclink_referent_post_synch', true)){
			return true;
		}else{
			return false;
		}
	}else{
		return false;
	}
}
