<?php

/**
 * CLink Notification Functions
 *
 * CLink all notification messages for admin pages functions
 *
 * @package CLink
 * @subpackage System
 */
 
 // Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * CLink Notification Print 
 * 
 * @param string $msg Message for Print Notification
 * @param string $class_name notification type
 * 
 */

function wpclink_notif_print($msg = false, $class_name = false){
	
	$class = 'notice notice-'.$class_name.' is-dismissible';
	printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $msg ); 
}



add_action('cl_notify_me', 'wpclink_notify_func');

/**
 * Notify if linked content is updated
 * 
 */
function wpclink_notify_func() {
	
	return false;
	
$cl_options = wpclink_get_option( 'preferences_general' );
// Site URL
$link_site_url = apply_filters('cl_site_link',$cl_options['sync_site']);
// Menu Page
$menu_page = menu_page_url( 'cl_notifications', false );
	
/* ====== PREPARING REQUEST ======= */

$request_query = array();
$origin_data = array();
$post_type = array('c-post','c-page');
$request_query['post_type'] = implode(",",$post_type);
$request_query['posts_per_page'] = "-1";	

$build_query = build_query( $request_query );

/* ====== QUERY REQUEST ======= */
$context  = stream_context_create(array('https' => array('method'=>'GET','header' => 'Accept: application/xml')));
$xml=file_get_contents(wpclink_linked_site().$cleaned.'&'.$build_query,false,$context);
$xml = simplexml_load_string($xml);


$catched_id_list = array();
$catched_id_list_see = array();

$all_sync_posts = get_posts( array( 'meta_key' => 'wpclink_referent_post_synch','posts_per_page' => -1,'post_type' => array('post','page')) );
foreach($all_sync_posts as $single_sync){

	$post_sync_id = $single_sync->ID;
	$get_origin_id = get_post_meta($post_sync_id,'wpclink_referent_post_synch', true);
	$catched_id = $get_origin_id[$link_site_url]['origin_id'];
	$catched_id_list[] = $catched_id;
	$catched_id_list_see[$catched_id] = $post_sync_id;
}	


// Blog Local Time
$local_time = (string)$xml->channel->blog_local_time;


$cl_alert = 'off';
// Notify Key
if ( wpclink_get_option( 'wpclink_notification_alert' ) !== false ) {
	wpclink_update_option( 'wpclink_notification_alert', $cl_alert );
}else{
	$deprecated = null;
	wpclink_add_option( 'wpclink_notification_alert', $cl_alert, $deprecated );
}

foreach($xml->channel->item as $single){
	
	// Post ID
	$post_id = (string)$single->post_id;
	// Modified Time
	$new_update_time = (string)$single->modified_time;
	
	
	if(in_array($post_id,$catched_id_list)){
		$site_post_id = $catched_id_list_see[$post_id];
		$last_update_time = get_post_meta( $site_post_id, 'wpclink_referent_last_update', true );		
		if(wpclink_check_update($last_update_time,$new_update_time)){
			
			if ( wpclink_get_option( 'wpclink_notification_alert' ) !== false ) {
				$cl_alert = 'on';
				// Notify Key
				wpclink_update_option( 'wpclink_notification_alert', $cl_alert );
				break;
				
			}else{
				$cl_alert = 'on';
				$deprecated = null;
			    wpclink_add_option( 'wpclink_notification_alert', $cl_alert, $deprecated );
				break;
			}
			
		}
		
	}
}
}

/**
 * CLink Add Class in Admin if Voilated Linked Site Canonical
 * 
 * @param  $classes default wordpress classes
 * 
 * @return string
 */

function wpclink_add_notice_class_canonical($classes){
	
	
	$screen = get_current_screen();
	if($screen->post_type == 'page'){
		if(isset($_GET['post'])){
			
			if($post_canonical_violation = get_post_meta($_GET['post'],'wpclink_canonical_violation')){
				return "$classes notice-canonical ";
			}

		}
	}elseif($screen->post_type == 'post'){
		if(isset($_GET['post'])){
			
			if($post_canonical_violation = get_post_meta($_GET['post'],'wpclink_canonical_violation')){
				return "$classes notice-canonical ";
			}
		}
	}	
	
	return "$classes ";
	
}
// Register canonical classes
add_filter( 'admin_body_class', 'wpclink_add_notice_class_canonical' );

/**
 * CLink Linked Content Voilation Messages
 * 
 */
function wpclink_notification_linked_content(){
	
		
	$class = 'notice notice-error';
	
	
	$all_sync_posts = get_posts( array( 'meta_key' => 'clink_canonical_violation','posts_per_page' => -1 ) ); 	
  	foreach($all_sync_posts as $single_sync){
		
		$post_id = $single_sync->ID;
		
		if(sizeof($all_sync_posts) ==1){
			
			
			if($post_canonical_violation = get_post_meta($_GET['post'],'wpclink_canonical_violation')){
			}else{
			$link = '<a href="post.php?post='.$post_id.'&action=edit">linked post</a>';
			
			$message = __( 'The canonical URL of a '.$link.' has been modified and the License has been violated. Licensor has the right to revoke the license and blacklist your site from obtaining future content. ', 'sample-text-domain' );
			
			printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), $message  );
			}
			
			 
			break;
			
		}elseif(sizeof($all_sync_posts) > 1){
		
			
			$link = '<a class="button" href="edit.php?s&post_status=all&post_type=post&slug=0&filter_action=Filter">Click Here</a>';
			
			$message = __( 'The canonical URL of at least one of the linked post has been modified and the License has been violated. Licensor has the right to revoke the license and blacklist your site from obtaining future content. '.$link.' to see the violating post(s).', 'sample-text-domain' );
			printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ),  $message  ); 
			break;
			
		}
	}

}
// Register linked content voilated messages
add_action( 'admin_notices', 'wpclink_notification_linked_content' );

/**
 * CLink Copyright Owner Select Before Register the Content Notification Message
 * 
 */
function wpclink_copyright_owner_selection(){
	
	$creator_array = wpclink_get_option('authorized_creators');
	$creator_user_id = $creator_array[0];
	$party_id = wpclink_get_option('authorized_party');
	
	$copyright_owner = wpclink_get_option('copyright_owner');
	
	
	
	if($creator_user_id > 0 and $party_id > 0){
		if(empty($copyright_owner)){
		
			
			echo '<div class="notice notice-error is-dismissible"><p>Please select the Copyright Owner <a class="button" href="'.menu_page_url( 'cl_users', false ).'">Select</a></p></div>';
			
			
		}
			
		
	}

}
// Register copyright owner selection function
add_action('admin_notices','wpclink_copyright_owner_selection');

/**
 * CLink Territory Selection Notification Message on all Admin Pages
 * 
 */

function wpclink_notify_territory_all_pages(){
	
	
	$pt = get_current_screen()->post_type;

	$territory = wpclink_get_option('territory_code');
	if ( $pt == 'post' || $pt == 'page' || $_GET['page'] == 'cl_mainpage.php'){
	}else{
		if(empty($territory)){
			
			$current_user_id = get_current_user_id();
			$accept = get_user_meta( $current_user_id, 'wpclink_terms_accept', true );
			
			if($accept == false || $accept == 1){
							
				}else if($accept == 2){
				
				echo '<div class="notice notice-error is-dismissible"><p>Please select <strong>Territory</strong> before selecting CLink Users <a class="button" href="'.menu_page_url( 'cl_mainpage.php', false ).'">Select</a></p></div>';
			}
			
		}
	}
	
}
// Register territory notification message on all admin pages
add_action('admin_notices','wpclink_notify_territory_all_pages');



/**
 * CLink Notification Couter 
 * 
 * To count all the notification message of CLink Plugin
 * 
 */

function wpclink_notification_counter_clock(){
	
	$count = 0;
	
	$current_user_id = get_current_user_id();
	$accept = get_user_meta( $current_user_id, 'wpclink_terms_accept', true );
	
	$creator_array = wpclink_get_option('authorized_creators');
	$creator_user_id = $creator_array[0];
	$party_id = wpclink_get_option('authorized_party');
	$copyright_owner = wpclink_get_option('copyright_owner');
	$territory = wpclink_get_option('territory_code');
	
	if($accept == false || $accept == 1) $count = $count+1;
	
		if($creator_user_id > 0 and $party_id > 0){
			if(!empty($copyright_owner)){
				if(empty($territory)){
					$count = $count+1;
				}
			}
		}
	
	if($creator_user_id > 0 and $party_id > 0){
		if(empty($copyright_owner)){
			$count = $count+1;
		}
	}
	return $count;
}


/**
 * CLink Notification Counter Bubble on Admin Bar of WordPress
 * 
 */
function wpclink_notification_counter_bubble(){
	return '<span class="cl_sbubble">'.wpclink_notification_counter_clock().'</span>';
}


/**
 * CLink User Accept Terms and Condition for Firstime New User
 * 
 */

function wpclink_user_accept_terms_conditions(){
	
	$current_user_id = get_current_user_id();
	$accept = get_user_meta( $current_user_id, 'wpclink_terms_accept', true );
		if($accept == false){
			echo '<div class="notice notice-error is-dismissible"><form action="" method="post"><p> <label><input type="checkbox" name="cl_user_accept_first" value="1"> I accept the <a href="'.WPCLINK_ID_URL.'/terms.html" target="_blank">Terms of Service</a> and <a  href="'.WPCLINK_ID_URL.'/privacy.html" target="_blank">Privacy Policy</a> of CLink Media, Inc. & <a class="electronic_record_btn_popup">Consent to use Electronic Records and Signatures.</a> </label><input type="submit" name="submit" value="Confirm and Continue" class="button"></p></form></div>';
		
		}elseif($accept == 1){
		echo '<div class="notice notice-error is-dismissible"><form action="" method="post"><p> <label><input type="checkbox" name="cl_user_accept" value="1"> I accept the <a href="'.WPCLINK_ID_URL.'/terms.html" target="_blank">Terms of Service</a> and <a  href="'.WPCLINK_ID_URL.'/privacy.html" target="_blank">Privacy Policy</a> of CLink Media, Inc. & <a class="electronic_record_btn_popup">Consent to use Electronic Records and Signatures.</a> </label><input type="submit" name="submit" value="Confirm and Continue" class="button"></p></form></div>';
		
		}
	
	
}
// Register user accept terms and condition
add_action('admin_notices','wpclink_user_accept_terms_conditions');

/**
 * CLink Accept Popups
 * 
 */
function wpclink_user_accept_popups() {
	$current_user_id = get_current_user_id();
	$accept = get_user_meta( $current_user_id, 'wpclink_terms_accept', true);
	if($accept == 1 || $accept == false){
		
echo '<script>jQuery( ".terms_btn_popup" ).click(function() { jQuery( "#terms_popup" ).dialog({maxWidth:600,maxHeight: 500,width: 600,height:500}); }); jQuery( ".privacy_btn_popup" ).click(function() { jQuery( "#privacy_popup" ).dialog({maxWidth:600,maxHeight:500,width:600,height:500}); }); jQuery( ".electronic_record_btn_popup" ).click(function() { jQuery( "#electronic_record_popup" ).dialog({maxWidth:600,maxHeight: 500,width: 600,height:500}); }); </script>';
		
echo '<div id="terms_popup" title="Terms and Conditions" style="display:none;">'.wpclink_get_option('terms_and_conditions').'</div>

<div id="privacy_popup" title="Privacy Policy" style="display:none;">
  <p>This is the default dialog which is useful for displaying information. The dialog window can be moved, resized and closed with the icon.</p>
</div>
<div id="electronic_record_popup" title="Consent to use Electronic Records and Signatures." style="display:none;">
  <p>So long as you have not suspended licensing of the Creation(s) via the CLink plug-in, you authorize your electronic signature to automatically be applied to the selected standard License upon request from a Requester. In addition, you agree to such e-signed License to be delivered to the Requester along with a copy of the Creation(s) via the CLink Media, Inc. system. Upon receipt the Requester become a Licensee permitted to re-use the Creation subject to the terms and conditions set forth in the License. </p>
</div>';
	}
}
// Register accpet popups in footer
add_action('admin_footer', 'wpclink_user_accept_popups');

/**
 * CLink Quota Get from Care.Clink.Meda Norification for Party (Current Edition is Free so no notification is call)
 * 
 * Current Edition is Free so No Quota is Require 
 * 
 */
function wpclink_notify_creator_clink_id(){
	
	$creator_array = wpclink_get_option('authorized_creators');
	$creator_user_id = $creator_array[0];
	
	
	if($creator_user_id > 0){
			$current_user_id = get_current_user_id();
			if($current_user_id == $creator_id){
				
// Party ID
$party_id = wpclink_get_option('authorized_party');						
// Company ID
$domain_id = wpclink_get_option('domainID');
// Company Email
//$party_email = get_user_meta($party_id,'wpclink_party_email',true);


$user_party_info = get_userdata($party_id);
$party_email = $user_party_info->user_email;

// Encode
$search_email = urlencode($party_email);
  
global $wp_version;
$args = array(
    'timeout'     => WPCLINK_API_TIMEOUT,
    'redirection' => 5,
    'httpversion' => '1.0',
    'user-agent'  => 'WordPress/' . $wp_version . '; ' . home_url(),
    'blocking'    => true,
    'headers'     => array(),
    'cookies'     => array(),
    'body'        => null,
    'compress'    => false,
    'decompress'  => true,
    'sslverify'   => true,
    'stream'      => false,
    'filename'    => null
); 
$response = wp_remote_get( 'https://care.clink.media/?get_quota=1&cs_id='.$domain_id.'&email='.$search_email,$args);

if ( is_array( $response ) ) {
  $body = $response['body']; // use the content
  $quota = json_decode($body,true);
  
  // Personal Edition
  $quota_avail = false;
  	if($quota < 1 or $quota == 0 and $quota_avail){
  	echo '<div class="notice notice-warning is-dismissible"><p>You do not have Clink.Id. Please Contact Party</p></div>';
  	}
}
}
}
}
// Register party notification of quota on admin notices
add_action('admin_notices','wpclink_notify_creator_clink_id');
