<?php
/**
 * CLink Reuse Functions 
 *
 * CLink reuse popup functions
 *
 * @package CLink
 * @subpackage Link Manager
 */
 
 // Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );



/**
 * CLink Frontend Popup
 * 
 * @return boolean
 */

function wpclink_message_popup(){
	$save_option = wpclink_get_option( 'preferences_general' );
	if(isset($save_option['message_popup']) and $save_option['message_popup'] == '1'){
		return true;
	}else{
		return false;
	}
}

/**
 * CLink Freoned Popup Offer
 * 
 * @return boolean
 */

function wpclink_message_offer(){
	$save_option = wpclink_get_option( 'preferences_general' );
	if(isset($save_option['message_offer']) and $save_option['message_offer'] == '1'){
		return true;
	}else{
		return false;
	}
}


/**
 * CLink Popup Agreement URL Display
 * 
 * @param string $weburl site address
 * 
 */
function wpclink_offer_popup_link($weburl){
	
	global $wpdb;
	
	// GET IP
	$url = parse_url($weburl);
	$host_url = $url['host'];
	
	// PICK IP
	$ip = gethostbyname($host_url);
	
	// Table Prefix
    $table_name_token = $wpdb->prefix . 'wpclink_tokens'; 
	
	
	/* INSERT TOKEN IN DATABASE */
	$token_key = wpclink_go_live_link(8);
	$web_address = $weburl;
	$ip_address = $ip;
	
	$record_found = $wpdb->get_row( 'SELECT * FROM '.$table_name_token.' WHERE linked_site_url = "'.$web_address.'" AND token_expiration <> 1' );
	
	if ( $record_found !== NULL ) {
		$token_key = $record_found->token;
	}else{
		// INSERT
		$wpdb->insert($table_name_token,
				array(	'linked_site_url' => $web_address,
						'linked_site_domain' => $host_url,
						'token' => $token_key,
						'linked_site_IP' => $ip_address,
						'license_deliver_date' => '',
						'token_expiration' => '0'));
	}
	
		echo '<div id="cl_step2" class="cl_step">
			<h2>CLink Agreement URL</h2>
			<h3>Put this url in your clink to start </h3>
			<input id="cl_weburl" required="required" autofocus="autofocus" value="'.wpclink_agree_link($token_key).'" type="url">
			</div>';
}
add_action('cl_offer_popup','wpclink_offer_popup_link',10,1);



/**
 * CLink Reuse Popup Agreement URL Display
 * 
 * @param string $weburl site address
 * @param string $content_type content type as_is | restricted
 * @param string $content_url url of the current post
 * 
 */
function wpclink_offer_popup_link_clinkid($weburl, $content_type = false, $content_url = false){
	
	global $wpdb;
	
	// GET IP
	$url = parse_url($weburl);
	$host_url = $url['host'];
	
	// PICK IP
	$ip = gethostbyname($host_url);
	
	// Table Prefix
    $table_name_token = $wpdb->prefix . 'wpclink_tokens'; 
	
	// CONTENT TYPE
	$content_type = $content_type;
	
	// CONTENT URL TO POST ID
	$postid = url_to_postid( $content_url );
	
	
	
	/* INSERT TOKEN IN DATABASE */
	$token_key = wpclink_go_live_link(8);
	$web_address = $weburl;
	$ip_address = $ip;
	
	$record_found = $wpdb->get_row( 'SELECT * FROM '.$table_name_token.' WHERE post_id = "'.$postid.'" AND token_expiration <> 1' );
	
	if ( $record_found !== NULL ) {
		$token_key = $record_found->token;
	}else{
		// INSERT
		$wpdb->insert($table_name_token,
				array(	'linked_site_url' => $web_address,
						'linked_site_domain' => $host_url,
						'token' => $token_key,
						'linked_site_IP' => $ip_address,
						'token_type' => $content_type,
						'post_id' => $postid,
						'license_deliver_date' => '',
						'token_expiration' => '0',
						'creation_uri' => $content_url));
	}

	
		echo '<div id="cl_step2" class="cl_step">
			<h2>Paste this URL into</h2>
			<p>Links &rarr; Linked &rarr; Add New</p>
			<center><img src="' . plugins_url( 'admin/images/menu.png', dirname(__FILE__) ) . '" /></center>
			<div id="startlink_wrapper"><input id="cl_weburl" class="startlink" readonly="readonly" required="required" autofocus="autofocus" value="'.wpclink_agree_link($token_key).'" type="url"><a id="copybtn">Copy</a></div>
			</div>';
	
}
add_action('cl_offer_popup_clinkid','wpclink_offer_popup_link_clinkid',10,3);

/**
 * CLink Reuse Next Button
 *
 */
function wpclink_offer_popup_next_func(){
	echo '<a id="next_step2" class="cl_download" href="#">Next</a>';
}
// Register reuse next button
add_action('cl_offer_popup_next_link','wpclink_offer_popup_next_func');

/**
 * CLink Reuse Button Redirect to orgin of content url
 * 
 */
function wpclink_redirect_to_origin(){
	if(isset($_GET['clink']) and $_GET['clink'] == 1){
		
		global $post;
		$post_id = $post->ID;
		if($origin_url = get_post_meta($post_id,'wpclink_referent_uri',true)){			
			$rediect_me = add_query_arg( 'clink', '1', $origin_url );
			 wp_redirect( $rediect_me );
        	 die;

		}
	}
}
// Register reuse button redirect to origin content on redirection template
add_action( 'template_redirect', 'wpclink_redirect_to_origin' );

/**
 * CLink Get Global ID of Post
 * 
 * @return integer post id
 */
function wpclink_global_id() {
  if ( in_the_loop() ) {
    $post_id = get_the_ID();
  } else {
    /** @var $wp_query wp_query */
    global $wp_query;
    $post_id = $wp_query->get_queried_object_id();
    }
  return $post_id;
}


/**
 * CLink Content is Refernet List Published
 * 
 * 
 * @return boolean
 */
function wpclink_clinkid_content(){
	$post_id = wpclink_global_id();
	if($contentID = get_post_meta( $post_id, 'wpclink_creation_identifier', true )){
		
		$registered_list_post = wpclink_get_option('referent_posts');
		$registered_list_page = wpclink_get_option('referent_pages');
		
		
		if(is_array($registered_list_post) and is_array($registered_list_page)){
			$registered_complete = array_merge($registered_list_page,$registered_list_post);
		if(in_array($post_id, $registered_complete)){
			return true;
		}
		}
		
		
	}
	return false;
}


/**
 * CLink Reuse Offer Popup
 * 
 */
function wpclink_clinkid_offer() {
	// If import mode only
	if(wpclink_import_mode()) return false;
	// if content is not in linked list
	if(!wpclink_clinkid_content()) return false;
	$token = uniqid();
?>
<div id="CLModal" class="cl_modal">
  <div class="cl_modal-content">
    <span class="cl_close">&times;</span>

<div id="confirm-box">
<p class="style1"><?php _e('The reuse of this content is enabled for WordPress powered sites using wpCLink plugin','cl_text'); ?></p>
<p class="style2"><?php _e('Click Download below to get it or Continue <br />if you have it already installed','c l_text'); ?></p>
<p class="confirm-btn"><a class="cl_download" href="https://wordpress.org/plugins/wpclink/"><?php _e('Download','cl_text'); ?></a> <a class="cl_download continue"><?php _e('Continue','cl_text'); ?></a></p>
</div>
<form id="cl_new_offer_clinkid" action="">
<div id="cl_offer_response">
<p class="style1"><?php _e('The content will be accessible at Content &rarr; Linked in your WordPress instance after you accept the Terms and Conditions of the License','cl_text'); ?></p>
<p class="description style2"><?php _e('Please enter your Name and Website Address','cl_text'); ?>  <span class="icon info"></span></p>
<input id="cl_name" required="required" value="" autofocus="autofocus" placeholder="Full Name" type="text">
<input id="cl_weburl" required="required" value="" autofocus="autofocus" placeholder="Website Address" type="url">
<input type="hidden" id="cl_popup_id" value="<?php echo $token; ?>" />
<div class="quick-response"></div>

<?php /* <p class="divider-or"><span>or</span></p>
 <p><a class="go_care"><span class="cico"></span>Sign In with CLink</a></p> */ ?>
<input style="visibility:hidden" class="content_type" type="checkbox" name="content_type" checked="checked" value="single" />
<input type="hidden" name="cl_auto_code" id="cl_auto_code" value="" />

<?php if ( $group_found = wpclink_get_option('wpclink_group') ) {
if(!empty($group_found['url'])){ ?>
<p class="style3"><a class="additional-btn" href="#"><strong>+</strong> <?php _e('Available Options','cl_text'); ?></a></p>
<div class="additional_option">
<ul>
  <li>
    <label class="container_check"><?php _e('Join Group','cl_text'); ?>
  <input class="content_type" type="checkbox" name="content_type" value="group">
  <span class="checkmark"></span>
</label>
  </li>
</ul>
</div>
<?php }
} ?>
<div id="wait"></div>
<input id="cl_modal_submit" value="Submit" type="submit">
</div>
</form>		
    <input type="hidden" name="auto_content" id="auto_content" value="<?php echo wpclink_global_id() ?>" />
</div>
</div>
<?php }
// Register clink reuse offer popup function
add_action( 'wp_footer', 'wpclink_clinkid_offer' );

/**
 * CLink Reuse Content Button After Post and Page Content
 * 
 * @param string $content default content
 * 
 */
function wpclink_link_button_after_post_content($content){
	
global $post;
$post_id = $post->ID;
	
if (is_single() || is_archive() || is_home() || is_page()) {  
    
	
	$contentID = get_post_meta( $post_id, 'wpclink_creation_identifier', true );
	
	$post_orign_creator = get_post_meta( $post_id, 'wpclink_post_creator', true );
	$post_orign_creator_id = get_post_meta( $post_id, 'wpclink_post_creator_id', true );
	
	$post_orign_creator_id_space_removed = str_replace(' ', '', $post_orign_creator_id);
	
	$referent_creator = get_post_meta( $post_id, 'wpclink_referent_creator_identifier', true );
	
	$registered_list_post = wpclink_get_option('referent_posts');
	$registered_list_page = wpclink_get_option('referent_pages');
	
	
	
	if ( !empty( $contentID ) ) {	
	if(is_single() || is_page()){
		if(is_array($registered_list_post) and is_array($registered_list_page)){
			$registered_complete = array_merge($registered_list_page,$registered_list_post);
		if(in_array($post_id, $registered_complete)){
				if($sync_origin = get_post_meta( $post_id, 'wpclink_referent_uri', true )){
				}else{
					$content .= '<a class="cl-resuse" target="_blank">Reuse this content</a>';
				}
		

		}else{
			if($sync_origin = get_post_meta( $post_id, 'wpclink_referent_uri', true )){
				
				$content .= '<div class="orgin_post">Originally posted by <a  target="_blank" href="'.WPCLINK_ID_URL.'/#objects/'.$post_orign_creator_id.'">'.$post_orign_creator.'</a></div>';
				
				$content .= '<a class="cl-resuse_origin" href="'.$sync_origin.'?clink=1">Reuse this content</a>';
				}else{
				}
			
		}
		}
	}
		
		$content .= '<a class="cl-clinkid" target="_blank" href="'.WPCLINK_ID_URL.'/#objects/'.$contentID.'">'.$contentID.'</a>';
	  }else{
		  
	  }
	

}
    return $content;
}
// Register clink resue button after post and pages function
add_filter( "the_content", "wpclink_link_button_after_post_content" );