<?php
/**
 * CLink Script Functions 
 *
 * CLink javascript and css script functions
 *
 * @package CLink
 * @subpackage System
 */

// Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * CLink Register the Scripts and Styles for Plugin Admin Pages
 * 
 */

function wpclink_admin_scripts() {
	
	// Load on CLink Pages and WP Post and WP Page
    wp_register_style( 'cl-style', plugins_url( 'admin/css/cl-main.css', dirname(__FILE__)));
	wp_enqueue_style( 'wpclink_admin_style', plugins_url('admin/css/cl-admin.css?'.uniqid('_'),dirname(__FILE__)  ) );
	wp_enqueue_script( 'cl-selection', plugins_url('admin/js/cl-select.js?'.uniqid('_'),dirname(__FILE__)  ),array( 'jquery' ) );
	
	
	
	
	// Read only for other users
	if(wpclink_user_readonly()){
		wp_enqueue_script( 'cl-readonly', plugins_url('admin/js/cl-readonly.js?'.uniqid('_'),dirname(__FILE__)  ),array( 'jquery' ) );
	}
	
	wp_enqueue_style( 'cl-style' );
	wp_enqueue_script( 'jquery-ui-tooltip' );
	wp_enqueue_script( 'jquery-ui-dialog' );

	wp_enqueue_style( 'wp-jquery-ui-dialog' );
	wp_enqueue_script('jquery-ui-accordion');
	wp_enqueue_script( 'jquery-ui-autocomplete' );
	

}
// Register clink scripts
add_action( 'admin_enqueue_scripts', 'wpclink_admin_scripts' );

/**
 * CLink Report a Bug Script 
 * 
 * @param string $hook 
 * 
 */
function wpclink_report_bug_script($hook) {
	
	$current_page = $_GET['page'];
	
	// Load only following pages
	if(	$current_page == 'cl_mainpage.php' ||
		$current_page == 'cl_users' || 
		$current_page == 'cl_templates' ||
		$current_page == 'cl-restriction' ||
		$current_page == 'cl-restriction-page-available' ||
		$current_page == 'cl-restriction-reuse' ||
		$current_page == 'cl-restriction-page' ||
		$current_page == 'content_link_post.php' ||
		$current_page == 'content_link_page.php' ||
		$current_page == 'cl-my-agreemnets' ||
		$current_page == 'cl-site-agreemnets' ||
		$current_page == 'cl-canonical' ||
		$current_page == 'cl-audit-trail' ||
		$current_page == 'cl-clink'){
			
			// Report a Bug
			wp_enqueue_script( 'cl_report_bug', 'https://code.clink.media/jira/s/016793adfb2964836dad10fd7e2c588c-T/-jlmv6t/711002/b6b48b2829824b869586ac216d119363/2.0.31/_/download/batch/com.atlassian.jira.collector.plugin.jira-issue-collector-plugin:issuecollector/com.atlassian.jira.collector.plugin.jira-issue-collector-plugin:issuecollector.js?locale=en-US&collectorId=7861429e' );
			// Provide Feedback
			wp_enqueue_script( 'cl_provide_feedback', 'https://code.clink.media/jira/s/016793adfb2964836dad10fd7e2c588c-T/-jlmv6t/711002/b6b48b2829824b869586ac216d119363/2.0.31/_/download/batch/com.atlassian.jira.collector.plugin.jira-issue-collector-plugin:issuecollector/com.atlassian.jira.collector.plugin.jira-issue-collector-plugin:issuecollector.js?locale=en-US&collectorId=e84939df' );
		}
   
}
// Register clink report a bug scripts in admin enqueue
add_action( 'admin_enqueue_scripts', 'wpclink_report_bug_script' );


/**
 * CLink Report a Bug Script Call Function
 * 
 */

function wpclink_report_bug_script_call(){
	
	$current_page = $_GET['page'];
	
	// Load only following pages
	if(	$current_page == 'cl_mainpage.php' ||
		$current_page == 'cl_users' || 
		$current_page == 'cl_templates' ||
		$current_page == 'cl-restriction' ||
		$current_page == 'cl-restriction-page-available' ||
		$current_page == 'cl-restriction-reuse' ||
		$current_page == 'cl-restriction-page' ||
		$current_page == 'content_link_post.php' ||
		$current_page == 'content_link_page.php' ||
		$current_page == 'cl-my-agreemnets' ||
		$current_page == 'cl-site-agreemnets' ||
		$current_page == 'cl-canonical' ||
		$current_page == 'cl-audit-trail' ||
		$current_page == 'cl-clink'){
	
	echo '<script type="text/javascript">
	jQuery(document).ready(function() 
{
 window.ATL_JQ_PAGE_PROPS =  jQuery.extend(window.ATL_JQ_PAGE_PROPS,
 {
  // Report a Bug 
  "7861429e":
  {        
   triggerFunction: function(showCollectorDialog)
   {
    jQuery(".bug_action").click(function(e) 
    {
     e.preventDefault();
     showCollectorDialog();
    });
   },
   
  },
  // Provide Feedback
  "e84939df":
  {        
   triggerFunction: function(showCollectorDialog)
   {
    jQuery(".feedback_action").click(function(e) 
    {
     e.preventDefault();
     showCollectorDialog();
    });
   },
  }
 });
});
</script>';

		}
}
// Register report a bug script call on admin footer
add_action('admin_footer','wpclink_report_bug_script_call');

/**
 * CLink Disabled Editing on the Referent Content Scripts
 * 
 */
function wpclink_disabled_editing_referent_content(){
	// Only Post and Pages
    if ( get_current_screen()->post_type === 'post' ||
		 get_current_screen()->post_type === 'page'
	 ) {
		 
		 if(isset($_GET['post'])){
			 if(is_numeric($_GET['post'])){
		 
			 // Post ID
			$post_id = $_GET['post'];
			
			if(wpclink_is_content_linked($post_id) > 0){
				
				echo '<script type="text/javascript">jQuery("#categorydiv .categorydiv input[type=checkbox]").prop( "disabled", true ).addClass("disable_now");
				jQuery("#category-adder").hide();		
				jQuery("#tagsdiv-post_tag,#postimagediv").find("input, textarea, button, select").attr("disabled","disabled");
				jQuery("#postdivrich").find("input, textarea, button, select").attr("disabled","disabled");
				jQuery("#postimagediv").find("a").attr("disabled","disabled").addClass("disabled").removeAttr("href");
				jQuery(".tagcloud-link").hide();
				jQuery("#remove-post-thumbnail").hide();
				jQuery("#postdivrich").css("margin-top","15px"); jQuery("textarea#excerpt").prop( "disabled", true );
				jQuery("#tagsdiv-post_tag, #postimagediv, #categorydiv").addClass("disable_now");	 
				jQuery("#postdivrich").addClass("disable_now");
				jQuery("#postexcerpt").addClass("disable_now");
				jQuery("#slugdiv").addClass("disable_now");
				jQuery("#authordiv").addClass("disable_now");
				jQuery(".misc-pub-post-status,.misc-pub-visibility,.misc-pub-curtime").addClass("disable_now");
				
				jQuery(".misc-pub-post-status,.misc-pub-visibility,.misc-pub-curtime").find("input, textarea, button, select").attr("disabled","disabled");
				
				jQuery("#preview-action").hide();
				
				jQuery( document ).ready(function() {
				jQuery(".make_version").addClass("disable_now").attr("disabled","disabled").removeAttr("href");
				});
				
				jQuery("#major-publishing-actions").addClass("disable_now");
				jQuery("#major-publishing-actions").find("input, textarea, button, select").attr("disabled","disabled");
				
				jQuery(".misc-pub-post-status").before( "<div class=\"non-editable\"><strong>Referent Creation</strong> <br /> <a href=\"https://care.clink.media/knowledgebase/using-wordpress-personal/content/\">Why is it non-editable? </a></div>" );
				
					jQuery("#pageparentdiv").addClass("disable_now").find("input, textarea, button, select").attr("disabled","disabled");
				 jQuery("#titlediv").addClass("disable_now").find("input, textarea, button, select").attr("disabled","disabled");</script>';
				
			}

			 }
		 }
	 }

}
// Register the clink disabled editing on the referent content function
add_action('admin_footer','wpclink_disabled_editing_referent_content');

/**
 * CLink Admin Style and Scripts
 * 
 * @param string $hook 
 * 
 */
function wpclink_admin_style($hook) {
        // Load only on ?page=mypluginname
        if($hook != 'cl-restriction') {
               // return;
        }
        wp_enqueue_style( 'wpclink_admin_style', plugins_url('admin/css/cl-admin.css?'.uniqid('_'), dirname(__FILE__) ) );
	
	
		
		wp_enqueue_script( 'jquery-ui-dialog' );
		wp_enqueue_style( 'wp-jquery-ui-dialog' );
}
// Register clink admin style and scripts
add_action( 'admin_enqueue_scripts', 'wpclink_admin_style' );

/**
 * CLink Frontend Scripts
 * 
 */
function wpclink_clinkid_offer_scripts() {
	// Only import mode and content is registerd on clink.id
	if(wpclink_import_mode() || !wpclink_clinkid_content()){
	
	}else{
    wp_enqueue_style( 'cl-modal-prepare-clinkid', plugins_url( 'public/css/cl-modal.css?'.uniqid('_'), dirname(__FILE__)  ) );
	wp_localize_script( 'ajax-script', 'my_ajax_object',array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );
    wp_enqueue_script( 'cl-modal-script-clinkid', plugins_url( 'public/js/cl-modal-clinkid.js?a'.uniqid('_'), dirname(__FILE__)  ), array('jquery'), '1.0.0', true );
	}
	
	
	
	
	wp_enqueue_style( 'cl-modal-prepare', plugins_url('public/css/cl-frontend.css?'.uniqid('_'), dirname(__FILE__) ) );
	
	// Linked Content only
	if(wpclink_linked_list() and wpclink_message_popup()){
		wp_enqueue_style( 'cl-modal-prepare', plugins_url( 'public/css/cl-modal.css', dirname(__FILE_nt_) ) );
    	wp_enqueue_script( 'cl-modal-script', plugins_url( 'public/js/cl-modal.js', dirname(__FILE__) ), array(), '1.0.0', true );
	}
	
	

}
// Refister clink reuse offer popup scripts function
add_action( 'wp_enqueue_scripts', 'wpclink_clinkid_offer_scripts');