<?php
/**
 * CLink User Functions 
 *
 * CLink user and profile functions
 *
 * @package CLink
 * @subpackage Link Manager
 */

 // Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );


/**
 * CLink Creator User Update on Care
 * 
 * @param intger $user_id user id
 * 
 */

function wpclink_creator_user_update($user_id, $make_version = false){
		
		
	// PARTY ID
	$party_user_id = wpclink_get_option('authorized_party');
	
	
	$submitted = $_POST;
	
	
	if($associated_user = get_user_meta($party_user_id,'wpclink_party_identifier',true)){
		$ass_array = $associated_user;
	}else{
		$ass_array = '';
	}

	
	
	/* ____________ CLINK MEDIA _______________ */
	
	/* _____________ VARIABLES __________________*/
	
	$creator_user = get_userdata( $user_id ); 
	$site_address = get_bloginfo('url');
	$first_name = get_user_meta($user_id,'first_name',true);
	$nick_name = get_user_meta($user_id,'nickname',true);
	$last_name = get_user_meta($user_id,'last_name',true);
	$description = get_user_meta($user_id,'description',true);
	$CreatorID = get_user_meta($user_id,'wpclink_creator_identifier',true);
	$customer_id = get_user_meta($user_id,'wpclink_customerID',true);
	
	$creator_display_email = get_user_meta($user_id,'wpclink_email_display_status',true);
	
	
	$domain_id = wpclink_get_option('domainID');
	
	
	/*____URL____*/
	
	$url_creator = WPCLINK_CREATOR_API;
	
	if($make_version == true){
		$action = 'version';
	}else{
		$action = 'update';
	}
	
	
	$response = wp_remote_post(
                $url_creator,
                array(
                    'body' => array(
						'creator_identifier' => $CreatorID,
						'customer_id' => $customer_id,
						'domain_ID' => $domain_id,
                        'site_address'  => urlencode($site_address),
                        'creator_name'	=> $first_name,
						'creator_lastname' => $last_name,
						'creator_display_name' => $creator_user->display_name,
                        'creator_email' => $creator_user->user_email,
						'creator_nickname' => $nick_name,
						'creator_description' => $description,
						'creator_url' => $creator_user->user_url,
						'clink_site_domain' => get_bloginfo('url'),
						'creator_display_email' => $creator_display_email,
						'creator_associated_party'=> $ass_array,
						'creator_alternative_identifier_type' => 'DOI',
						'creator_alternative_identifier' => array('XYZ'),
						'action'=> $action
						
                    ),'timeout' => WPCLINK_API_TIMEOUT,'method' => 'POST'
                )
            );
						
			
 
            if ( is_wp_error( $response ) ) {
 
               $resposne_Array = is_wp_error( $response );
			   
			   // Response Debug
				wpclink_debug_log('CREATOR USER PROFILE UPDATE '.print_r($response,true));
			  
 
            }else {
				
				// Response Debug
				wpclink_debug_log('CREATOR USER PROFILE UPDATE '.print_r($response,true));
 
               $response_json = $response['body'];
			   $resposne_Array=json_decode($response_json,true);
			   			   
			   
			   
			  
			   
			   
			  
	if($resposne_Array['status'] == 'update'){
				   
	$creator_array = wpclink_get_option('authorized_creators');
	$user_id = $creator_array[0];
	
	
		
	// User Identifier
	update_user_meta($user_id,'wpclink_creator_identifier',$resposne_Array['data']['creator_identifier']);
	
	// Associated Party Identifier
	update_user_meta($user_id,'wpclink_creator_associated_party_identifier',get_user_meta($party_user_id,'wpclink_party_identifier',true));
	
		
	// Modification INFO
	update_user_meta($user_id,'wpclink_creator_creation_date',$resposne_Array['data']['creator_creation_date']);	
	update_user_meta($user_id,'wpclink_creator_modification_date',$resposne_Array['data']['creator_modification_date']);
	
	update_user_meta($user_id,'wpclink_customerID',$resposne_Array['data']['customer_id']);
	
	
	}elseif($resposne_Array['status'] == 'version'){
		
		if($creator_verions = get_user_meta($user_id,'wpclink_versions',true)){
			
			// Version
			$version_id = $resposne_Array['data']['creator_version_id'];
			// Merge
			$update_verion = array_merge($creator_verions,array( $version_id => array( 'id' => $version_id, 
																					   'time' => current_time( 'timestamp', 1 )) ));
			// Update
			update_user_meta($user_id,'wpclink_versions',$update_verion);
			
		}else{
			
			// Version
			$version_id = $resposne_Array['data']['creator_version_id'];
			// Update
			update_user_meta($user_id,'wpclink_versions',array( $version_id => array( 'id' => $version_id, 
																					  'time' => current_time( 'timestamp', 1 )) ));
			
		}
		
	}
		}
	
}


/**
 * CLink Party User Update on CLink.ID
 * 
 * @param integer $user_id user id
 * 
 */

function wpclink_party_user_update($user_id,$make_version = false){
	

		
	// PARTY ID
	$party_user_id = wpclink_get_option('authorized_party');
	
	
	
	
	$get_clink_display_email = get_user_meta($party_user_id,'wpclink_email_display_status',true);
	
	
	if($get_clink_display_email == '1'){
		$clink_display_email = 'yes';
	}else{
		$clink_display_email = 'no';
	}
	
	
	
	$creator_array = wpclink_get_option('authorized_creators');
	$user_id_asso = $creator_array[0];
		
	
	if($party_user_id > 0){
		if($associated_user = get_user_meta($party_user_id,'wpclink_creator_identifier',true)){	
		}else{
			$associated_user = '';
		}
	}else{
		$associated_user = '';
	}
	
	
	/* ____________ CLINK MEDIA _______________ */
	
	/* _____________ VARIABLES __________________*/
	
	/* _____________ VARIABLES __________________*/
	$creator_user = get_userdata( $party_user_id ); 
	$first_name = get_user_meta($party_user_id,'first_name',true);
	$nick_name = get_user_meta($party_user_id,'nickname',true);
	$last_name = get_user_meta($party_user_id,'last_name',true);
	$description = get_user_meta($party_user_id,'description',true);
	$display_email_creator = get_user_meta($user_id_asso,'wpclink_display_email',true);
	//$clink_party_structural_type = get_user_meta($party_user_id,'wpclink_party_structural_type',true);
	
	$party_info = get_userdata($user_id);
	
	$site_address = get_bloginfo('url');	
	
	$party_identifier = get_user_meta($party_user_id,'wpclink_party_identifier',true);
	
	$url_party = WPCLINK_PARTY_API;
	
	if($make_version == true){
		$action = 'version';
	}else{
		$action = 'update';
	}
	
	//$party_alternative_identifier = get_user_meta($party_user_id,'wpclink_party_alternative_Identifier',true);
	
	// PARTY TO CUSTOMER ID
	$current_party_id = wpclink_get_option('authorized_party');
	$clink_customerID = get_user_meta($current_party_id,'wpclink_customerID',true);
	
	
	$response = wp_remote_post(
                $url_party,
                array(
                    'body' => array(
                        'site_address'  => urlencode($site_address),
                        'party_name'	=> $party_info->display_name,
						'party_first_name' => $first_name,
						'party_last_name' => $last_name,
						'party_identifier' => $party_identifier,
						'party_structure_type' => 'Individual', // Check
						'party_email' => $creator_user->user_email,
                        'party_url' => get_bloginfo('url'),
						'clink_site_domain' => get_bloginfo('url'),
						'party_associated_user' => $associated_user,
						'party_alternative_identifier_type' => 'DOI',
						'party_alternative_identifier' => '',
						'party_modification_date' => get_user_meta($party_user_id, 'wpclink_party_modification_date',true),
						'customer_id' => get_user_meta($user_id_asso, 'clink_customerID', true),
						'party_contact_id' => $clink_customerID,
						'domain_ID' => wpclink_get_option('domainID'),
						'party_display_email' => $clink_display_email,
						'action' => $action
						
                    ),'timeout' => WPCLINK_API_TIMEOUT,'method' => 'POST'
                )
            );
						
			
 
            if ( is_wp_error( $response ) ) {
 
               $resposne_Array = is_wp_error( $response );
			   
			   // Response Debug
				wpclink_debug_log(print_r('PARTY USER PROFILE UPDATE '.$response,true));
			  
 
            }else {
				
			 // Response Debug
				wpclink_debug_log(print_r('PARTY USER PROFILE UPDATE '.$response,true));
 
               $response_json = $response['body'];
			   $resposne_Array=json_decode($response_json,true);
			   			   
			   echo $resposne_Array['status'];
			   echo $resposne_Array['data']['creator_display_name'];
			   echo $resposne_Array['data']['creator_identifier'];
			   echo $resposne_Array['data']['client_site'];
			   
			   
			   if($resposne_Array['status'] == 'update'){
			   
			   	update_user_meta($party_user_id,'wpclink_party_identifier',$resposne_Array['data']['clink_party_identifier']);
				
				update_user_meta($party_user_id,'wpclink_party_associated_creator_identifier',$resposne_Array['data']['clink_creator_associated_party_identifier']);
				
				update_user_meta($party_user_id,'wpclink_party_creation_date',$resposne_Array['data']['clink_party_creation_date']);
				update_user_meta($party_user_id,'wpclink_party_modification_date',$resposne_Array['data']['clink_party_modification_date']);
				
				
				$current_party_id = wpclink_get_option('authorized_party');
				update_user_meta($current_party_id,'wpclink_customerID',$resposne_Array['data']['party_contact']);
				
				wpclink_update_option('domainID',$resposne_Array['data']['domain_ID']);
				
				// EXTRA
				
				update_user_meta($party_user_id,'wpclink_party_identifier',$resposne_Array['data']['clink_party_identifier']);
				
				
				$class = 'notice notice-success';
				$message = __( 'Party new is update succesfully', 'clink_text' );

				printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), esc_html( $message ) ); 
			   
			   }elseif($resposne_Array['status'] == 'version'){
		
				if($party_verions = get_user_meta($user_id,'wpclink_versions_party',true)){

					// Version
					$version_id = $resposne_Array['data']['party_version_id'];
					// Merge
					$update_verion = array_merge($party_verions,array( $version_id => array( 'id' => $version_id, 
																					   'time' => current_time( 'timestamp', 1 )) ));
					// Update
					update_user_meta($user_id,'wpclink_versions_party',$update_verion);

				}else{

					// Version
					$version_id = $resposne_Array['data']['party_version_id'];
					// Update
					update_user_meta($user_id,'wpclink_versions_party',array( $version_id => array( 'id' => $version_id, 
																					   'time' => current_time( 'timestamp', 1 )) ));

				}
		
	}
			  
			   
			   
			}
	
	/* calling insert function start */
	/* insert_identifier_value($clink_id,$createdOn,$createdBy,$modifiedOn,$modifiedBy); */

		
	
}