<?php
/**
 * CLink Verification Functions 
 *
 * CLink verification of content functions
 *
 * @package CLink
 * @subpackage Link Manager
 */

// Direct Access Not Allowed
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * CLink IP Verification Secuirty Layer
 *  
 * Verify the Site IP before access the link is IP is same which has recorded in CLink Plugin Database
 * 
 * @return boolean
 */
function wpclink_extention_signal(){
	if($cl_ip_security = wpclink_get_option('verification_linked_ip')){
		$signal = apply_filters( 'cl_extention_filter', true, $arg1);
	}else{
		$signal = true;	
	}
	return $signal;
}


/**
 * CLink Verify IP 
 * 
 * @param string $default 
 * 
 * @return boolean
 */
function wpclink_site_allow_list($default){
	
	global $wpdb;
	
	// CLINK  TABLE
	$clink_sites_table = $wpdb->prefix . 'wpclink_licenses';
	
	$ip_address = wpclink_get_client_ip();
	
	// QUERY
	$ip_search = $wpdb->get_results( "SELECT * FROM $clink_sites_table WHERE site_IP = '$ip_address' AND verification_status = 'good' AND mode = 'referent' ", ARRAY_A );
	
	if($ip_search){
		return true;
	}else{
		return false;
	}
}
// Register ip verification on cl_extention_filter
add_action('cl_extention_filter','wpclink_site_allow_list');